/* global wc_add_to_cart_params, wp_main_js_obj, $reign_topbar_height */

(function($) {
    "use strict";
    window.Reign = {
        init: function() {
            this.Slider();
            this.stickyHeader();
            this.mobileMenu();
            this.panelMenu();
            this.iconsToggle();
            this.responsiveMenu();
            this.toggleMoreOption();
            this.rtmediaText();
            this.buddupressMenu();
            this.headerSearch();
            this.showActivity();
            this.fitVids();
            this.WooProductsSwipe();
            this.EddSupport();
            this.profileButtons();
            this.setCounters();
            this.stickyKit();
            this.pageLoader();
            this.UpdateNotification();
            this.groupsMobile();
            this.customMblDropdown();
            this.headerTopBar();
            this.headerScroll();
            this.profileMenuToggle();
            this.activityModal();
            this.addHeaderClass();
            this.addPageHeaderClass();
            this.directoryLayout();
            this.randomPostCatClass();
            this.imageResize();
            this.bpTabMenu();
            this.galleryPostSlider();
            this.passwordEyeInit();
            this.singinPopupInit();
            this.registerPopupInit();
            this.singinTabInit();
            this.closePopupInit();
            this.LoginFormSubmit();
            this.RegisterFormSubmit();
            this.scrollUp();
            this.mediaPress();
        },
        Slider: function() {
            if (wp_main_js_obj.reign_rtl) {
                var rt = true;
            } else {
                var rt = false;
            }

            $('aside #members-carousel-list, aside #members-carousel-list-widget, aside #groups-carousel-list, aside #groups-carousel-list-widget, .youzify-sidebar #members-carousel-list, .youzify-sidebar #members-carousel-list-widget, .youzify-sidebar #groups-carousel-list, .youzify-sidebar #groups-carousel-list-widget').not('.slick-initialized').slick({
                slidesToShow: 1
            });

            $('#members-carousel-list, #members-carousel-list-widget, #groups-carousel-list, #groups-carousel-list-widget').not('.slick-initialized').slick({
                dots: false,
                slidesToShow: 4,
                slidesToScroll: 4,
                rtl: rt,
                responsive: [{
                        breakpoint: 1024,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll: 3
                        }
                    },
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 2,
                            slidesToScroll: 2
                        }
                    },
                    {
                        breakpoint: 543,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1
                        }
                    }
                ]
            });

            $('.ps-profile__edit-tabs').slick({
                dots: false,
                infinite: false,
                slidesToShow: 3,
                responsive: [{
                        breakpoint: 641,
                        settings: {
                            slidesToShow: 2
                        }
                    },
                    {
                        breakpoint: 420,
                        settings: {
                            slidesToShow: 1
                        }
                    }
                ]

            });
        },
        stickyHeader: function() {
    
            var $document = $(document);
            var header = $(".reign-sticky-header #masthead");
		    var sticky = header.outerHeight() + 100;

            $elementHeader = $('.reign-sticky-header #masthead'),
            $elementBody = $('body.reign-sticky-header '),
            classNameHeader = 'sticky';
            classNameBody = 'rg-sticky-header';

            $document.scroll(function() {
                $elementHeader.toggleClass(classNameHeader, $document.scrollTop() >= sticky);
                $elementBody.toggleClass(classNameBody, $document.scrollTop() >= sticky);
            });

        },
        mobileMenu: function() {
            var $body = $('body');
            const site_mobile_header = $('.reign-fallback-header.header-mobile');
            if ($('.reign-header-top').length) {
                var reign_topbar_height = $('.reign-header-top').outerHeight();
            }

            if ($('#wbcom-header-topbar').length) {
                var reign_ele_topbar_height = $('#wbcom-header-topbar').outerHeight();
            }

            $(document).ready(function() {
                // Admin bar fixed
                $('#wpadminbar').css('position', 'fixed');

                // Menu toggle
                $('.reign-navbar-mobile .navbar-menu-container').hiraku({
                    btn: '.reign-toggler-left',
                    direction: 'left',
                    breakpoint: 960,
                });

                $('.user-profile-menu-wrapper .user-profile-menu').hiraku({
                    btn: '.reign-user-toggler .user-link',
                    direction: 'right',
                    breakpoint: 960,
                });

                $('.user-profile-menu-wrapper').addClass('loaded');

                $('.reign-user-toggler .psw-userbar__menu > .ps-dropdown__menu').hiraku({
                    btn: '.reign-user-toggler .ps-avatar',
                    direction: 'right',
                    breakpoint: 960,
                });

                if (!$('.reign-nav-top-bar .js-hiraku-offcanvas').hasClass('js-hiraku-offcanvas-active')) {
                    $('.reign-nav-top-bar .js-hiraku-offcanvas').addClass('js-hiraku-offcanvas-active');
                }

                if (!$('.user-link-wrap .js-hiraku-offcanvas').hasClass('js-hiraku-offcanvas-active')) {
                    $('.user-link-wrap .js-hiraku-offcanvas').addClass('js-hiraku-offcanvas-active');
                }

                if (!$('.psw-userbar__menu .js-hiraku-offcanvas').hasClass('js-hiraku-offcanvas-active')) {
                    $('.psw-userbar__menu .js-hiraku-offcanvas').addClass('js-hiraku-offcanvas-active');
                }

                // Submenu toggle
                $('.reign-navbar-mobile .primary-menu .sub-menu').hide();

                $('.reign-navbar-mobile .primary-menu .menu-item-has-children').each(function() {
                    $(this).prepend('<i class="far submenu-btn fa-plus"></i>');
                });

                $('body').on('click', '.reign-navbar-mobile .primary-menu .submenu-btn', function(e) {
                    e.preventDefault();
                    $("body").addClass('menu-active');
                    $(this).toggleClass('fa-minus').parent().children('.sub-menu').slideToggle();
                    $(this).toggleClass('fa-plus');
                });

                $('.reign-navbar-mobile .primary-menu li:has(ul)').doubleTapToGo();

                if (window.innerWidth < 960) {

                    // Fixed top
                    if (site_mobile_header.hasClass('fixed-top')) {
                        var $lastScrollTop = 0;
                        $(window).on('scroll', function() {
                            if ($(this).scrollTop() > 50) {
                                site_mobile_header.addClass('nav-scrolling');
                                if ($(this).scrollTop() > $lastScrollTop) {
                                    site_mobile_header.addClass('to-bottom');
                                    site_mobile_header.removeClass('to-top');
                                } else {
                                    site_mobile_header.addClass('to-top');
                                    site_mobile_header.removeClass('to-bottom');
                                }
                                $lastScrollTop = $(this).scrollTop();
                            } else {
                                site_mobile_header.removeClass('nav-scrolling');
                            }
                        });
                    }

                    // Fixed top scrolling
                    if (site_mobile_header.hasClass('fixed-top')) {
                        $(window).on('scroll', function() {
                            if (site_mobile_header.hasClass('nav-scrolling') && site_mobile_header.hasClass('to-bottom')) {
                                if ($body.hasClass('admin-bar')) {
                                    site_mobile_header.css({ top: ($('#wpadminbar').outerHeight() - $('.reign-nav-top-bar').outerHeight()) });

                                    site_mobile_header.css("marginTop", 0 + "px");
                                } else {
                                    site_mobile_header.css({ top: $('.reign-nav-top-bar').outerHeight() * -1 });

                                    site_mobile_header.css("marginTop", 0 + "px");
                                }
                            } else {
                                site_mobile_header.removeAttr('style');

                                site_mobile_header.css("marginTop", reign_topbar_height + "px");

                                site_mobile_header.css("marginTop", reign_ele_topbar_height + "px");
                            }
                        });
                    }
                }

            });

            if (window.innerWidth < 960) {
                if (site_mobile_header.hasClass('fixed-top')) {
                    $(window).on('load', function() {
                        if ($('.reign-fallback-header:not(.nav-scrolling)')) {
                            site_mobile_header.css("marginTop", reign_topbar_height + "px");
                            site_mobile_header.css("marginTop", reign_ele_topbar_height + "px");
                        }
                    });
                }
            }

        },
        panelMenu: function() {
            $(document).ready(function() {
                // Panel toggle
                $('.reign-menu-panel .reign-toggler').on(
                    'click',
                    function(e) {
                        e.preventDefault();

                        if ($('.reign-menu-panel').hasClass('reign-panel-open')) {
                            $('.reign-menu-panel').removeClass('reign-panel-open');
                        } else {
                            $('.reign-menu-panel').addClass('reign-panel-open');
                        }
                    }
                );
                $('.reign-menu-panel-inner.reign-scrollbar').mCustomScrollbar({
                    theme: 'minimal-dark',
                    mouseWheel: { preventDefault: true },
                });
            });
        },
        iconsToggle: function() {
            $(document).on(
                'click',
                '.header-notifications-dropdown-toggle a.dropdown-toggle',
                function(e) {
                    e.preventDefault();
                    var current = $(this).closest('.header-notifications-dropdown-toggle');
                    current.siblings('.selected').removeClass('selected');
                    current.toggleClass('selected');
                }
            );

            $('body').mouseup(
                function(e) {
                    var container = $('.header-notifications-dropdown-toggle *');
                    if (!container.is(e.target)) {
                        $('.header-notifications-dropdown-toggle').removeClass('selected');
                    }
                }
            );
        },
        responsiveMenu: function() {

            // More Menu
            if (wp_main_js_obj.reign_more_menu_enable) {
                $('.reign-fallback-header.version-one .primary-menu, .reign-fallback-header.version-two .primary-menu, .reign-fallback-header.version-three .primary-menu, #wbcom-ele-masthead .primary-menu').ReignMore(60);
            }

            $(document).on(
                'click',
                '.header-more-dropdown-toggle a.dropdown-toggle',
                function(e) {
                    e.preventDefault();
                    var current = $(this).closest('.header-more-dropdown-toggle');
                    current.siblings('.selected').removeClass('selected');
                    current.toggleClass('selected');
                }
            );

            $('body').mouseup(
                function(e) {
                    var container = $('.header-more-dropdown-toggle *');
                    if (!container.is(e.target)) {
                        $('.header-more-dropdown-toggle').removeClass('selected');
                    }
                }
            );

            $('.main-navigation>ul').each(function() {
                $('body').addClass('nav-more-loaded');
            });

        },
        toggleMoreOption: function() {
            $(document).on(
                'click',
                '.bp-activity-more-options-wrap .bp-activity-more-options-action',
                function(e) {
                    e.preventDefault();
                    var current = $(this).closest('.bp-activity-more-options-wrap');
                    current.siblings('.selected').removeClass('selected');
                    current.toggleClass('selected');
                }
            );

            $('body').mouseup(
                function(e) {
                    var container = $('.bp-activity-more-options-wrap *');
                    if (!container.is(e.target)) {
                        $('.bp-activity-more-options-wrap').removeClass('selected');
                    }
                }
            );
        },
        rtmediaText: function() {
            //rtmedia-activity-text
            $('.rtmedia-activity-text > span').each(function() {
                $(this).filter(function() {
                    return $.trim($(this).text()) === '' && $(this).children().length === 0
                }).remove();
            });
        },
        buddupressMenu: function() {
            $('.wbcom-nav-menu-toggle').click(function() {
                $(this).toggleClass('open');

            });

            // Filters
            var active = $('.rg-select-filter :selected').text();
            $('.rg-select-filter option').each(function() {
                var current = $(this).text();
                var activeClass = (current === active) ? 'current' : '';
                $('.rg-filters-wrap').append('<li class="' + activeClass + '"><a href="' + $(this).attr('value') + '">' + $(this).html() + '</a></li>');
            });

            $('.rg-filters-wrap').on('click', 'li a', function(e) {
                e.preventDefault();
                var value = $(this).attr('href');
                $('.rg-select-filter').val(value).change();
                $('.rg-filters-wrap li').removeClass('current');
                $('.rg-filters-wrap li').removeClass('selected');
                $(this).parent().addClass('current');
                return false;
            });

            // Member & Group front page widgets
            $(".member-front-page .bp-widget-area h4.widget-title").wrapInner('<span/>');
            $(".group-front-page .bp-widget-area h4.widget-title").wrapInner('<span/>');
        },
        headerSearch: function() {
            $(document).on('click', '.search-wrap .rg-search-icon', function(e) {
                var searchParent = $(this).parent('.search-wrap');
                e.preventDefault();
                searchParent.toggleClass('search-active');
                searchParent.find('.search-field').focus();
            });
            $(document).on('click', '.search-wrap .rg-search-close', function(e) {
                var container = $(".search-wrap");
                container.removeClass('search-active');
            });
        },
        showActivity: function() {
            $(document).on('click', '.widget_bp_reign_activity_widget div.pagination-links a', function(e) {
                e.preventDefault();
                var parent = $(this).parents('.widget_bp_reign_activity_widget').get(0);
                parent = $(parent); //cast as jquery object
                var page = get_var_in_url($(this).attr('href'), 'acpage');
                var scope = $('#reign_scope').val();
                fetch_and_show_activity(page, scope, parent);
            });

            function get_var_in_url(url, name) {
                var urla = url.split('?');
                var qvars = urla[1].split('&'); //so we have an arry of name=val,name=val
                for (var i = 0; i < qvars.length; i++) {
                    var qv = qvars[i].split('=');
                    if (qv[0] === name)
                        return qv[1];
                }
            }

            function fetch_and_show_activity(page, scope, local_scope) {
                local_scope = $(local_scope);
                var per_page = $("#reign_per_page", local_scope).val();
                var max_items = $("#reign_max_items", local_scope).val();
                var included_components = $("#reign_included_components", local_scope).val();
                var excluded_components = $("#reign_excluded_components", local_scope).val();
                var show_avatar = $("#reign_show_avatar", local_scope).val();
                var show_content = $("#reign_show_content", local_scope).val();
                var show_filters = $("#reign_show_filters", local_scope).val();
                var is_personal = $("#reign_is_personal", local_scope).val();
                var is_blog_admin_activity = $("#reign_is_blog_admin_activity", local_scope).val();
                var show_post_form = $("#reign_show_post_form", local_scope).val();
                var activity_words_count = $("#reign-activity-words-count", local_scope).val();
                $.post(wp_main_js_obj.ajaxurl, {
                        action: 'reign_fetch_content',
                        cookie: encodeURIComponent(document.cookie),
                        page: page,
                        scope: scope,
                        max: max_items,
                        per_page: per_page,
                        show_avatar: show_avatar,
                        show_content: show_content,
                        show_filters: show_filters,
                        is_personal: is_personal,
                        is_blog_admin_activity: is_blog_admin_activity,
                        included_components: included_components,
                        excluded_components: excluded_components,
                        show_post_form: show_post_form,
                        original_scope: $('#reign-original-scope').val(),
                        activity_words_count: activity_words_count,
                        allow_comment: $('#reign-activity-allow-comment').val()
                    },
                    function(response) {
                        $(".reign-wrap", local_scope).replaceWith(response);
                        $('form.reign-ac-form').hide();
                        $("#activity-filter-links li#afilter-" + scope, local_scope).addClass("selected");
                    });
            }

            //for filters
            $(document).on('click', '.widget_bp_reign_activity_widget #activity-filter-links li a', function() {
                var parent = $(this).parents('.widget_bp_reign_activity_widget').get(0);
                parent = $(parent);
                var page = 1;
                var scope = '';
                if ($(this).parent().attr('id') === 'afilter-clear') {
                    scope = $('#reign-original-scope', parent).val();
                } else {
                    scope = get_var_in_url($(this).attr('href'), 'afilter');
                }

                //update the dom scope
                $('#reign-scope').val(scope);
                fetch_and_show_activity(page, scope, parent);
                //make the current filter selected
                return false;
            });
        },
        fitVids: function() {
            $(document).ready(function() {
                // Target your .container, .wrapper, .post, etc.
                $("body").fitVids();
            });
        },
        WooProductsSwipe: function() {
            if (wp_main_js_obj.reign_rtl) {
                var rt = true;
            } else {
                var rt = false;
            }

            $(".wc-tabs").slick({
                arrows: false,
                dots: false,
                slidesToShow: 3,
                slidesToScroll: 1,
                variableWidth: true,
                infinite: false,
                swipeToSlide: true,
                rtl: rt
            });

            $("table.my_account_bookings").wrap('<div class="touch-scroll-table"/>');
        },
        EddSupport: function() {
            $(window).load(function() {
                if (wp_main_js_obj.reign_rtl) {
                    var rt = true;
                } else {
                    var rt = false;
                }

                if ($(window).width() <= 767) {
                    $('.fes-vendor-menu > ul').addClass('edd-tabs');

                    var slickGoTo = $('.fes-vendor-menu-tab.active').index(0);
                    $(".fes-vendor-menu .edd-tabs").slick({
                        arrows: false,
                        dots: false,
                        touchMove: true,
                        slidesToShow: 4,
                        slidesToScroll: 1,
                        variableWidth: true,
                        rtl: rt
                    });

                    if (slickGoTo !== 0) {
                        slickGoTo = slickGoTo - 0;
                    }

                    $('.fes-vendor-menu .edd-tabs').slick('slickGoTo', slickGoTo);
                }

                $(document).ready(function() {
                    var $rows = $("nav.fes-vendor-menu").addClass("wb-pageload");

                    setTimeout(function() {
                        $rows.removeClass("wb-pageload");
                    }, 800);
                });

            });

            $('.fes-vendor-vendor-feedback-tab > a > i').addClass('icon-user');

            /**
             * EDD Price Options Label Style
             */
            $('.edd_price_options, .modal-content').find('label').each(function() {
                $(this).removeAttr("for");
                if ($(this).find('input').is(':checked')) {
                    $(this).parent().addClass('checked');
                } else {
                    $(this).parent().removeClass('checked');
                }
                $(this).click(function() {
                    if ($(this).parents('.edd_price_options').hasClass('edd_multi_mode')) {
                        if ($(this).find('input[type="checkbox"]').is(':checked')) {
                            $(this).parent().addClass('checked');
                        } else {
                            $(this).parent().removeClass('checked');
                        }
                    } else {
                        if ($(this).find('input[type="radio"]').is(':checked')) {
                            $(this).parent().addClass('checked').siblings('li').removeClass('checked');
                        } else {
                            $(this).parent().removeClass('checked');
                        }
                    }
                });
            });
            $('label.selectit').each(function() {
                $(this).removeAttr("for");
                if ($(this).find('input').is(':checked')) {
                    $(this).addClass('checked');
                } else {
                    $(this).removeClass('checked');
                }
                $(this).click(function() {
                    if ($(this).find('input[type="checkbox"]').is(':checked')) {
                        $(this).addClass('checked');
                    } else {
                        $(this).removeClass('checked');
                    }
                });
            });
        },
        profileButtons: function() {
            $('.rg-item-buttons').on("click", function(event) {
                event.stopPropagation();
                $(this).toggleClass('active');
            });

            $("body").on("click", function(event) {
                $('.rg-item-buttons').removeClass('active'); // or something...
            });
        },
        setCounters: function() {
            $('#wp-admin-bar-my-account-buddypress').find('li').each(function() {
                var $this = $(this),
                    $count = $this.children('a').children('.count'),
                    id,
                    $target;
                if ($count.length != 0) {
                    id = $this.attr('id');
                    $target = $('.bp-menu.bp-' + id.replace(/wp-admin-bar-my-account-/, '') + '-nav');
                    if ($target.find('.count').length == 0) {
                        $target.find('a').append('<span class="count">' + $count.html() + '</span>');
                    }
                }
            });
        },
        stickyKit: function() {
            $(document.body).trigger("sticky_kit:recalc");
            $('body.reign-sticky-sidebar .widget-area-inner, body.reign-sticky-sidebar .widget-area-inner-left').stick_in_parent({
                offset_top: 40
            });
        },
        pageLoader: function() {
            $(window).load(function() {
                $('body').addClass('rg-page-loaded rg-remove-loader');
            });

            setTimeout(function() {
                if (!($('body').hasClass('rg-remove-loader'))) {
                    $('body').addClass('rg-remove-loader');
                }
            }, 3000);
        },
        UpdateNotification: function() {

            //Notifications related updates
            $(document).on('heartbeat-tick.reign_notification_count', function(event, data) {

                if (data.hasOwnProperty('reign_notification_count')) {
                    data = data['reign_notification_count'];
                    /********notification type**********/
                    if (data.notification > 0) { //has count
                        jQuery("#ab-pending-notifications").text(data.notification).removeClass("no-alert");
                        jQuery("#ab-pending-notifications-mobile").text(data.notification).removeClass("no-alert");
                        jQuery("#wp-admin-bar-my-account-notifications .ab-item[href*='/notifications/']").each(function() {
                            jQuery(this).append("<span class='count'>" + data.notification + "</span>");
                            if (jQuery(this).find(".count").length > 1) {
                                jQuery(this).find(".count").first().remove(); //remove the old one.
                            }
                        });
                    } else {
                        jQuery("#ab-pending-notifications").text(data.notification).addClass("no-alert");
                        jQuery("#ab-pending-notifications-mobile").text(data.notification).addClass("no-alert");
                        jQuery("#wp-admin-bar-my-account-notifications .ab-item[href*='/notifications/']").each(function() {
                            jQuery(this).find(".count").remove();
                        });
                    }
                    //remove from read ..
                    jQuery(".mobile #wp-admin-bar-my-account-notifications-read, #adminbar-links #wp-admin-bar-my-account-notifications-read").each(function() {
                        $(this).find("a").find(".count").remove();
                    });
                    /**********messages type************/
                    if (data.unread_message > 0) { //has count
                        jQuery("#user-messages").find("span").text(data.unread_message);
                        jQuery(".ab-item[href*='/messages/']").each(function() {
                            jQuery(this).append("<span class='count'>" + data.unread_message + "</span>");
                            if (jQuery(this).find(".count").length > 1) {
                                jQuery(this).find(".count").first().remove(); //remove the old one.
                            }
                        });
                    } else {
                        jQuery("#user-messages").find("span").text(data.unread_message);
                        jQuery(".ab-item[href*='/messages/']").each(function() {
                            jQuery(this).find(".count").remove();
                        });
                    }
                    //remove from unwanted place ..
                    jQuery(".mobile #wp-admin-bar-my-account-messages-default, #adminbar-links #wp-admin-bar-my-account-messages-default").find("li:not('#wp-admin-bar-my-account-messages-inbox')").each(function() {
                        jQuery(this).find("span").remove();
                    });
                    /**********messages type************/
                    if (data.friend_request > 0) { //has count
                        jQuery(".ab-item[href*='/friends/']").each(function() {
                            jQuery(this).append("<span class='count'>" + data.friend_request + "</span>");
                            if (jQuery(this).find(".count").length > 1) {
                                jQuery(this).find(".count").first().remove(); //remove the old one.
                            }
                        });
                    } else {
                        jQuery(".ab-item[href*='/friends/']").each(function() {
                            jQuery(this).find(".count").remove();
                        });
                    }
                    //remove from unwanted place ..
                    jQuery(".mobile #wp-admin-bar-my-account-friends-default, #adminbar-links #wp-admin-bar-my-account-friends-default").find("li:not('#wp-admin-bar-my-account-friends-requests')").each(function() {
                        jQuery(this).find("span").remove();
                    });

                    //notification content
                    //jQuery( ".user-notifications .rg-notify li" ).html( data.notification_content );
                    jQuery(".user-notifications .rg-count").html(data.notification);
                    if (data) {
                        jQuery('#wp-admin-bar-bp-notifications-default').empty();
                        jQuery('.user-notifications #rg-notify').empty();

                        jQuery.each(data.notification_content, function(i, value) {
                            jQuery('#wp-admin-bar-bp-notifications-default').append('<li>' + value + '</li>');
                            jQuery("#wp-admin-bar-bp-notifications-default a").each(function() {
                                jQuery(this).addClass('ab-item');
                            });
                        });

                        //jQuery('.user-notifications .rg-notify li:not(.rg-view-all)').remove();
                        jQuery.each(data.notification_content, function(i, value) {
                            jQuery('.user-notifications #rg-notify').append('<li>' + value + '</li>');
                        });
                    }

                }
            });
        },
        groupsMobile: function() {
            var win = $(window);
            var groupElem = $('.widget-groups-by, .widget-groups-orderby, .widget-groups-groupby');
            var activityElem = $('.widget-activity-nav, .widget-activity-subnav');
            var membersElem = $('.widget-members-nav, .widget-members-subnav');

            if (win.width() < 544) {
                if ($("#mobile-view-aside").length == 0) {
                    $('<aside id="mobile-view-aside"></aside>').insertBefore('.groups.dir-list');
                }

                if (win.width() < 544) {
                    groupElem.prependTo('#mobile-view-aside');
                    activityElem.insertAfter('.activity-content-area .entry-header');
                    membersElem.insertAfter('.members-content-area .entry-header');

                } else {
                    groupElem.prependTo('#left');
                    activityElem.prependTo('#left');
                    membersElem.prependTo('#left');
                }
            }

            $(window).on('resize', function() {
                var win = $(window); //this = window

                if (win.width() < 544) {
                    groupElem.prependTo('#mobile-view-aside');
                    activityElem.insertAfter('.activity-content-area .entry-header');
                    membersElem.insertAfter('.members-content-area .entry-header');

                } else {
                    groupElem.prependTo('#left');
                    activityElem.prependTo('#left');
                    membersElem.prependTo('#left');
                }
            });
        },
        customMblDropdown: function() {
            $(document).on('click', '.rg-custom-mbl-menu h2', function() {
                $(this).parent('.rg-custom-mbl-menu').toggleClass('active');
            });

            //WooCommerce product categories sidebar
            $(document).ready(function() {
                $('.product-categories ul.children').slideUp();
                $('.product-categories li').click(function(e) {
                    $(this).toggleClass('active');
                    //$( 'ul.children' ).slideUp();
                    $('ul', this).slideToggle();
                    e.stopPropagation();
                });
            });
        },
        headerTopBar: function() {
            // Scroll wbcom-header-topbar

            if (wp_main_js_obj.reign_ele_topbar) {

                if ($(window).width() < 960) {
                    if (wp_main_js_obj.topbar_mobile_disabled) {
                        var height = 0;
                    } else {
                        var height = jQuery('div#wbcom-header-topbar').height();
                    }
                    var admin_height = jQuery('div#wpadminbar').height();
                    var headerHeight = height + admin_height - 1;
                    // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");

                    $(window).resize(function() {
                        if (wp_main_js_obj.topbar_mobile_disabled) {
                            var height = 0;
                        } else {
                            var height = jQuery('div#wbcom-header-topbar').height();
                        }
                        var admin_height = jQuery('div#wpadminbar').height();
                        var headerHeight = height + admin_height - 1;
                        // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");
                    });
                }

            } else {
                if ($(window).width() < 960) {

                    if (wp_main_js_obj.topbar_mobile_disabled) {
                        var height = 0;
                    } else {
                        var height = jQuery('div.reign-header-top').height();
                    }

                    var admin_height = jQuery('div#wpadminbar').height();
                    //var headerHeight = height + admin_height + 5;
                    var headerHeight = height + admin_height - 1;
                    // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");

                    $(window).resize(function() {
                        if (wp_main_js_obj.topbar_mobile_disabled) {
                            var height = 0;
                        } else {
                            var height = jQuery('div.reign-header-top').height();
                        }
                        var admin_height = jQuery('div#wpadminbar').height();
                        //var headerHeight = height + admin_height + 5;
                        var headerHeight = height + admin_height - 1;
                        // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");
                    });
                }
            }
        },
        headerScroll: function() {
            var $document = $(document),
                $elementHeader = $('body'),
                className = 'has-scroll';

            $document.scroll(function() {
                $elementHeader.toggleClass(className, $document.scrollTop() >= 1);
            });

            if (wp_main_js_obj.reign_ele_topbar) {

                $(window).scroll(function() {
                    if ($(window).width() < 960 && $(window).width() > 599) {
                        if ($(document).scrollTop() > 0) {
                            if (wp_main_js_obj.logged_in) {
                                var admin_height = jQuery('div#wpadminbar').height();
                            } else {
                                var admin_height = 0;
                            }
                            var headerHeight = admin_height;
                            // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");
                        } else {
                            if (wp_main_js_obj.topbar_mobile_disabled) {
                                var height = 0;
                            } else {
                                var height = jQuery('div#wbcom-header-topbar').height();
                            }
                            var admin_height = jQuery('div#wpadminbar').height();
                            var headerHeight = height + admin_height - 1;
                            // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");
                        }

                    }

                    if ($(window).width() < 601) {
                        if ($(document).scrollTop() > 0) {
                            // $('[off-canvas*=rg-slidebar-toggle]').css("top", "0px");
                        } else {
                            if (wp_main_js_obj.topbar_mobile_disabled) {
                                var height = 0;
                            } else {
                                var height = jQuery('div#wbcom-header-topbar').height();
                            }
                            var admin_height = jQuery('div#wpadminbar').height();
                            var headerHeight = height + admin_height - 1;
                            // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");
                        }
                    }
                });

            } else {
                $(window).scroll(function() {
                    if ($(window).width() < 960 && $(window).width() > 599) {
                        if ($(document).scrollTop() > 0) {
                            if (wp_main_js_obj.logged_in) {
                                var admin_height = jQuery('div#wpadminbar').height();
                            } else {
                                var admin_height = 0;
                            }
                            var headerHeight = admin_height;
                            // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");
                        } else {
                            if (wp_main_js_obj.topbar_mobile_disabled) {
                                var height = 0;
                            } else {
                                var height = jQuery('div.reign-header-top').height();
                            }
                            var admin_height = jQuery('div#wpadminbar').height();
                            //var headerHeight = height + admin_height + 5;
                            var headerHeight = height + admin_height - 1;
                            // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");
                        }

                    }

                    if ($(window).width() < 601) {
                        if ($(document).scrollTop() > 0) {
                            // $('[off-canvas*=rg-slidebar-toggle]').css("top", "0px");
                        } else {
                            if (wp_main_js_obj.topbar_mobile_disabled) {
                                var height = 0;
                            } else {
                                var height = jQuery('div.reign-header-top').height();
                            }
                            var admin_height = jQuery('div#wpadminbar').height();
                            //var headerHeight = height + admin_height + 5;
                            var headerHeight = height + admin_height - 1;
                            // $('[off-canvas*=rg-slidebar-toggle]').css("top", headerHeight + "px");
                        }
                    }
                });
            }

        },
        profileMenuToggle: function() {
            // Dropdown toggle
            $('div.wbtm-show-item-buttons').click(function() {
                $(this).next('#item-buttons').toggle();
            });

            $(document).click(function(e) {
                var target = e.target;
                if (!$(target).is('div.wbtm-show-item-buttons') && !$(target).parents().is('div.wbtm-show-item-buttons')) {
                    $('#item-buttons').hide();
                }
            });
        },
        activityModal: function() {
            if ('on' !== wp_main_param.activity_post_popup) {
                $('.activity-update-form:not(.modal-popup):not(.bp-activity-edit) #whats-new').on('focus', function() {
                    $('body').addClass('activity-modal');
                });

                $(document).on('click', '#aw-whats-new-submit, #aw-whats-new-reset', function() {
                    $('body').removeClass('activity-modal');
                });

                $(document).mouseup(function(e) {
                    var container = $("#whats-new-form");
                    if (!container.is(e.target) && container.has(e.target).length === 0) {
                        $('body').removeClass('activity-modal');
                        $('#whats-new').focusout();
                    }
                });

                $(document).keyup(function(e) {
                    if (e.keyCode === 27) {
                        $('body').removeClass('activity-modal');
                        $('#whats-new').blur();
                    }
                });
            }
        },
        addHeaderClass: function() {
            // if (wp_dsktop_toggle.desk_mode) {
            //     $('.reign-fallback-header').addClass('reign-fdesktop-toggle');
            //     $('#wbcom-ele-masthead').addClass('reign-fdesktop-toggle');
            // }

            //header icon wrap remove spacing
            $('.rg-mobile-header-icon-wrap').each(function() {
                $(this).filter(function() {
                    return $.trim($(this).text()) === '' && $(this).children().length === 0
                }).remove();
            });
        },
        addPageHeaderClass: function() {
            if ($(".lm-site-header-section").length != 0) {
                $('body').addClass('lm-site-header-section-enabled');
            }
        },
        directoryLayout: function() {
            $('.bp-legacy .wbtm-member-directory-type-4 .action .generic-button').find('a').contents().wrap('<span/>');
            $('.bp-legacy.manage-members .wbtm-member-directory-type-4 .action > div').find('a.button').contents().wrap('<span/>');
            $('.bp-legacy .wbtm-group-directory-type-4 .action .generic-button').find('a').contents().wrap('<span/>');
        },
        randomPostCatClass: function() {
            var classes = ['cat-green', 'cat-emerald', 'cat-blue', 'cat-violet', 'cat-salmon', 'cat-magenta', 'cat-sky', 'cat-sapphire', 'cat-brown', 'cat-red'];
            $('.cat-links a').addClass('cat');
            $('.cat-links a').each(function() {
                if (classes.length === 0)
                    return false; // break jQuery each

                var index = Math.floor(Math.random() * classes.length);
                var className = classes[index];

                $(this).addClass(className);
            });
        },
        imageResize: function() {
            var photoContainer = $(".aspect-ratio .img-card");

            photoContainer.each(function() {
                var wrapperWidth = $(this).width();
                var wrapperHeight = $(this).height();
                var wrapperRatio = wrapperWidth / wrapperHeight;

                var imageWidth = $(this).find("img").width();
                var imageHeight = $(this).find("img").height();
                var imageRatio = imageWidth / imageHeight;

                /*if (wrapperWidth === 0 || wrapperHeight === 0) {
                 return false;
                 }*/

                if (imageRatio <= wrapperRatio) {
                    var newImageHeight = wrapperWidth / imageRatio;
                    var newImageWidth = wrapperWidth;
                    var semiImageHeight = newImageHeight / 2;

                    $(this).find("img").css({
                        width: newImageWidth + 1,
                        height: newImageHeight + 1,
                        marginTop: -semiImageHeight,
                        marginLeft: 0,
                        top: "50%",
                        left: "0"
                    });

                } else {
                    var newImageHeight = wrapperHeight;
                    var newImageWidth = wrapperHeight * imageRatio;
                    var semiImageWidth = newImageWidth / 2;

                    $(this).find("img").css({
                        width: newImageWidth + 1,
                        height: newImageHeight + 1,
                        marginTop: 0,
                        marginLeft: -semiImageWidth,
                        top: "0",
                        left: "50%"
                    });
                }

                $(this).css("opacity", "1");

            });
        },
        bpTabMenu: function() {

            if (wp_main_js_obj.reign_rtl) {
                var rt = true;
            } else {
                var rt = false;
            }

            $('.rg-nouveau-sidebar-menu.reign-nav-more .main-navs:not(.vertical) ul').BuddyPressMenu(35);

            $('.rg-nouveau-sidebar-menu.reign-nav-swipe .main-navs:not(.vertical) ul').slick({
                slidesToScroll: 1,
                nextArrow: '<button class="slick-next slick-arrow reign-nav-swipe-arrow"><i class="far fa-angle-right"></i></button>',
                prevArrow: '<button class="slick-prev slick-arrow reign-nav-swipe-arrow"><i class="far fa-angle-left"></i></button>',
                infinite: false,
                swipeToSlide: true,
                variableWidth: true,
                rtl: rt
            });

            $(document).on('click', '.rg-nouveau-sidebar-menu .more-button', function(e) {
                e.preventDefault();
                $(this).toggleClass('active').next().toggleClass('active');
            });

            $(document).on('click', '.rg-nouveau-sidebar-menu .hideshow .sub-menu a', function(e) {
                //e.preventDefault();
                $('body').trigger('click');

                // add 'current' and 'selected' class
                var currentLI = $(this).parent();
                currentLI.parent('.rg-nouveau-sidebar-menu .sub-menu').find('li').removeClass('current selected');
                currentLI.addClass('current selected');
            });

            $(document).click(function(e) {
                var container = $('.rg-nouveau-sidebar-menu .more-button, .rg-nouveau-sidebar-menu .sub-menu');
                if (!container.is(e.target) && container.has(e.target).length === 0) {
                    $('.rg-nouveau-sidebar-menu .more-button').removeClass('active').next().removeClass('active');
                }
            });
        },
        galleryPostSlider: function() {

            $('.archive-rg-gallery-post .gallery').each(function() {
                var obj_rtl;
                if ($('body').hasClass("rtl")) {
                    obj_rtl = true;
                } else {
                    obj_rtl = false;
                }

                $('.post_format-post-format-gallery:not(.thumbnail-view) .archive-rg-gallery-post .gallery').slick({
                    infinite: false,
                    slidesToShow: 4,
                    slidesToScroll: 1,
                    nextArrow: '<button class="slick-next slick-arrow"><i class="far fa-angle-right"></i></button>',
                    prevArrow: '<button class="slick-prev slick-arrow"><i class="far fa-angle-left"></i></button>',
                    rtl: obj_rtl,
                    responsive: [{
                            breakpoint: 768,
                            settings: {
                                slidesToShow: 2
                            }
                        },
                        {
                            breakpoint: 480,
                            settings: {
                                slidesToShow: 1
                            }
                        }
                    ]
                });
            });

            $('.thumbnail-view .archive-rg-gallery-post .gallery').each(function() {
                var obj_rtl;
                if ($('body').hasClass("rtl")) {
                    obj_rtl = true;
                } else {
                    obj_rtl = false;
                }

                $('.thumbnail-view .archive-rg-gallery-post .gallery').slick({
                    infinite: false,
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    nextArrow: '<button class="slick-next slick-arrow"><i class="far fa-angle-right"></i></button>',
                    prevArrow: '<button class="slick-prev slick-arrow"><i class="far fa-angle-left"></i></button>',
                    rtl: obj_rtl
                });
            });
        },
        passwordEyeInit: function() {
            var $eye = $('.password-eye');

            $eye.on('click', function(event) {
                event.preventDefault();
                var $self = jQuery(this);

                var $input = $self.next('input');

                if ($input.attr('type') === 'password') {
                    $input.attr('type', 'text');

                    $self.addClass('fa-eye-slash');
                    $self.removeClass('fa-eye');
                } else {
                    $input.attr('type', 'password');
                    $self.removeClass('fa-eye-slash');
                    $self.addClass('fa-eye');
                }

            });

        },
        singinPopupInit: function() {
            $('.rg-login-btn-wrap .btn-login').on('click', function(event) {
                if (jQuery(this).attr('href') == '#') {
                    event.preventDefault();
                    $('#registration-login-form-popup').addClass('reign-window-popup-open');
                    $('#registration-login-form-popup .nav-tabs a.nav-link').removeClass('active');
                    $('#registration-login-form-popup .tab-content .tab-pane').removeClass('active');
                    $('#registration-login-form-popup .nav-tabs .nav-login-link').addClass('active');
                    var login_pannel = $('#registration-login-form-popup .nav-tabs .nav-login-link').attr('href');
                    if (typeof login_pannel !== 'undefined') {
                        $(login_pannel).addClass('active');
                    } else {
                        $('.tab-content .tab-pane').addClass('active');
                    }
                    $('.reign-overflow-x-wrapper').show();
                    $('body').addClass('modal-active');

                }
            });
        },
        registerPopupInit: function() {
            $('.rg-register-btn-wrap .btn-register').on('click', function(event) {
                if (jQuery(this).attr('href') == '#') {
                    event.preventDefault();
                    $('#registration-login-form-popup').addClass('reign-window-popup-open');

                    $('#registration-login-form-popup .nav-tabs a.nav-link').removeClass('active');
                    $('#registration-login-form-popup .tab-content .tab-pane').removeClass('active');
                    $('#registration-login-form-popup .nav-tabs .nav-register-link').addClass('active');
                    var login_pannel = $('#registration-login-form-popup .nav-tabs .nav-register-link').attr('href');
                    if (typeof login_pannel !== 'undefined') {
                        $(login_pannel).addClass('active');
                    } else {
                        $('.tab-content .tab-pane').addClass('active');
                    }

                    $('.reign-overflow-x-wrapper').show();
                    $('body').addClass('modal-active');

                }
            });
        },
        singinTabInit: function() {
            $('#registration-login-form-popup .nav-tabs a.nav-link').on('click', function(event) {
                event.preventDefault();
                $('#registration-login-form-popup .nav-tabs a.nav-link').removeClass('active');
                $('#registration-login-form-popup .tab-content .tab-pane').removeClass('active');
                $(this).addClass('active');
                var login_pannel = $(this).attr('href');
                $(login_pannel).addClass('active');
            });
        },
        closePopupInit: function() {
            $('.reign-close-popup').on('click', function(event) {

                var id = $(event.target).data('id');
                if (id == 'registration-login-form-popup') {
                    event.preventDefault();
                    $('#' + id).removeClass('reign-window-popup-open');
                    $('.reign-overflow-x-wrapper').hide();
                    $('body').removeClass('modal-active');
                }
            });
        },
        LoginFormSubmit: function() {
            jQuery('.reign-sign-form-login.reign-sign-form').on('submit', function(event) {
                event.preventDefault();

                var _this = this;
                var $form = jQuery(this);

                var handler = $form.data('handler');
                var $messages = $form.find('.reign-sign-form-messages');

                if (!handler) {
                    return;
                }

                var prepared = {
                    action: handler
                };

                var data = $form.serializeArray();

                jQuery.each(data, function(i, field) {
                    if (Array.isArray(prepared[field.name])) {
                        prepared[field.name].push(field.value);
                    } else if (typeof prepared[field.name] !== 'undefined') {
                        var val = prepared[field.name];
                        prepared[field.name] = new Array();
                        prepared[field.name].push(val);
                        prepared[field.name].push(field.value);
                    } else {
                        prepared[field.name] = field.value;
                    }
                });

                jQuery.ajax({
                    url: wp_main_js_obj.ajaxurl,
                    dataType: 'json',
                    type: 'POST',
                    data: prepared,

                    beforeSend: function() {
                        $form.addClass('loading');

                        //Clear old errors
                        $messages.empty();
                        $form.find('.invalid-feedback').remove();
                        $form.find('.is-invalid, .has-errors').removeClass('is-invalid has-errors');
                    },
                    success: function(response) {

                        $form.removeClass('loading');
                        if (response.success) {
                            //Prevent double form submit during redirect							
                            if (response.data.redirect_to) {
                                location.replace(response.data.redirect_to);
                                return;
                            }

                            if (response.data.email_sent) {
                                $form.find('.reign-sign-form-success-email-message').addClass('active');
                                $form.find('.reign-sign-form-register-fields').css('display', 'none');
                                $form.closest('.registration-login-form').css('min-height', '360px');
                                $form.closest('.registration-login-form').css('padding-left', '0');
                                $form.closest('.tab-pane').find('.title').css('display', 'none');
                                $form.closest('.tab-pane').find('.title').css('display', 'none');
                                $form.closest('.registration-login-form').find('.nav-tabs').css('display', 'none');
                                jQuery('html, body').animate({
                                    scrollTop: $form.offset().top - 140
                                }, 1000);
                                return;
                            }

                            location.reload();
                            return;
                        }

                        if (response.data.message) {
                            var $msg = jQuery('<li class="error" />');
                            $msg.html(response.data.message);
                            $msg.appendTo($messages);
                            return;
                        }

                        if (response.data.errors) {

                            var errors = response.data.errors;
                            $form.find('.invalid-feedback').remove();
                            $form.find('.is-invalid, .has-errors').removeClass('is-invalid has-errors');

                            for (var key in errors) {
                                var $field = jQuery('[name="' + key + '"]', $form);
                                var $group = $field.closest('.form-group');
                                var $error = jQuery('<div class="invalid-feedback" />').appendTo($field.parent());

                                $error.text(errors[key]);
                                $field.addClass('is-invalid');
                                $group.addClass('has-errors');
                            }
                        }

                    },
                    error: function(jqXHR, textStatus) {
                        $form.removeClass('loading');
                        alert(textStatus);
                    }
                });

            });
        },
        RegisterFormSubmit: function() {
            jQuery('.reign-sign-form-register.reign-sign-form').on('submit', function(event) {
                event.preventDefault();

                var _this = this;
                var $form = jQuery(this);

                var handler = $form.data('handler');
                var $messages = $form.find('.reign-sign-form-messages');

                if (!handler) {
                    return;
                }

                var prepared = {
                    action: handler
                };

                var data = $form.serializeArray();

                jQuery.each(data, function(i, field) {
                    if (Array.isArray(prepared[field.name])) {
                        prepared[field.name].push(field.value);
                    } else if (typeof prepared[field.name] !== 'undefined') {
                        var val = prepared[field.name];
                        prepared[field.name] = new Array();
                        prepared[field.name].push(val);
                        prepared[field.name].push(field.value);
                    } else {
                        prepared[field.name] = field.value;
                    }
                });

                jQuery.ajax({
                    url: wp_main_js_obj.ajaxurl,
                    dataType: 'json',
                    type: 'POST',
                    data: prepared,

                    beforeSend: function() {
                        $form.addClass('loading');

                        //Clear old errors
                        $messages.empty();
                        $form.find('.invalid-feedback').remove();
                        $form.find('.is-invalid, .has-errors').removeClass('is-invalid has-errors');
                    },
                    success: function(response) {

                        $form.removeClass('loading');
                        if (response.success) {
                            //Prevent double form submit during redirect							
                            if (response.data.redirect_to) {
                                location.replace(response.data.redirect_to);
                                return;
                            }

                            if (response.data.email_sent) {
                                $form.find('.reign-sign-form-success-email-message').addClass('active');
                                $form.find('.reign-sign-form-register-fields').css('display', 'none');
                                $form.closest('.registration-login-form').css('min-height', '360px');
                                $form.closest('.registration-login-form').css('padding-left', '0');
                                $form.closest('.tab-pane').find('.title').css('display', 'none');
                                $form.closest('.tab-pane').find('.title').css('display', 'none');
                                $form.closest('.registration-login-form').find('.nav-tabs').css('display', 'none');
                                jQuery('html, body').animate({
                                    scrollTop: $form.offset().top - 140
                                }, 1000);
                                return;
                            }

                            location.reload();
                            return;
                        }

                        if (response.data.message) {
                            var $msg = jQuery('<li class="error" />');
                            $msg.html(response.data.message);
                            $msg.appendTo($messages);
                            return;
                        }

                        if (response.data.errors) {

                            var errors = response.data.errors;
                            $form.find('.invalid-feedback').remove();
                            $form.find('.is-invalid, .has-errors').removeClass('is-invalid has-errors');

                            for (var key in errors) {
                                var $field = jQuery('[name="' + key + '"]', $form);
                                var $group = $field.closest('.form-group');
                                var $error = jQuery('<div class="invalid-feedback" />').appendTo($field.parent());

                                $error.text(errors[key]);
                                $field.addClass('is-invalid');
                                $group.addClass('has-errors');
                            }
                        }

                    },
                    error: function(jqXHR, textStatus) {
                        $form.removeClass('loading');
                        alert(textStatus);
                    }
                });

            });
        },
        scrollUp: function() {
            if (wp_main_js_obj.reign_enable_scrollup == true) {
                $.scrollUp({
                    scrollName: 'scrollUp', // Element ID
                    scrollDistance: 300, // Distance from top/bottom before showing element (px)
                    scrollFrom: 'top', // 'top' or 'bottom'
                    scrollSpeed: 300, // Speed back to top (ms)
                    easingType: 'linear', // Scroll to top easing (see http://easings.net/)
                    animation: 'fade', // Fade, slide, none
                    animationInSpeed: 200, // Animation in speed (ms)
                    animationOutSpeed: 200, // Animation out speed (ms)
                    scrollText: '<i class="far fa-chevron-circle-up"></i>', // Text for element, can contain HTML
                    scrollTitle: false, // Set a custom <a> title if required. Defaults to scrollText
                    scrollImg: false, // Set true to use image
                    activeOverlay: false, // Set CSS color to display scrollUp active point, e.g '#00FFFF'
                    zIndex: 2147483647 // hahaha, that is some z index. Not required to have this value but nothing wrong to have it Z-Index for the overlay
                });
            }
        },
        mediaPress: function() {
            /**
             * Activity upload Form handling
             * Prepend the upload buttons to Activity form
             */
            if (wp_main_js_obj.theme_package_id === 'nouveau') {
                $('.activity-update-form #whats-new-form').append($('#mpp-activity-upload-buttons'));
            }
        }
    };

    $(document).on('ready', function() {
        Reign.init();
    });

})(jQuery);

/* topbar first time render fix */
jQuery(document).ready(function() {
    if (jQuery('div#wbcom-header-topbar').length) {
        var topbar_height = jQuery('div#wbcom-header-topbar').height();
        var headerHeight = topbar_height + 32;

        var header_height = jQuery('.rg-sticky-menu #masthead.sticky-header').height();
        var body_padding_top = topbar_height + header_height;

        jQuery('.rg-header-top-bar #wbcom-header-topbar').show();
        jQuery('.rg-header-top-bar.rg-sticky-menu #masthead.sticky-header').css("top", topbar_height + "px");
        jQuery('.admin-bar.rg-header-top-bar.rg-sticky-menu #masthead.sticky-header').css("top", headerHeight + "px");
        jQuery('.rg-sticky-menu').css("padding-top", header_height + "px");
        jQuery('.rg-header-top-bar.rg-sticky-menu').css("padding-top", body_padding_top + "px");
    }
});

// Reign Sticky Topbar
jQuery(document).ready(function() {
    if (jQuery('.reign-header-top').length) {
        var admin_bar_height = 32;
        var reign_topbar_height = jQuery('.reign-header-top').height();

        jQuery('body.admin-bar.reign-sticky-topbar .reign-header-top').css("top", admin_bar_height + "px");
        jQuery('.reign-sticky-topbar #masthead').css("top", reign_topbar_height + 10 + "px");
    }
});

jQuery(window).on('resize', function() {
    if (jQuery('.reign-header-top').length) {
        var admin_bar_height = 32;
        var reign_topbar_height = jQuery('.reign-header-top').height();

        jQuery('body.admin-bar.reign-sticky-topbar .reign-header-top').css("top", admin_bar_height + "px");
        jQuery('.reign-sticky-topbar #masthead').css("top", reign_topbar_height + 10 + "px");
    }
});


// Reign Mobile Header Resize
jQuery(window).on('resize', function() {

    var body = jQuery('body');
    site_mobile_header = jQuery('.reign-fallback-header.header-mobile');
    if (jQuery('.reign-header-top').length) {
        var reign_topbar_height = jQuery('.reign-header-top').outerHeight();
    }

    if (jQuery('#wbcom-header-topbar').length) {
        var reign_ele_topbar_height = jQuery('#wbcom-header-topbar').outerHeight();
    }

    if (window.innerWidth < 960) {

        // Fixed top
        if (site_mobile_header.hasClass('fixed-top')) {
            var lastScrollTop = 0;
            jQuery(window).on('scroll', function() {
                if (jQuery(this).scrollTop() > 50) {
                    site_mobile_header.addClass('nav-scrolling');
                    if (jQuery(this).scrollTop() > lastScrollTop) {
                        site_mobile_header.addClass('to-bottom');
                        site_mobile_header.removeClass('to-top');
                    } else {
                        site_mobile_header.addClass('to-top');
                        site_mobile_header.removeClass('to-bottom');
                    }
                    lastScrollTop = jQuery(this).scrollTop();
                } else {
                    site_mobile_header.removeClass('nav-scrolling');
                }
            });
        }

        // Fixed top scrolling
        if (site_mobile_header.hasClass('fixed-top')) {

            if (site_mobile_header.hasClass('nav-scrolling') && site_mobile_header.hasClass('to-bottom')) {
                if (body.hasClass('admin-bar')) {
                    site_mobile_header.css({ top: (jQuery('#wpadminbar').outerHeight() - jQuery('.reign-nav-top-bar').outerHeight()) });

                    site_mobile_header.css("marginTop", 0 + "px");
                } else {
                    site_mobile_header.css({ top: jQuery('.reign-nav-top-bar').outerHeight() * -1 });

                    site_mobile_header.css("marginTop", 0 + "px");
                }
            } else {
                site_mobile_header.removeAttr('style');

                site_mobile_header.css("marginTop", reign_topbar_height + "px");

                site_mobile_header.css("marginTop", reign_ele_topbar_height + "px");
            }

            jQuery(window).on('scroll', function() {
                if (site_mobile_header.hasClass('nav-scrolling') && site_mobile_header.hasClass('to-bottom')) {
                    if (body.hasClass('admin-bar')) {
                        site_mobile_header.css({ top: (jQuery('#wpadminbar').outerHeight() - jQuery('.reign-nav-top-bar').outerHeight()) });

                        site_mobile_header.css("marginTop", 0 + "px");
                    } else {
                        site_mobile_header.css({ top: jQuery('.reign-nav-top-bar').outerHeight() * -1 });

                        site_mobile_header.css("marginTop", 0 + "px");
                    }
                } else {
                    site_mobile_header.removeAttr('style');

                    site_mobile_header.css("marginTop", reign_topbar_height + "px");

                    site_mobile_header.css("marginTop", reign_ele_topbar_height + "px");
                }
            });
        }
    }

});

/* compatibilty with BP Create Type Plugin */
jQuery(document).ready(function() {
    jQuery('.wb-group-type-filters-wrap').on('click', 'li a', function(e) {
        e.preventDefault();
        var value = jQuery(this).attr('data-group-slug');
        jQuery('.wb-group-type-filters-wrap li').removeClass('current');
        jQuery(this).parent().addClass('current');

        var object = 'groups';
        bp_filter_request(
            object,
            jq.cookie('bp-' + object + '-filter'),
            jq.cookie('bp-' + object + '-scope'),
            'div.' + object,
            jQuery('#' + object + '_search').val(), //( '#bpgt-groups-search-text' ).val(),
            1,
            'group_type=' + value,
            '',
            ''
        );

        return false;
    });
});

/* WooCommerce quantity +/- managed */
jQuery(document).ready(function() {
    QtyChngMinus();
    QtyChngPlus();
});

// Make the code work after executing AJAX.
jQuery(document).ajaxComplete(function() {
    QtyChngMinus();

});
jQuery(document).ajaxComplete(function() {
    QtyChngPlus();

});

function QtyChngMinus() {
    jQuery(document).off("click", ".product_quantity_minus").on("click", ".product_quantity_minus", function() {

        var qty = jQuery(this).next('input.qty').val();
        qty = parseInt(qty);
        if (qty > 1) {
            qty = qty - 1;
            jQuery(this).next('input.qty').val(qty).trigger('change');

        }
    });
}

function QtyChngPlus() {
    jQuery(document).off("click", ".product_quantity_plus").on("click", ".product_quantity_plus", function() {

        var qty = jQuery(this).prev('input.qty').val();
        qty = parseInt(qty);
        qty = qty + 1;
        jQuery(this).prev('input.qty').val(qty).trigger('change');

    });
}


/** category slick slider **/
jQuery('.rg-woo-category-slider-wrap').each(function() {
    if (wp_main_js_obj.reign_rtl) {
        var rt = true;
    } else {
        var rt = false;
    }

    jQuery(this).slick({
        rtl: rt,
        responsive: [{
                breakpoint: 991,
                settings: {
                    slidesToShow: 2
                }
            },
            {
                breakpoint: 543,
                settings: {
                    slidesToShow: 1
                }
            }
        ]
    });
});

/**
 * Managing action buttons of profile header for groups and memebers.
 */
jQuery(document).ready(function() {
    if (!(jQuery('.bp-legacy .wbtm-item-buttons-wrapper #item-buttons > div').length)) {
        jQuery('.bp-legacy .wbtm-item-buttons-wrapper').hide();
        jQuery('.bp-legacy .wbtm-cover-header-type-3 .wbtm-cover-extra-info-section').css("padding-bottom", 0);
    }
});

(function($) {
    $(document).ready(function() {

        if (!wp_main_js_obj.single_activity_page) {
            //append read more on page with rtmedia read more text
            var maxLength = wp_main_js_obj.excerpt_length;
            if (wp_main_js_obj.theme_package_id === 'nouveau') {
                jQuery(document).ajaxComplete(function(event, xhr, settings) {
                    if (settings.data) {
                        var formdata = deParams(settings.data);
                        var action = formdata['action'];
                        if (action === 'activity_filter') {
                            setTimeout(function() {
                                $(".rtmedia-activity-text").each(function() {
                                    var myStr = $(this).find('span').html();
                                    if ($.trim(myStr).length > maxLength) {
                                        var newStr = myStr.substring(0, maxLength);
                                        var removedStr = myStr.substring(maxLength, $.trim(myStr).length);
                                        $(this).empty().html(newStr);
                                        $(this).append('<a href="javascript:void(0);" class="read-more activity-read-more">' + wp_main_js_obj.append_text + '</a>');
                                        $(this).append('<span class="rtmedia-more-text">' + removedStr + '</span>');
                                    }
                                });
                            }, 1000);
                        }
                    }
                });
            } else {
                $(".rtmedia-activity-text").each(function() {
                    var myStr = $(this).html();
                    if ($.trim(myStr).length > maxLength) {
                        var newStr = myStr.substring(0, maxLength);
                        var removedStr = myStr.substring(maxLength, $.trim(myStr).length);
                        $(this).empty().html(newStr);
                        $(this).append('<a href="javascript:void(0);" class="read-more activity-read-more">' + wp_main_js_obj.append_text + '</a>');
                        $(this).append('<span class="rtmedia-more-text">' + removedStr + '</span>');
                    }
                });
            }
            $(document).on('click', '.activity-content .read-more', function() {
                $(this).siblings(".rtmedia-more-text").contents().unwrap();
                $(this).remove();
            });

            jQuery(document).ajaxComplete(function(event, xhr, settings) {
                if (settings.data) {
                    var formdata = deParams(settings.data);
                    var action = formdata['action'];
                    if ('post_update' === action) {
                        var maxLength = wp_main_js_obj.excerpt_length;
                        if (wp_main_js_obj.theme_package_id === 'nouveau') {
                            setTimeout(function() {
                                $(".rtmedia-activity-text").each(function() {
                                    var myStr = $(this).find('span').html();
                                    if ($.trim(myStr).length > maxLength) {
                                        var newStr = myStr.substring(0, maxLength);
                                        var removedStr = myStr.substring(maxLength, $.trim(myStr).length);
                                        $(this).empty().html(newStr);
                                        $(this).append('<a href="javascript:void(0);" class="read-more activity-read-more">' + wp_main_js_obj.append_text + '</a>');
                                        $(this).append('<span class="rtmedia-more-text">' + removedStr + '</span>');
                                    }
                                });
                            }, 1000);
                        } else {
                            $(".rtmedia-activity-text").each(function() {
                                var myStr = $(this).html();
                                if ($.trim(myStr).length > maxLength) {
                                    var newStr = myStr.substring(0, maxLength);
                                    var removedStr = myStr.substring(maxLength, $.trim(myStr).length);
                                    $(this).empty().html(newStr);
                                    $(this).append('<a href="javascript:void(0);" class="read-more activity-read-more">' + wp_main_js_obj.append_text + '</a>');
                                    $(this).append('<span class="rtmedia-more-text">' + removedStr + '</span>');
                                }
                            });
                        }
                    }
                }
            });
        }

        function deParams(str) {
            return (str).replace(/(^\?)/, '').split("&").map(function(n) {
                return n = n.split("="), this[n[0]] = n[1], this;
            }.bind({}))[0];
        }

        // PeepSo Activity Social Share
        jQuery(document).ajaxComplete(function(event, xhr, settings) {
            jQuery('.ps-socials__dropdown .peepso-share i').addClass('fab');
        });
    });
})(jQuery);