<?php

/*
 * BP Profile Search - form template 'bps-form-horizontal'
 *
 * See http://dontdream.it/bp-profile-search/form-templates/ if you wish to modify this template or develop a new one.
 * A new or modified template should be moved to the 'buddypress/members' directory in your theme's root, otherwise it
 * will be overwritten during the next plugin update.
 *
 */

	$F = bps_escaped_form_data ();

	/* custom code to manage things properly */
	$wbtm_bps_form_layout = get_post_meta( $F->id, 'wbtm_bps_form_layout', true );
    $wbtm_bps_form_label = get_post_meta( $F->id, 'wbtm_bps_form_label', true );
    $wbtm_bps_form_placeholder = get_post_meta( $F->id, 'wbtm_bps_form_placeholder', true );
    $inline_style = "";
    if( $wbtm_bps_form_layout == 'horizontal' ) {
    	$inline_style = "display: flex;";
    }
    /* custom code to manage things properly */
    
	$toggle_id = 'bps_toggle'. $F->id;
	$form_id = 'bps_'. $F->location. $F->id;

	if ($F->location != 'directory')
	{
		echo "<div id='buddypress'>";
		?>
		<div class="wbtm-bps-form-wrapper wbtm-bps-form-wrapper-<?php echo $F->id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?> wbtm-bps-form-wrapper-<?php echo esc_attr($wbtm_bps_form_layout); ?>">
			<div class="item-list-tabs bps_header" style="clear: both;">
				<ul>
					<li><?php echo $F->header; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></li>
				</ul>
			</div>	
		<?php
	}
	else
	{
?>
	<div class="wbtm-bps-form-wrapper wbtm-bps-form-wrapper-<?php echo $F->id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?> wbtm-bps-form-wrapper-<?php echo $wbtm_bps_form_layout; ?>">
	<div class="item-list-tabs bps_header" style="clear: both;">
	  <ul>
		<li><?php echo $F->header; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></li>
<?php
		if ($F->toggle)
		{
?>
		<li class="last">
		  <span id="<?php echo esc_attr($toggle_id); ?>" type="submit" value="<?php //echo $F->toggle_text; ?>" class="wbtm-bps-form-toggle"><i class="far fa-angle-down"></i></span>
		</li>
		<script type="text/javascript">
			jQuery(document).ready(function($) {
				$('#<?php echo $form_id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>').hide();
				$('#<?php echo $toggle_id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>').click(function(){
					$( this ).toggleClass('wbtm-bps-form-open');
					$('#<?php echo $form_id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>').toggle();
				});
			});
		</script>
<?php
		}
?>
	  </ul>
	</div>
<?php
	}
	$wbtm_bps_form_bg_color = get_post_meta( $F->id, 'wbtm_bps_form_bg_color', true );
    $wbtm_bps_form_txt_color = get_post_meta( $F->id, 'wbtm_bps_form_txt_color', true );
	?>
	<style type="text/css">
		<?php if( !empty( $wbtm_bps_form_bg_color ) ) : ?>
			.wbtm-bps-form-wrapper-<?php echo $F->id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>{
				background-color: <?php echo $wbtm_bps_form_bg_color; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>;
			}
		<?php endif; ?>
		<?php if( !empty( $wbtm_bps_form_txt_color ) ) : ?>
			.wbtm-bps-form-wrapper-<?php echo $F->id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?> label,
			.wbtm-bps-form-wrapper-<?php echo $F->id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?> .description {
				color: <?php echo $wbtm_bps_form_txt_color; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?> !important;
			}
		<?php endif; ?>
	</style>
	<?php

	echo "<form action='$F->action' method='$F->method' id='$form_id' class='standard-form bps_form wbtm-bps-form wbtm-bps-form-" . $wbtm_bps_form_layout . "' style='". $inline_style . "'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

	$j = 0;
	foreach ($F->fields as $f)
	{
		if ($f->display == 'hidden')
		{
			echo "<input type='hidden' name='$f->code' value='$f->value'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			continue;
		}

		$name = sanitize_title ($f->name);
		$alt = ($j++ % 2)? 'alt': '';
		$class = "editfield $f->code field_$name $alt";

		echo "<div class='$class'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

		switch ($f->display)
		{
		case 'range':
			if( $wbtm_bps_form_label == 'show' ) {
				echo "<label for='$f->code'>$f->label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			$_placehoder = '';
			if( $wbtm_bps_form_placeholder == 'show' ) {
				$_placehoder = $f->label;
			}
			echo "<input style='width: 10%; display: inline;' type='text' name='{$f->code}_min' id='$f->code' value='$f->min'>"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			echo '&nbsp;-&nbsp;'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			echo "<input style='width: 10%; display: inline;' type='text' name='{$f->code}_max' value='$f->max'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			break;

		case 'textbox':
			if( $wbtm_bps_form_label == 'show' ) {
				echo "<label for='$f->code'>$f->label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			$_placehoder = '';
			if( $wbtm_bps_form_placeholder == 'show' ) {
				$_placehoder = $f->label;
			}
			echo "<input type='text' name='$f->code' id='$f->code' value='$f->value' placeholder='$_placehoder'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			break;

		case 'number':
			if( $wbtm_bps_form_label == 'show' ) {
				echo "<label for='$f->code'>$f->label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			$_placehoder = '';
			if( $wbtm_bps_form_placeholder == 'show' ) {
				$_placehoder = $f->label;
			}
			echo "<input type='number' name='$f->code' id='$f->code' value='$f->value'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			break;

		case 'url':
			if( $wbtm_bps_form_label == 'show' ) {
				echo "<label for='$f->code'>$f->label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			$_placehoder = '';
			if( $wbtm_bps_form_placeholder == 'show' ) {
				$_placehoder = $f->label;
			}
			echo "<input type='text' inputmode='url' name='$f->code' id='$f->code' value='$f->value'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			break;

		case 'textarea':
			if( $wbtm_bps_form_label == 'show' ) {
				echo "<label for='$f->code'>$f->label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			$_placehoder = '';
			if( $wbtm_bps_form_placeholder == 'show' ) {
				$_placehoder = $f->label;
			}
			echo "<textarea rows='5' cols='40' name='$f->code' id='$f->code'>$f->value</textarea>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			break;

		case 'distance':
			$within = __('Within', 'reign');
			$of = __('of', 'reign');
			$km = __('km', 'reign');
			$miles = __('miles', 'reign');
?>
			<label for="<?php echo $f->unique_id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>"><?php echo $f->label; ?></label>
			<span><?php echo $within; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></span>
			<input style="width: 4em;" type="number" min="1"
				name="<?php echo $f->code. '[distance]'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>"
				value="<?php echo $f->value['distance']; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>">
			<select name="<?php echo $f->code. '[units]'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>">
				<option value="km" <?php selected ($f->value['units'], "km"); ?>><?php echo $km; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></option>
				<option value="miles" <?php selected ($f->value['units'], "miles"); ?>><?php echo $miles; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></option>
			</select>
			<span><?php echo $of; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></span>
			<input style="width: 80%;" type="text" id="<?php echo $f->unique_id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>"
				name="<?php echo $f->code. '[location]'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>"
				value="<?php echo $f->value['location']; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>"
				placeholder="<?php esc_attr_e('Start typing, then select a location', 'reign'); ?>">
			<img id="Btn_<?php echo $f->unique_id; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>" style="cursor: pointer;" src="<?php echo plugins_url ('bp-profile-search/templates/members/locator.png'); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>" title="<?php esc_attr_e('get current location', 'reign'); ?>">
<?php
			bps_autocomplete_script ($f);
			break;

		case 'selectbox':
			if( $wbtm_bps_form_label == 'show' ) {
				echo "<label for='$f->code'>$f->label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			$_placehoder = '';
			if( $wbtm_bps_form_placeholder == 'show' ) {
				$_placehoder = $f->label;
			}
			echo "<select name='$f->code' id='$f->code'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

			$no_selection = apply_filters ('bps_field_selectbox_no_selection', '', $f);
			if (is_string ($no_selection))
				echo "<option  value=''>$no_selection</option>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

			foreach ($f->options as $key => $label)
			{
				$selected = in_array ($key, $f->values)? "selected='selected'": "";
				echo "<option $selected value='$key'>$label</option>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			echo "</select>\n";
			break;

		case 'multiselectbox':
			if( $wbtm_bps_form_label == 'show' ) {
				echo "<label for='$f->code'>$f->label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			$_placehoder = '';
			if( $wbtm_bps_form_placeholder == 'show' ) {
				$_placehoder = $f->label;
			}
			echo "<select name='{$f->code}[]' id='$f->code' multiple='multiple'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

			foreach ($f->options as $key => $label)
			{
				$selected = in_array ($key, $f->values)? "selected='selected'": "";
				echo "<option $selected value='$key'>$label</option>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			echo "</select>\n";
			break;

		case 'radio':
			echo "<div class='radio'>\n";
			echo "<span class='label'>$f->label</span>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			echo "<div id='$f->code'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

			foreach ($f->options as $key => $label)
			{
				$checked = in_array ($key, $f->values)? "checked='checked'": "";
				echo "<label><input $checked type='radio' name='$f->code' value='$key'>$label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			echo "</div>\n";
			echo "<a style='display: inline;' class='clear-value' href='javascript:clear(\"$f->code\");'>". __('Clear', 'buddypress'). "</a>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			echo "</div>\n";
			break;

		case 'checkbox':
			echo "<div class='checkbox'>\n";
			echo "<span class='label'>$f->label</span>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

			foreach ($f->options as $key => $label)
			{
				$checked = in_array ($key, $f->values)? "checked='checked'": "";
				echo "<label><input $checked type='checkbox' name='{$f->code}[]' value='$key'>$label</label>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}
			echo "</div>\n";
			break;

		default:
			echo "<p>BP Profile Search: unknown display <em>$f->display</em> for field <em>$f->name</em>.</p>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			break;
		}

		if (!empty ($f->description) && $f->description != '-')
			echo "<p class='description'>$f->description</p>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped

		echo "</div>\n";
	}

	echo "<div class='submit'>\n";
	echo "<input type='submit' value='". __('Search', 'buddypress'). "'>\n"; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	echo "</div>\n";
	echo "</form>\n";
	echo "</div>\n";

	if ($F->location != 'directory')  echo "</div>\n";

// BP Profile Search - end of template
