<?php
if ( class_exists( 'BuddyPress' ) && is_user_logged_in() && bp_is_active( 'messages' ) ) {
	?>
	<div class="rg-msg header-notifications-dropdown-toggle">
		<a class="rg-icon-wrap dropdown-toggle" href="<?php echo bp_loggedin_user_domain() . bp_get_messages_slug(); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>">
			<span class="far fa-envelope"></span>
			<?php if ( messages_get_unread_count( bp_loggedin_user_id() ) > 0 ) : ?>
				<?php if ( messages_get_unread_count( bp_loggedin_user_id() ) > 9 ) : ?>
					<sup class="count rg-count"><?php esc_html_e( '9+', 'reign' ); ?></sup>
				<?php else : ?>
					<sup class="count rg-count"><?php echo esc_html( messages_get_unread_count() ); ?></sup>
				<?php endif; ?>
			<?php endif; ?> 
		</a>
		<div class="header-notifications-dropdown-menu" aria-labelledby="nav_private_messages">
			<div class="dropdown-title"><?php esc_html_e( 'Unread messages', 'reign' ); ?></div>
			<?php
			if ( bp_has_message_threads(
				array(
					'user_id'  => bp_loggedin_user_id(),
					'type'     => 'unread',
					'per_page' => 10,
					'max'      => 10,
				)
			) ) :
				?>
				<div class="dropdown-item-wrapper">
					<?php
					while ( bp_message_threads() ) :
						bp_message_thread();
						?>
					<div class="dropdown-item">
						<div class="item-avatar">
							<?php bp_message_thread_avatar( 'type=thumb&width=30&height=30' ); ?>
						</div>
						<div class="item-info">
							<div class="dropdown-item-title message-subject ellipsis">
								<a href="<?php bp_message_thread_view_link( bp_get_message_thread_id(), bp_loggedin_user_id() ); ?>" class="color-primary"><?php bp_message_thread_subject(); ?></a>
							</div>
							<p class="mute"><?php bp_message_thread_last_post_date(); ?></p>
						</div>
					</div>
					<?php endwhile; ?>
				</div>
			<?php else : ?>
				<div class="alert-message">
					<div class="alert alert-warning" role="alert"><?php esc_html_e( 'No messages to read.', 'reign' ); ?></div>
				</div>
			<?php endif; ?>
			<div class="dropdown-footer">
				<a href="<?php echo esc_url( trailingslashit( bp_loggedin_user_domain() . bp_get_messages_slug() . '/inbox' ) ); ?>" class="button read-more"><?php esc_html_e( 'All Messages', 'reign' ); ?></a>
			</div>
		</div>
	</div>
	<?php
}
