<?php
/**
 * Mobile menu
 *
 * @package reign
 */

?>

<div class="reign-fallback-header header-mobile<?php echo ( get_theme_mod( 'reign_header_sticky_menu_enable', true ) ) ? esc_attr( ' fixed-top' ) : ''; ?>">
	<nav id="site-navigation" class="main-navigation reign-navbar-mobile" role="navigation" aria-label="<?php esc_attr_e( 'Main menu', 'reign' ); ?>">
		<div class="container">
			<?php do_action( 'reign_before_reign_mobile_nav_top' ); ?>
			<div class="reign-nav-top-bar">
				<div class="site-branding">
					<div class="logo">
						<?php
						if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) {
							$mobile_menu_logo_enable = get_theme_mod( 'reign_header_mobile_menu_logo_enable', false );
							if ( $mobile_menu_logo_enable ) {
								$reign_header_mobile_menu_logo = get_theme_mod( 'reign_header_mobile_menu_logo', '' );
								if ( ! empty( $reign_header_mobile_menu_logo ) ) {
									?>
									<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img class="reign-mobile-menu" src="<?php echo esc_url( $reign_header_mobile_menu_logo ); ?>" /></a>
									<?php
								} else {
									the_custom_logo();
								}
							} else {
								the_custom_logo();
							}
						} else {
							if ( is_front_page() && is_home() ) :
								?>
								<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
								<?php
								$reign_description = get_bloginfo( 'description', 'display' );
								if ( $reign_description || is_customize_preview() ) {
									?>
									<p class="site-description">
										<?php echo esc_html( $reign_description ); ?>
									</p>
									<?php
								}
								?>
						<?php else : ?>
							<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
								<?php
								$reign_description = get_bloginfo( 'description', 'display' );
								if ( $reign_description || is_customize_preview() ) {
									?>
									<p class="site-description">
										<?php echo esc_html( $reign_description ); ?>
									</p>
									<?php
								}
								?>
								<?php
							endif;
						}
						?>
					</div><!-- .logo -->
				</div><!-- .site-branding -->

				<button class="reign-toggler reign-toggler-left" type="button">
					<span class="icon-bar bar1"></span>
					<span class="icon-bar bar2"></span>
					<span class="icon-bar bar3"></span>
				</button>

				<div class="navbar-menu-container">
					<?php do_action( 'reign_before_reign_mobile_main_menu' ); ?>
					<?php if ( is_user_logged_in() ) { ?>
						<div class="reign-mobile-user">
							<?php
							$user_link    = function_exists( 'bp_core_get_user_domain' ) ? bp_core_get_user_domain( get_current_user_id() ) : get_author_posts_url( get_current_user_id() );
							$current_user = wp_get_current_user();
							?>
							<div class="user-wrap">
								<a href="<?php echo $user_link; ?>"><?php echo get_avatar( get_current_user_id(), 100 ); ?></a>
								<div>
									<a href="<?php echo $user_link; ?>"><span class="user-name"><?php echo $current_user->display_name; ?></span></a>
									<?php
									if ( function_exists( 'bp_is_active' ) && bp_is_active( 'settings' ) ) {
										$settings_link = trailingslashit( bp_loggedin_user_domain() . bp_get_settings_slug() );
										?>
										<div class="my-account-link"><a class="ab-item" aria-haspopup="true" href="<?php echo $settings_link; ?>"><?php esc_html_e( 'My Account', 'reign' ); ?></a></div>
										<?php
									}
									?>
								</div>
							</div>
							<hr />
						</div>
					<?php } else { ?>
						<div class="site-branding">
							<div class="logo">
								<?php
								if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) {
									$mobile_menu_logo_enable = get_theme_mod( 'reign_header_mobile_menu_logo_enable', false );
									if ( $mobile_menu_logo_enable ) {
										$reign_header_mobile_menu_logo = get_theme_mod( 'reign_header_mobile_menu_logo', '' );
										if ( ! empty( $reign_header_mobile_menu_logo ) ) {
											?>
											<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img class="reign-mobile-menu" src="<?php echo esc_url( $reign_header_mobile_menu_logo ); ?>" /></a>
											<?php
										} else {
											the_custom_logo();
										}
									} else {
										the_custom_logo();
									}
								} else {
									if ( is_front_page() && is_home() ) :
										?>
										<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
										<?php
										$reign_description = get_bloginfo( 'description', 'display' );
										if ( $reign_description || is_customize_preview() ) {
											?>
											<p class="site-description">
												<?php echo esc_html( $reign_description ); ?>
											</p>
											<?php
										}
										?>
								<?php else : ?>
									<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
										<?php
										$reign_description = get_bloginfo( 'description', 'display' );
										if ( $reign_description || is_customize_preview() ) {
											?>
											<p class="site-description">
												<?php echo esc_html( $reign_description ); ?>
											</p>
											<?php
										}
										?>
										<?php
									endif;
								}
								?>
							</div><!-- .logo -->
						</div><!-- .site-branding -->
					<?php } ?>
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'menu-1',
							'menu_id'        => 'primary-menu',
							'fallback_cb'    => '',
							'container'      => false,
							'menu_class'     => 'primary-menu navbar-nav',
						)
					);
					?>
					<?php do_action( 'reign_after_reign_mobile_main_menu' ); ?>
					<?php do_action( 'reign_before_reign_mobile_panel_menu' ); ?>
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'panel-menu',
							'menu_id'        => 'reign-panel',
							'fallback_cb'    => '',
							'container'      => false,
							'menu_class'     => 'navbar-nav navbar-reign-panel',
						)
					);
					?>
					<?php do_action( 'reign_before_reign_mobile_panel_menu' ); ?>
				</div>

				<div class="reign-user-toggler">
					<?php
					if ( is_user_logged_in() ) {
						// For PeepSo notification icons.
						if ( class_exists( 'PeepSo' ) ) {
							if ( is_active_sidebar( 'reign-header-widget-area' ) ) :
								dynamic_sidebar( 'reign-header-widget-area' );
							endif;
						} else {
							$current_user = wp_get_current_user();
							if ( ( $current_user instanceof WP_User ) ) {
								$user_link = function_exists( 'bp_core_get_user_domain' ) ? bp_core_get_user_domain( get_current_user_id() ) : '#';
								echo '<div class="user-link-wrap">';
								echo '<a class="user-link" href="' . $user_link . '">'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
								?>
								<?php
								echo get_avatar( $current_user->user_email, 200 );
								echo '</a>';
								echo '<div class="user-profile-menu-wrapper">';
								wp_nav_menu(
									array(
										'theme_location' => 'menu-2',
										'menu_id'        => 'user-profile-menu',
										'fallback_cb'    => '',
										'container'      => 'user-mobile-menu',
										'menu_class'     => 'user-profile-menu',
									)
								);
								echo '</div>';
								echo '</div>';
							}
						}
					}
					?>
				</div>

				<?php
				$reign_mobile_header_layout = get_theme_mod( 'reign_mobile_header_layout', 'header-v1' );
				if ( 'header-v2' === $reign_mobile_header_layout ) {
					?>
					<div class="reign-navbar-user">
						<?php
						$reign_mobile_header_default_icons_set = reign_mobile_header_default_icons_set();
						$reign_mobile_header_icons_set         = get_theme_mod( 'reign_mobile_header_icons_set', $reign_mobile_header_default_icons_set );
						foreach ( $reign_mobile_header_icons_set as $header_icon ) {
							get_template_part( 'template-parts/header-icons/' . $header_icon, '' );
						}
						?>
					</div><!-- .reign-navbar-user -->
					<?php
				}
				?>

			</div><!-- .reign-nav-top-bar -->
			<div class="reign-navbar-user">
				<?php
				$reign_mobile_header_default_icons_set = reign_mobile_header_default_icons_set();
				$reign_mobile_header_icons_set         = get_theme_mod( 'reign_mobile_header_icons_set', $reign_mobile_header_default_icons_set );
				foreach ( $reign_mobile_header_icons_set as $header_icon ) {
					get_template_part( 'template-parts/header-icons/' . $header_icon, '' );
				}
				?>
			</div><!-- .reign-navbar-user -->
			<?php do_action( 'reign_after_reign_mobile_nav_top' ); ?>
		</div><!-- .container -->
	</nav><!-- #site-navigation -->
</div><!-- .header-mobile -->
