<?php
/**
 * Left Menu Panel
 *
 * It's displayed left menu panel layout template
 *
 * @package reign
 */

global $post;
$bp_pages = get_option( 'bp-pages' );

if ( class_exists( 'BuddyPress' ) ) {
	if ( bp_is_current_component( 'groups' ) ) {
		$bp_page = get_post( $bp_pages['groups'] );
	} elseif ( bp_is_current_component( 'members' ) || bp_is_user() ) {
		$bp_page = get_post( $bp_pages['members'] );
	} elseif ( bp_is_current_component( 'activity' ) ) {
		$bp_page = get_post( $bp_pages['activity'] );
	} elseif ( bp_is_current_component( 'document' ) ) {
		$bp_page = get_post( $bp_pages['document'] );
	} elseif ( bp_is_current_component( 'media' ) ) {
		$bp_page = get_post( $bp_pages['media'] );
	} elseif ( bp_is_register_page() ) {
		$bp_page = get_post( $bp_pages['register'] );
	}
}

if ( ! empty( $bp_page ) ) {
	$wbcom_metabox_data = get_post_meta( $bp_page->ID, 'reign_wbcom_metabox_data', true );
} else {
	if ( is_singular() ) {
		$wbcom_metabox_data = get_post_meta( $post->ID, 'reign_wbcom_metabox_data', true );
	}
}

$display_left_panel_menu = isset( $wbcom_metabox_data['layout']['display_left_panel_menu'] ) ? $wbcom_metabox_data['layout']['display_left_panel_menu'] : '';

if ( 'yes' === $display_left_panel_menu ) {
	return;
}

$reign_left_panel_logout_mode = '';
if ( false === is_user_logged_in() ) {
	$reign_left_panel_logout_mode = get_theme_mod( 'reign_left_panel_logout_mode', true );

	if ( false === $reign_left_panel_logout_mode ) {
		return;
	}
}

$reign_left_panel_state  = get_theme_mod( 'reign_left_panel_state', 'closed' );
$reign_left_panel_toggle = get_theme_mod( 'reign_left_panel_toggle', true );
$state_class             = '';
if ( 'open' === $reign_left_panel_state ) {
	$state_class = 'reign-panel-open';
}

if ( ! has_nav_menu( 'panel-menu' ) ) {
	return;
}

?>

<div id="reign-menu-panel" class="reign-menu-panel <?php echo esc_attr( $state_class ); ?>">
	<div class="reign-menu-panel-inner reign-scrollbar">
		<?php if ( $reign_left_panel_toggle ) : ?>
			<div class="reign-menu-panel-header">
				<button class="reign-toggler" type="button">
					<span class="icon-bar bar1"></span>
					<span class="icon-bar bar2"></span>
					<span class="icon-bar bar3"></span>
				</button>
			</div>
		<?php endif; ?>
		<div class="reign-inner-panel">
			<?php
			wp_nav_menu(
				array(
					'theme_location' => 'panel-menu',
					'menu_id'        => 'reign-panel',
					'fallback_cb'    => '',
					'container'      => false,
					'menu_class'     => 'navbar-nav navbar-reign-panel',
				)
			);
			?>
		</div>
	</div>
</div>
