<?php
/**
 * Custom Styles
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package reign
 * @since 6.8.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Kirki' ) ) {
	return;
}

// custom style.
if ( ! function_exists( 'reign_get_customizer_style' ) ) {
	/**
	 * Get customizer style
	 *
	 * @since 1.0.0
	 */
	function reign_get_customizer_style() {

		// Default Values & Color Schemes.
		$default_value_set  = reign_color_scheme_set();
		$reign_color_scheme = get_theme_mod( 'reign_color_scheme', 'reign_clean' );

		// Customizer Color Values.
		$reign_header_topbar_bg_color             = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_topbar_bg_color', $default_value_set[ $reign_color_scheme ]['reign_header_topbar_bg_color'] );
		$reign_header_topbar_text_color           = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_topbar_text_color', $default_value_set[ $reign_color_scheme ]['reign_header_topbar_text_color'] );
		$reign_header_topbar_text_hover_color     = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_topbar_text_hover_color', $default_value_set[ $reign_color_scheme ]['reign_header_topbar_text_hover_color'] );
		$reign_header_bg_color                    = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_bg_color', $default_value_set[ $reign_color_scheme ]['reign_header_bg_color'] );
		$reign_header_nav_bg_color                = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_nav_bg_color', $default_value_set[ $reign_color_scheme ]['reign_header_nav_bg_color'] );
		$reign_title_tagline_typography           = get_theme_mod( $reign_color_scheme . '-' . 'reign_title_tagline_typography', $default_value_set[ $reign_color_scheme ]['reign_title_tagline_typography'] );
		$reign_header_main_menu_font              = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_main_menu_font', $default_value_set[ $reign_color_scheme ]['reign_header_main_menu_font'] );
		$reign_header_main_menu_text_hover_color  = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_main_menu_text_hover_color', $default_value_set[ $reign_color_scheme ]['reign_header_main_menu_text_hover_color'] );
		$reign_header_main_menu_text_active_color = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_main_menu_text_active_color', $default_value_set[ $reign_color_scheme ]['reign_header_main_menu_text_active_color'] );
		$reign_header_main_menu_bg_hover_color    = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_main_menu_bg_hover_color', $default_value_set[ $reign_color_scheme ]['reign_header_main_menu_bg_hover_color'] );
		$reign_header_main_menu_bg_active_color   = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_main_menu_bg_active_color', $default_value_set[ $reign_color_scheme ]['reign_header_main_menu_bg_active_color'] );
		$reign_header_sub_menu_bg_color           = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_sub_menu_bg_color', $default_value_set[ $reign_color_scheme ]['reign_header_sub_menu_bg_color'] );
		$reign_header_sub_menu_font               = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_sub_menu_font', $default_value_set[ $reign_color_scheme ]['reign_header_sub_menu_font'] );
		$reign_header_sub_menu_text_hover_color   = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_sub_menu_text_hover_color', $default_value_set[ $reign_color_scheme ]['reign_header_sub_menu_text_hover_color'] );
		$reign_header_sub_menu_bg_hover_color     = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_sub_menu_bg_hover_color', $default_value_set[ $reign_color_scheme ]['reign_header_sub_menu_bg_hover_color'] );
		$reign_header_icon_color                  = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_icon_color', $default_value_set[ $reign_color_scheme ]['reign_header_icon_color'] );
		$reign_header_icon_hover_color            = get_theme_mod( $reign_color_scheme . '-' . 'reign_header_icon_hover_color', $default_value_set[ $reign_color_scheme ]['reign_header_icon_hover_color'] );
		$reign_left_panel_bg_color                = get_theme_mod( $reign_color_scheme . '-' . 'reign_left_panel_bg_color', $default_value_set[ $reign_color_scheme ]['reign_left_panel_bg_color'] );
		$reign_left_panel_toggle_color            = get_theme_mod( $reign_color_scheme . '-' . 'reign_left_panel_toggle_color', $default_value_set[ $reign_color_scheme ]['reign_left_panel_toggle_color'] );
		$reign_left_panel_menu_font_color         = get_theme_mod( $reign_color_scheme . '-' . 'reign_left_panel_menu_font_color', $default_value_set[ $reign_color_scheme ]['reign_left_panel_menu_font_color'] );
		$reign_left_panel_menu_hover_color        = get_theme_mod( $reign_color_scheme . '-' . 'reign_left_panel_menu_hover_color', $default_value_set[ $reign_color_scheme ]['reign_left_panel_menu_hover_color'] );
		$reign_left_panel_menu_active_color       = get_theme_mod( $reign_color_scheme . '-' . 'reign_left_panel_menu_active_color', $default_value_set[ $reign_color_scheme ]['reign_left_panel_menu_active_color'] );
		$reign_left_panel_menu_bg_hover_color     = get_theme_mod( $reign_color_scheme . '-' . 'reign_left_panel_menu_bg_hover_color', $default_value_set[ $reign_color_scheme ]['reign_left_panel_menu_bg_hover_color'] );
		$reign_left_panel_menu_bg_active_color    = get_theme_mod( $reign_color_scheme . '-' . 'reign_left_panel_menu_bg_active_color', $default_value_set[ $reign_color_scheme ]['reign_left_panel_menu_bg_active_color'] );
		$reign_site_body_bg_color                 = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_body_bg_color', $default_value_set[ $reign_color_scheme ]['reign_site_body_bg_color'] );
		$reign_site_body_text_color               = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_body_text_color', $default_value_set[ $reign_color_scheme ]['reign_site_body_text_color'] );
		$reign_site_sections_bg_color             = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_sections_bg_color', $default_value_set[ $reign_color_scheme ]['reign_site_sections_bg_color'] );
		$reign_colors_theme                       = get_theme_mod( $reign_color_scheme . '-' . 'reign_colors_theme', $default_value_set[ $reign_color_scheme ]['reign_colors_theme'] );
		$reign_site_headings_color                = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_headings_color', $default_value_set[ $reign_color_scheme ]['reign_site_headings_color'] );
		$reign_site_link_color                    = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_link_color', $default_value_set[ $reign_color_scheme ]['reign_site_link_color'] );
		$reign_site_link_hover_color              = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_link_hover_color', $default_value_set[ $reign_color_scheme ]['reign_site_link_hover_color'] );
		$reign_accent_color                       = get_theme_mod( $reign_color_scheme . '-' . 'reign_accent_color', $default_value_set[ $reign_color_scheme ]['reign_accent_color'] );
		$reign_accent_hover_color                 = get_theme_mod( $reign_color_scheme . '-' . 'reign_accent_hover_color', $default_value_set[ $reign_color_scheme ]['reign_accent_hover_color'] );
		$reign_site_button_text_color             = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_button_text_color', $default_value_set[ $reign_color_scheme ]['reign_site_button_text_color'] );
		$reign_site_button_text_hover_color       = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_button_text_hover_color', $default_value_set[ $reign_color_scheme ]['reign_site_button_text_hover_color'] );
		$reign_site_button_bg_color               = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_button_bg_color', $default_value_set[ $reign_color_scheme ]['reign_site_button_bg_color'] );
		$reign_site_button_bg_hover_color         = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_button_bg_hover_color', $default_value_set[ $reign_color_scheme ]['reign_site_button_bg_hover_color'] );
		$reign_site_border_color                  = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_border_color', $default_value_set[ $reign_color_scheme ]['reign_site_border_color'] );
		$reign_site_hr_color                      = get_theme_mod( $reign_color_scheme . '-' . 'reign_site_hr_color', $default_value_set[ $reign_color_scheme ]['reign_site_hr_color'] );
		$reign_footer_widget_area_bg_color        = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_widget_area_bg_color', $default_value_set[ $reign_color_scheme ]['reign_footer_widget_area_bg_color'] );
		$reign_footer_widget_title_color          = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_widget_title_color', $default_value_set[ $reign_color_scheme ]['reign_footer_widget_title_color'] );
		$reign_footer_widget_text_color           = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_widget_text_color', $default_value_set[ $reign_color_scheme ]['reign_footer_widget_text_color'] );
		$reign_footer_widget_link_color           = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_widget_link_color', $default_value_set[ $reign_color_scheme ]['reign_footer_widget_link_color'] );
		$reign_footer_widget_link_hover_color     = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_widget_link_hover_color', $default_value_set[ $reign_color_scheme ]['reign_footer_widget_link_hover_color'] );
		$reign_footer_copyright_bg_color          = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_copyright_bg_color', $default_value_set[ $reign_color_scheme ]['reign_footer_copyright_bg_color'] );
		$reign_footer_copyright_text_color        = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_copyright_text_color', $default_value_set[ $reign_color_scheme ]['reign_footer_copyright_text_color'] );
		$reign_footer_copyright_link_color        = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_copyright_link_color', $default_value_set[ $reign_color_scheme ]['reign_footer_copyright_link_color'] );
		$reign_footer_copyright_link_hover_color  = get_theme_mod( $reign_color_scheme . '-' . 'reign_footer_copyright_link_hover_color', $default_value_set[ $reign_color_scheme ]['reign_footer_copyright_link_hover_color'] );

		// Global Button Border Radius.
		$reign_global_button_radius = get_theme_mod( 'reign_global_button_radius' );

		// $reign_form_text_color              = get_theme_mod( $reign_color_scheme . '-' . 'reign_form_text_color', $default_value_set[$reign_color_scheme]['reign_form_text_color'] );
		// $reign_form_background_color        = get_theme_mod( $reign_color_scheme . '-' . 'reign_form_background_color', $default_value_set[$reign_color_scheme]['reign_form_background_color'] );
		// $reign_form_border_color            = get_theme_mod( $reign_color_scheme . '-' . 'reign_form_border_color', $default_value_set[$reign_color_scheme]['reign_form_border_color'] );
		// $reign_form_placeholder_color       = get_theme_mod( $reign_color_scheme . '-' . 'reign_form_placeholder_color', $default_value_set[$reign_color_scheme]['reign_form_placeholder_color'] );
		// $reign_form_focus_text_color        = get_theme_mod( $reign_color_scheme . '-' . 'reign_form_focus_text_color', $default_value_set[$reign_color_scheme]['reign_form_focus_text_color'] );
		// $reign_form_focus_background_color  = get_theme_mod( $reign_color_scheme . '-' . 'reign_form_focus_background_color', $default_value_set[$reign_color_scheme]['reign_form_focus_background_color'] );
		// $reign_form_focus_border_color      = get_theme_mod( $reign_color_scheme . '-' . 'reign_form_focus_border_color', $default_value_set[$reign_color_scheme]['reign_form_focus_border_color'] );
		// $reign_form_focus_placeholder_color = get_theme_mod( $reign_color_scheme . '-' . 'reign_form_focus_placeholder_color', $default_value_set[$reign_color_scheme]['reign_form_focus_placeholder_color'] );

		// Theme.
		if ( $reign_header_topbar_bg_color ) {

			// Topbar BG Color.
			echo '.reign-header-top {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_header_topbar_bg_color ) );
			echo '}';

		}

		if ( $reign_header_topbar_text_color ) {

			// Topbar Text Color.
			echo '.reign-header-top, .reign-header-top a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_topbar_text_color ) );
			echo '}';

			// Topbar Border Color.
			echo '.reign-header-top, .reign-header-top a {';
			echo sprintf( 'border-color: %s;', esc_attr( $reign_header_topbar_text_color ) );
			echo '}';

		}

		if ( $reign_header_topbar_text_hover_color ) {

			// Topbar Hover Color.
			echo '.reign-header-top a:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_topbar_text_hover_color ) );
			echo '}';

		}

		if ( $reign_header_bg_color ) {

			// Header BG Color.
			echo 'body #masthead.site-header, .reign-fallback-header.header-mobile, .header-v3 #masthead .reign-navbar-user, #masthead .navbar-menu-container.js-hiraku-offcanvas-sidebar, #masthead .user-profile-menu.js-hiraku-offcanvas-sidebar {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_header_bg_color ) );
			echo '}';

		}

		if ( $reign_header_nav_bg_color ) {

			// Header Nav BG Color.
			echo '.version-four .rg-hdr-v4-row-2, body.reign-header-v4 #masthead.sticky.site-header {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_header_nav_bg_color ) );
			echo '}';

		}

		if ( $reign_title_tagline_typography ) {

			// Header Site Title Color.
			echo '.site-branding .site-title a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_title_tagline_typography ) );
			echo '}';

		}

		if ( $reign_header_main_menu_font ) {

			// Header Menu Color.
			echo '#masthead.site-header .main-navigation .primary-menu > li a, #masthead .user-link-wrap .user-link, ul.navbar-reign-panel li.menu-item a, #masthead .reign-navbar-mobile li.menu-item .submenu-btn, .reign-mobile-user .user-wrap .user-name, .reign-mobile-user .my-account-link a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_main_menu_font ) );
			echo '}';

		}

		if ( $reign_header_main_menu_text_hover_color ) {

			// Header Menu Hover Color.
			echo '#masthead.site-header .main-navigation .primary-menu > li a:hover, #masthead .user-link-wrap .user-link:hover, ul.navbar-reign-panel li.menu-item a:hover, #masthead .reign-navbar-mobile li.menu-item .submenu-btn:hover, .reign-mobile-user .user-wrap .user-name:hover, .reign-mobile-user .my-account-link a:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_main_menu_text_hover_color ) );
			echo '}';

		}

		if ( $reign_header_main_menu_text_active_color ) {

			// Header Menu Active Color.
			echo '#masthead.site-header .main-navigation .primary-menu > li.current-menu-item a, #masthead.site-header .main-navigation .primary-menu > li.current_page_item a, ul.navbar-reign-panel li.menu-item.active a, ul.navbar-reign-panel li.menu-item.current_page_item a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_main_menu_text_active_color ) );
			echo '}';

		}

		if ( $reign_header_main_menu_bg_hover_color ) {

			// Header Menu BG Hover Color.
			echo '.menu-hover-style2 .version-one .primary-menu > li a:hover:before, .menu-hover-style2 .version-two .primary-menu > li a:hover:before, .menu-hover-style2 .version-three .primary-menu > li a:hover:before, .menu-hover-style2 .version-four .primary-menu > li a:hover:before, .menu-hover-style4 .version-one .primary-menu > li a:before, .menu-hover-style4 .version-two .primary-menu > li a:before, .menu-hover-style4 .version-three .primary-menu > li a:before, .menu-hover-style4 .version-four .primary-menu > li a:before, .menu-hover-style5 .version-one .primary-menu > li > a:before, .menu-hover-style5 .version-two .primary-menu > li > a:before, .menu-hover-style5 .version-three .primary-menu > li > a:before, .menu-hover-style5 .version-four .primary-menu > li > a:before, .menu-hover-style6 .version-one .primary-menu > li a:before, .menu-hover-style6 .version-two .primary-menu > li a:before, .menu-hover-style6 .version-three .primary-menu > li a:before, .menu-hover-style6 .version-four .primary-menu > li a:before, ul.navbar-reign-panel li.menu-item a:hover i, ul.navbar-reign-panel li.menu-item a:hover img._mi {';
			echo sprintf( 'background: %s;', esc_attr( $reign_header_main_menu_bg_hover_color ) );
			echo '}';

			// Header Menu Border Hover Color.
			echo '.menu-hover-style1 .version-one .primary-menu > li a:hover:before, .menu-hover-style1 .version-two .primary-menu > li a:hover:before, .menu-hover-style1 .version-three .primary-menu > li a:hover:before, .menu-hover-style1 .version-four .primary-menu > li a:hover:before, .menu-hover-style3 .version-one .primary-menu > li a:before, .menu-hover-style3 .version-two .primary-menu > li a:before, .menu-hover-style3 .version-three .primary-menu > li a:before, .menu-hover-style3 .version-four .primary-menu > li a:before {';
			echo sprintf( 'border-color: %s;', esc_attr( $reign_header_main_menu_bg_hover_color ) );
			echo '}';

		}

		if ( $reign_header_main_menu_bg_active_color ) {

			// Header Menu BG Active Color.
			echo '.menu-hover-style2 .version-one .primary-menu > li.current-menu-item a:before, .menu-hover-style2 .version-two .primary-menu > li.current-menu-item a:before, .menu-hover-style2 .version-three .primary-menu > li.current-menu-item a:before, .menu-hover-style2 .version-four .primary-menu > li.current-menu-item a:before, ul.navbar-reign-panel li.menu-item.active a i, ul.navbar-reign-panel li.menu-item.active a img._mi, ul.navbar-reign-panel li.menu-item.current_page_item a i, ul.navbar-reign-panel li.menu-item.current_page_item a img._mi, .menu-hover-style2 .version-one .primary-menu > li.current_page_item a:before, .menu-hover-style2 .version-two .primary-menu > li.current_page_item a:before, .menu-hover-style2 .version-three .primary-menu > li.current_page_item a:before, .menu-hover-style2 .version-four .primary-menu > li.current_page_item a:before {';
			echo sprintf( 'background: %s;', esc_attr( $reign_header_main_menu_bg_active_color ) );
			echo '}';

			// Header Menu Border Active Color.
			echo '.menu-hover-style1 .version-one .primary-menu > li.current-menu-item a:before, .menu-hover-style1 .version-two .primary-menu > li.current_page_item a:before, .menu-hover-style1 .version-three .primary-menu > li.current-menu-item a:before, .menu-hover-style1 .version-four .primary-menu > li.current-menu-item a:before, .menu-hover-style3 .version-one .primary-menu > li.current-menu-item a:before, .menu-hover-style3 .version-two .primary-menu > li.current-menu-item a:before, .menu-hover-style3 .version-three .primary-menu > li.current-menu-item a:before, .menu-hover-style3 .version-four .primary-menu > li.current-menu-item a:before, .menu-hover-style1 .version-one .primary-menu > li.current_page_item a:before, .menu-hover-style1 .version-two .primary-menu > li.current_page_item a:before, .menu-hover-style1 .version-three .primary-menu > li.current_page_item a:before, .menu-hover-style1 .version-four .primary-menu > li.current_page_item a:before, .menu-hover-style3 .version-one .primary-menu > li.current_page_item a:before, .menu-hover-style3 .version-two .primary-menu > li.current_page_item a:before, .menu-hover-style3 .version-three .primary-menu > li.current_page_item a:before, .menu-hover-style3 .version-four .primary-menu > li.current_page_item a:before {';
			echo sprintf( 'border-color: %s;', esc_attr( $reign_header_main_menu_bg_active_color ) );
			echo '}';

		}

		if ( $reign_header_sub_menu_bg_color ) {

			// Sub Menu Background Color.
			echo '#primary-menu .children, #primary-menu .sub-menu, #primary-menu .children:after, #primary-menu .sub-menu:after, #primary-menu ul li ul li a, #masthead .user-profile-menu, #masthead .user-profile-menu:after, #masthead .user-profile-menu li ul.sub-menu, #masthead .user-profile-menu li ul.sub-menu:before, .ps-dropdown--menu .ps-dropdown__menu>a {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_header_sub_menu_bg_color ) );
			echo '}';

		}

		if ( $reign_header_sub_menu_font ) {

			// Sub Menu Color.
			echo '#masthead.site-header .main-navigation .primary-menu > li .sub-menu li a, #masthead .user-profile-menu li > a, .ps-dropdown--menu .ps-dropdown__menu>a, .ps-dropdown--menu .ps-dropdown__menu i {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_sub_menu_font ) );
			echo '}';

		}

		if ( $reign_header_sub_menu_text_hover_color ) {

			// Sub Menu Hover Color.
			echo '#masthead.site-header .main-navigation .primary-menu ul li a:hover, #masthead.site-header.sticky .main-navigation .primary-menu ul li a:hover, #masthead .user-profile-menu li > a:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_sub_menu_text_hover_color ) );
			echo '}';

		}

		if ( $reign_header_sub_menu_bg_hover_color ) {

			// Sub Menu BG Hover Color.
			echo '#masthead.site-header .main-navigation .primary-menu ul li a:hover, #masthead .user-profile-menu li > a:hover, .ps-dropdown--menu .ps-dropdown__menu>a:hover {';
			echo sprintf( 'background: %s;', esc_attr( $reign_header_sub_menu_bg_hover_color ) );
			echo '}';

		}

		if ( $reign_header_icon_color ) {

			// Header Icon Color.
			echo '.rg-search-icon:before, .rg-icon-wrap span:before, #masthead .rg-icon-wrap, #masthead .version-four .user-link-wrap .user-link {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_icon_color ) );
			echo '}';

			// Wbcom Nav Menu Toggle Color.
			echo '.wbcom-nav-menu-toggle span {';
			echo sprintf( 'background: %s;', esc_attr( $reign_header_icon_color ) );
			echo '}';

		}

		if ( $reign_header_icon_hover_color ) {

			// Header Icon Hover Color.
			echo '.rg-search-icon:hover:before, .rg-icon-wrap span:hover:before, #masthead .rg-icon-wrap:hover, #masthead .version-four .user-link-wrap .user-link:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_header_icon_hover_color ) );
			echo '}';

		}

		if ( $reign_left_panel_bg_color ) {

			// Left Panel BG Color.
			echo '.reign-menu-panel {';
			echo sprintf( 'background: %s;', esc_attr( $reign_left_panel_bg_color ) );
			echo '}';

		}

		if ( $reign_left_panel_toggle_color ) {

			// Left Panel Toggle Color.
			echo '.reign-toggler .icon-bar {';
			echo sprintf( 'background: %s;', esc_attr( $reign_left_panel_toggle_color ) );
			echo '}';

		}

		if ( $reign_left_panel_menu_font_color ) {

			// Left Panel Menu Color.
			echo 'ul.navbar-reign-panel li.menu-item a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_left_panel_menu_font_color ) );
			echo '}';

		}

		if ( $reign_left_panel_menu_hover_color ) {

			// Left Panel Menu Hover Color.
			echo 'ul.navbar-reign-panel li.menu-item a:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_left_panel_menu_hover_color ) );
			echo '}';

		}

		if ( $reign_left_panel_menu_active_color ) {

			// Left Panel Menu Active Color.
			echo 'ul.navbar-reign-panel li.menu-item.active a, ul.navbar-reign-panel li.menu-item.current_page_item a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_left_panel_menu_active_color ) );
			echo '}';

		}

		if ( $reign_left_panel_menu_bg_hover_color ) {

			// Left Panel Menu BG Hover Color.
			echo 'ul.navbar-reign-panel li.menu-item a:hover i, ul.navbar-reign-panel li.menu-item a:hover img._mi {';
			echo sprintf( 'background: %s;', esc_attr( $reign_left_panel_menu_bg_hover_color ) );
			echo '}';

		}

		if ( $reign_left_panel_menu_bg_active_color ) {

			// Left Panel Menu BG Active Color.
			echo 'ul.navbar-reign-panel li.menu-item.active a i, ul.navbar-reign-panel li.menu-item.active a img._mi, ul.navbar-reign-panel li.menu-item.current_page_item a i, ul.navbar-reign-panel li.menu-item.current_page_item a img._mi {';
			echo sprintf( 'background: %s;', esc_attr( $reign_left_panel_menu_bg_active_color ) );
			echo '}';

		}

		if ( $reign_site_body_bg_color ) {

			// Body BG Color.
			echo 'body {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
			echo '}';

		}

		if ( $reign_site_body_text_color ) {

			// Body Color.
			echo 'body:not(.elementor-page), body:not(.elementor-page) p, body #masthead p {';
			echo sprintf( 'color: %s;', esc_attr( $reign_site_body_text_color ) );
			echo '}';

			echo '.dataTables_wrapper .dataTables_paginate .paginate_button, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {';
			echo sprintf( 'color: %s;', esc_attr( $reign_site_body_text_color ) . '!important' );
			echo '}';

		}

		if ( $reign_site_sections_bg_color ) {

			// Sections BG Color.
			echo '.search-wrap .rg-search-form-wrap, [off-canvas], .rg-dropdown, .header-notifications-dropdown-menu, .user-notifications .rg-dropdown:after, .user-notifications:hover .rg-dropdown:after, #masthead .rg-woocommerce_mini_cart, #masthead .rg-woocommerce_mini_cart:after, #masthead .rg-edd_mini_cart, #masthead .rg-edd_mini_cart:after, .blog .default-view, .blog .thumbnail-view, .blog .wb-grid-view, .archive .default-view, .archive .thumbnail-view, .archive .wb-grid-view, .masonry .masonry-view, .search .post, .search .hentry, .widget-area-inner .widget, .widget-area .widget, .select2-dropdown, nav.fes-vendor-menu, .single-download article, .rtm-download-item-bottom, #edd_checkout_wrap, .fes-vendor-dashboard, .modal-content, .registration-login-form, .registration-login-form .nav-link.active, .registration-login-form .nav-link, .user-welcomeback, .mpp-lightbox-activity-container, .emoji-picker {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
			echo '}';

		}

		if ( $reign_colors_theme ) {

			// Theme Color.
			echo '.widget_categories ul li:before,
				.widget_archive ul li:before,
				.widget.widget_nav_menu ul li:before,
				.widget.widget_meta ul li:before,
				.widget.widget_recent_comments ul li:before,
				.widget_rss ul li:before,
				.widget_pages ul li:before,
				.widget.widget_links ul li:before,
				.widget.widget_recent_entries ul li:before,
				.registration-login-form .nav-link.active,
				.user-welcomeback .author-content .author-name,
				.mpp-menu a.mpp-selected-item,
				footer div.footer-wrap a:hover,
				.rg-woo-breadcrumbs a.current,
				.reign-post-options .reign-post-option-wrap.active,
				.reign-post-options .reign-post-option-wrap:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
			echo '}';

			// Theme BG Color.
			echo '.rg-posts-navigation .nav-links .page-numbers.current, 
				.rg-count,
				#masthead .user-profile-menu li>a span.count,
				nav.reign-navbar-mobile .js-hiraku-offcanvas.js-hiraku-offcanvas-active .navbar-nav>li>a .count, 
				.reign-panel-open ul.navbar-reign-panel li.menu-item a>span.count,
				h1.lm-header-title:after,
				label.selectit:before,
				input[type="radio"]:checked + label span:before,
				label.selectit:before {';
			echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
			echo '}';

			// Theme Border Color.
			echo '.rg-link-block,
				.rg-posts-navigation .nav-links .page-numbers.current,
				.widget-title span,
				.rg-has-border,
				.woocommerce div.product div.images .flex-control-thumbs li img.flex-active,
				.woocommerce div.product div.images .flex-control-thumbs li img:hover {';
			echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
			echo '}';

		}

		if ( $reign_site_headings_color ) {

			// Headings Color.
			echo 'h1, h2, h3, h4, h5, h6 {';
			echo sprintf( 'color: %s;', esc_attr( $reign_site_headings_color ) );
			echo '}';

		}

		if ( $reign_site_link_color ) {

			// Links Color.
			echo 'a,
				.entry-meta span.author.vcard a,
				.llms-loop-item-content .llms-loop-link,
				.llms-loop-item-content .llms-loop-link:visited,
				.dokan-single-store .dokan-store-tabs ul li a,
				.bsui a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_site_link_color ) );
			echo '}';

		}

		if ( $reign_site_link_hover_color ) {

			// Links Hover Color.
			echo 'a:hover,
				.entry-meta span.author.vcard a:hover,
				.llms-loop-item-content .llms-loop-link:hover,
				.llms-loop-item-content .llms-loop-link:visited:hover,
				.dokan-single-store .dokan-store-tabs ul li a:hover,
				.bsui a:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_site_link_hover_color ) );
			echo '}';

		}

		if ( $reign_accent_color ) {

			// Accent Color.
			echo '.description a,
				.post .entry-content a:not(.read-more),
				.lm-tab-course-content a,
				.lm-author-description a,
				.rlla-tab-course-content a,
				.rlla-author-description a,
				.job_description a,
				.single-resume-content a,
				.geodir-field-post_content a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_accent_color ) );
			echo '}';

		}

		if ( $reign_accent_hover_color ) {

			// Accent Hover Color.
			echo '.description a:hover,
				.post .entry-content a:not(.read-more):hover,
				.lm-tab-course-content a:hover,
				.lm-author-description a:hover,
				.rlla-tab-course-content a:hover,
				.rlla-author-description a:hover,
				.job_description a:hover,
				.single-resume-content a:hover,
				.geodir-field-post_content a:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_accent_hover_color ) );
			echo '}';

		}

		if ( $reign_site_button_text_color ) {

			// Button Text Color.
			echo 'a.btn, button,
				.rg-login-btn-wrap .button,
				.rg-register-btn-wrap .button,
				input[type=button],
				input[type=reset],
				input[type=submit],
				a.rg-action.button,
				.field-wrap button, 
				.field-wrap input[type=button],
				.field-wrap input[type=submit],
				a.read-more.button,
				.form-submit #submit,
				.nav-links > div {';
			echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
			echo '}';

		}

		if ( $reign_site_button_text_hover_color ) {

			// Button Text Hover Color.
			echo 'a.btn:hover,
				button:hover,
				.rg-login-btn-wrap .button:hover,
				.rg-register-btn-wrap .button:hover,
				input[type=button]:hover,
				input[type=reset]:hover,
				input[type=submit]:hover,
				a.rg-action.button:hover,
				.field-wrap button:hover,
				.field-wrap input[type=button]:hover,
				.field-wrap input[type=submit]:hover,
				a.read-more.button:hover,
				.form-submit #submit:hover,
				.nav-links > div:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
			echo '}';

		}

		if ( $reign_site_button_bg_color ) {

			// Button BG Color.
			echo 'a.btn,
				button,
				.rg-login-btn-wrap .button,
				.rg-register-btn-wrap .button,
				input[type=button],
				input[type=reset],
				input[type=submit],
				a.rg-action.button,
				.field-wrap button,
				.field-wrap input[type=button],
				.field-wrap input[type=submit],
				a.read-more.button,
				.form-submit #submit,
				.nav-links > div {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
			echo '}';

		}

		if ( $reign_site_button_bg_hover_color ) {

			// Button BG Hover Color.
			echo 'a.btn:hover,
				button:hover,
				.rg-login-btn-wrap .button:hover,
				.rg-register-btn-wrap .button:hover,
				input[type=button]:hover,
				input[type=reset]:hover,
				input[type=submit]:hover,
				a.rg-action.button:hover,
				.field-wrap button:hover,
				.field-wrap input[type=button]:hover,
				.field-wrap input[type=submit]:hover,
				a.read-more.button:hover,
				.form-submit #submit:hover,
				.nav-links > div:hover {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
			echo '}';

		}

		if ( $reign_site_border_color ) {

			// Border Color.
			echo '#scroll-top,
				.blog .hentry,
				.search .hentry,
				.archive .hentry,
				.post-meta-info,
				.post-navigation,
				.posts-navigation,
				th,
				td,
				.widget-title,
				.content-wrapper .entry-header.page-header,
				.content-wrapper header.woocommerce-products-header,
				.user-notifications ul#rg-notify li + li,
				footer div#reign-copyright-text, 
				.widget-area-inner .widget, 
				.widget-area .widget,
				a.layout-grid-view, 
				.woocommerce ul.products li.product,
				.registration-login-form, 
				.registration-login-form .title, 
				.registration-login-form .nav-link, 
				.registration-login-form .nav-link, 
				.user-welcomeback .user-active, 
				.user-welcomeback, 
				.user-welcomeback .link-item,
				.mpp-lightbox-activity-container,
				ul.mpp-activity-list li,
				.mpp-lightbox-media-uploader-meta,
				.reign-post-options,
				.modal-header,
				.modal-footer, 
				.reaction-box .reaction-box-options {';
			echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
			echo '}';

		}

		if ( $reign_site_hr_color ) {

			// HR Color.
			echo 'hr {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_site_hr_color ) );
			echo '}';

		}

		if ( $reign_footer_widget_area_bg_color ) {

			// Footer BG Color.
			echo 'footer div.footer-wrap {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_footer_widget_area_bg_color ) );
			echo '}';

		}

		if ( $reign_footer_widget_title_color ) {

			// Footer Widget Title Color.
			echo 'footer div.footer-wrap .widget-title {';
			echo sprintf( 'color: %s;', esc_attr( $reign_footer_widget_title_color ) );
			echo '}';

		}

		if ( $reign_footer_widget_text_color ) {

			// Footer Text Color.
			echo 'footer div.footer-wrap .widget {';
			echo sprintf( 'color: %s;', esc_attr( $reign_footer_widget_text_color ) );
			echo '}';

		}

		if ( $reign_footer_widget_link_color ) {

			// Footer Link Color.
			echo 'footer div.footer-wrap a, footer .widget-area .widget.buddypress div.item-options a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_footer_widget_link_color ) );
			echo '}';

		}

		if ( $reign_footer_widget_link_hover_color ) {

			// Footer Link Hover Color.
			echo 'footer div.footer-wrap a:hover, footer .widget-area .widget.buddypress div.item-options a:hover, footer .widget-area .widget.buddypress div.item-options a.selected {';
			echo sprintf( 'color: %s;', esc_attr( $reign_footer_widget_link_hover_color ) );
			echo '}';

		}

		if ( $reign_footer_copyright_bg_color ) {

			// Copyright BG Color.
			echo 'footer div#reign-copyright-text {';
			echo sprintf( 'background-color: %s;', esc_attr( $reign_footer_copyright_bg_color ) );
			echo '}';

		}

		if ( $reign_footer_copyright_text_color ) {

			// Copyright Text Color..
			echo 'footer div#reign-copyright-text {';
			echo sprintf( 'color: %s;', esc_attr( $reign_footer_copyright_text_color ) );
			echo '}';

		}

		if ( $reign_footer_copyright_link_color ) {

			// Copyright Link Color.
			echo 'footer div#reign-copyright-text a {';
			echo sprintf( 'color: %s;', esc_attr( $reign_footer_copyright_link_color ) );
			echo '}';

		}

		if ( $reign_footer_copyright_link_hover_color ) {

			// Copyright Link Hover Color.
			echo 'footer div#reign-copyright-text a:hover {';
			echo sprintf( 'color: %s;', esc_attr( $reign_footer_copyright_link_hover_color ) );
			echo '}';

		}

		if ( $reign_global_button_radius ) {

			// Button Radius.
			echo 'a.btn, button,
				.rg-login-btn-wrap .button,
				.rg-register-btn-wrap .button,
				input[type=button],
				input[type=reset],
				input[type=submit],
				a.rg-action.button,
				.field-wrap button, 
				.field-wrap input[type=button],
				.field-wrap input[type=submit],
				a.read-more.button,
				.form-submit #submit {';
			echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
			echo '}';

		}

		// BuddyPress.
		if ( class_exists( 'BuddyPress' ) ) {
			if ( $reign_site_body_bg_color ) {

				// Body BG Color.
				echo '.bp-nouveau .bp-single-vert-nav .bp-navs.vertical li:focus, .bp-nouveau .bp-single-vert-nav .bp-navs.vertical li:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';

			}

			if ( $reign_site_body_text_color ) {

				// Body Color.
				echo '#buddypress .field-visibility-settings, #buddypress .field-visibility-settings-notoggle, #buddypress .field-visibility-settings-toggle, #buddypress .standard-form p.description,
				.activity-share-modal .select2-container--default .select2-selection--single .select2-selection__rendered {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_body_text_color ) );
				echo '}';

			}

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.bp-widget-area .widget, .bp-plugin-widgets, #buddypress .activity .item-list > li, body.activity #buddypress #item-body div.item-list-tabs#subnav, body.group-home #buddypress #item-body div.item-list-tabs#subnav, #buddypress #whats-new-textarea, #buddypress #whats-new-content #whats-new-options, #buddypress #whats-new-content.active #whats-new-options, #buddypress form#whats-new-form textarea, .bp-inner-wrap, .bp-group-inner-wrap, #buddypress div.pagination .pagination-links a, #buddypress div.pagination .pagination-links span, #buddypress .item-list.rg-member-list.wbtm-member-directory-type-1 .action.rg-dropdown:after, #buddypress .item-list.rg-member-list.wbtm-member-directory-type-3 .action.rg-dropdown:after, body:not(.activity) .inner-item-body-wrap, .bp-nouveau .activity-update-form, body.bp-nouveau.activity-modal #bp-nouveau-activity-form, body.bp-nouveau.activity-modal #bp-nouveau-activity-form:not(.modal-popup):not(.bp-activity-edit), .bp-nouveau #buddypress form#whats-new-form textarea, .bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) nav:not(.tabbed-links), .bp-nouveau .bp-single-vert-nav .item-body:not(#group-create-body) #subnav:not(.tabbed-links), .activity-list .activity-item .activity-content .activity-inner, .activity-list .activity-item .activity-content blockquote, .activity-list .activity-item .activity-meta.action, .bp-nouveau .buddypress-wrap form.bp-dir-search-form button[type=submit], .bp-nouveau .buddypress-wrap form.bp-invites-search-form button[type=submit], .bp-nouveau .buddypress-wrap form.bp-messages-search-form button[type=submit], .bp-nouveau .buddypress-wrap form#media_search_form button[type=submit], .bp-nouveau #buddypress div.bp-pagination .bp-pagination-links a, .bp-nouveau #buddypress div.bp-pagination .bp-pagination-links span, .bp-nouveau .bp-list:not(.grid) > li, .buddypress-wrap .bp-feedback, .bp-nouveau .grid.bp-list > li .list-wrap, .bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-member-directory-type-1 > li .action, .bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-member-directory-type-3 > li .action, .bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-member-directory-type-1 > li .action:after, .bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-member-directory-type-3 > li .action:after, .bp-nouveau .buddypress-wrap .bp-tables-user tbody tr, .bp-nouveau .buddypress-wrap table.forum tbody tr, .bp-nouveau .buddypress-wrap .profile, .bp-nouveau .bp-messages-content, .bp-nouveau .bupr-bp-member-reviews-block, .bp-nouveau .bp-member-add-form, .media .rtmedia-container, .bp-nouveau .bptodo-adming-setting, .bp-nouveau .bptodo-form-add, .bp-nouveau #send-invites-editor, .bp-nouveau form#group-settings-form, .bp-nouveau form#settings-form, .bp-nouveau form#account-group-invites-form, .bp-nouveau form#account-capabilities-form, .bp-nouveau .buddypress-wrap table.wp-profile-fields tbody tr, .buddypress-wrap .profile.edit .editfield, .buddypress-wrap .standard-form .description, .bp-nouveau .bp-messages-content #thread-preview, .bp-nouveau .buddypress-wrap table.notification-settings, .bp-messages-content #thread-preview .preview-content .preview-message, .bp-nouveau #message-threads, .rtmedia-uploader .drag-drop, .bp-nouveau .groups-header .desc-wrap .group-description, .bp-nouveau .bp-single-vert-nav .bp-navs.vertical:not(.tabbed-links) ul, .buddypress-wrap:not(.bp-single-vert-nav) .bp-navs:not(.group-create-links) li, .bp-nouveau #buddypress div#item-header.single-headers #item-header-cover-image #item-header-content #item-buttons, .bp-nouveau #buddypress div#item-header.single-headers #item-header-cover-image #item-header-content #item-buttons:after, .rg-nouveau-sidebar-menu, #buddypress div#invite-list, #bptodo-tabs, .bplock-login-form-container .tab-content, ul.bplock-login-shortcode-tabs li.current, #buddypress #cover-image-container.wbtm-cover-header-type-3, .bp-nouveau #buddypress #cover-image-container.wbtm-cover-header-type-3, #buddypress #cover-image-container.wbtm-cover-header-type-4, .bp-nouveau #buddypress #cover-image-container.wbtm-cover-header-type-4, .comment-list article, .commentlist article, .comment-list .pingback, .comment-list .trackback, .bp-nouveau .badgeos-achievements-list-item, .wbtm-member-directory-type-4 .item-wrapper, .wbtm-group-directory-type-4 .group-content-wrap, .mycred-table, .bp-nouveau .groups-type-navs, .fes-vendor-dashboard, .bp-nouveau .bp-vertical-navs .rg-nouveau-sidebar-menu, .bp-nouveau .buddypress-wrap .select-wrap, .bb-activity-media-wrap .bb-activity-media-elem.document-activity, .bb-activity-media-wrap .bb-activity-media-elem.document-activity .document-description-wrap, .bb-activity-media-wrap .bb-activity-media-elem.document-activity:hover, .bb-activity-media-wrap .bb-activity-media-elem.document-activity .document-action-wrap .document-action_list, .rg-nouveau-sidebar-menu .sub-menu, #item-body #group-invites-container li.selected, .bb-media-model-inner, .bb-media-info-section .activity-comments > ul, #bp-message-thread-list, #bp-message-thread-list li, .activity-list .activity-item .bp-generic-meta.action, .bp-nouveau .buddypress-wrap .rg-nouveau-sidebar-menu, .ps-badgeos__list-wrapper, #component .badgeos_achievement_main_container, #component .badgeos_ranks_main_container, .bp-nouveau .bupr-row, .multi-review, .bp-messages-wrap, .bp-messages-wrap .chat-header, .bp-messages-wrap .reply, .bp-messages-wrap .bulk-message .box.box, .bp-messages-user-list, .modal-content, .registration-login-form, .registration-login-form .nav-link.active, .registration-login-form .nav-link, .user-welcomeback, .mpp-lightbox-activity-container, #buddypress .activity-list .bp-activity-more-options-wrap .bp-activity-more-options, .emoji-picker, .reaction-list-dropdown, .modal-header, .activity-share-modal .form-textarea textarea, .activity-share-modal label[for=post-in], .activity-share-modal .bp-activity-share-filter label, .activity-share-modal .modal-body, .activity-share-modal #bp-activity-share-widget-box-status-header, .activity-share-modal .post-preview .post-preview-info, .activity-share-modal .post-preview, .post-reshare-item-container .post-preview .post-reshare-item-container .post-preview .post-preview-info, .activity-share-modal .post-preview .post-preview-info, .post-reshare-item-container .post-preview .post-preview-info, .activity-share-modal .post-preview, .post-reshare-item-container .post-preview, .activity-list.bp-list .activity-item, .bp-share-service-popup, .reaction-box, .bp-search-page .results-group ul#activity-stream li.activity-item, body.bp-search .bp-search-ac, body.bp-search .bp-search-ac>li:not(.bbls-view_all_type-type), .bp-nouveau-activity-form-placeholder- .bb-model-header, .activity-update-form .bb-model-header, .bp-nouveau .bp-vertical-navs .item-body-inner-wrapper,
				.privacy-status-form-footer, .bp-single-vert-nav .subnav,
				.wbtm-member-directory-type-1 .item-avatar .gamipress-buddypress-user-details-listing,
				.acomment-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-achievement,
				.acomment-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-points>div,
				.acomment-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-ranks .gamipress-buddypress-rank,
				.activity-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-achievement,
				.activity-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-points>div,
				.activity-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-ranks .gamipress-buddypress-rank,
				.item-avatar .gamipress-buddypress-user-details-listing .gamipress-buddypress-achievement,
				.item-avatar .gamipress-buddypress-user-details-listing .gamipress-buddypress-points>div,
				.item-avatar .gamipress-buddypress-user-details-listing .gamipress-buddypress-ranks .gamipress-buddypress-rank,
				.gamipress-achievement,
				.gamipress-rank,
				.single .single-achievement,
				.single-rank {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '#buddypress div.item-list-tabs ul li.current a, #buddypress div.item-list-tabs ul li.selected a, body #buddypress #item-body div.item-list-tabs#subnav li.selected a, body #buddypress #item-body div.item-list-tabs#subnav li.current a,.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) .bp-navs li.current a,.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) .bp-navs li.current a:focus,.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) .bp-navs li.current a:hover,.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) .bp-navs li.selected a,.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) .bp-navs li.selected a:focus,.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) .bp-navs li.selected a:hover,.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) .bp-navs li a:hover,.buddypress-wrap.bp-vertical-navs .dir-navs.activity-nav-tabs ul li.selected a,.buddypress-wrap.bp-vertical-navs .dir-navs.groups-nav-tabs ul li.selected a,.buddypress-wrap.bp-vertical-navs .dir-navs.members-nav-tabs ul li.selected a,.buddypress-wrap.bp-vertical-navs .dir-navs.sites-nav-tabs ul li.selected a,
					.buddypress-wrap.bp-vertical-navs .main-navs.group-nav-tabs ul li.selected a,
					.buddypress-wrap.bp-vertical-navs .main-navs.user-nav-tabs ul li.selected a,
					.bp-dir-vert-nav .dir-navs ul li.selected a,
					.bp-single-vert-nav .bp-navs.vertical li.selected a,
					.buddypress-wrap .bp-navs.tabbed-links ul li.current a,
					.bp-single-vert-nav .item-body:not(#group-create-body) #subnav:not(.tabbed-links) li.current a,
					.bp-single-vert-nav .item-body:not(#group-create-body) #subnav:not(.tabbed-links) li a:hover,
					.buddypress-wrap .bp-navs.tabbed-links ul li a:hover,
					.buddypress-wrap .bp-navs li:not(.selected) a:hover,
					.registration-login-form .nav-link.active, .user-welcomeback .author-content .author-name,
					.mpp-menu a.mpp-selected-item,
					.bp-nouveau.buddypress #buddypress:not(.bp-vertical-navs) .groups-nav li.selected a:hover, .bp-nouveau.buddypress #buddypress:not(.bp-vertical-navs) .groups-nav li a:hover, .bp-nouveau.buddypress #buddypress:not(.bp-vertical-navs) .groups-nav li.selected a:focus, .bp-nouveau.buddypress #buddypress:not(.bp-vertical-navs) .groups-nav li.selected a,
					.buddypress-wrap .bp-navs li.current a,
					.buddypress-wrap .bp-navs li.current a:focus,
					.buddypress-wrap .bp-navs li.current a:hover,
					.buddypress-wrap .bp-navs li.selected a,
					.buddypress-wrap .bp-navs li.selected a:focus,
					.buddypress-wrap .bp-navs li.selected a:hover,
					.widget-area .widget.buddypress div.item-options a.selected,
					footer .widget-area .widget.buddypress div.item-options a:hover,
					footer .widget-area .widget.buddypress div.item-options a.selected,
					.wbtm-member-directory-type-1 .action-wrap:hover,
					.wbtm-member-directory-type-3 .action-wrap:hover,
					.bp-nouveau .wbtm-member-directory-type-1 .action-wrap:hover,
					.bp-nouveau .wbtm-member-directory-type-3 .action-wrap:hover,
					.buddypress-wrap .grid-filters a.active {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) nav:not(.tabbed-links) li:after,
					.bp-nouveau .bp-single-vert-nav .item-body:not(#group-create-body) #subnav:not(.tabbed-links) li:after,
					.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) nav:not(.tabbed-links) li:hover:after,
					.bp-nouveau .bp-single-vert-nav .item-body:not(#group-create-body) #subnav:not(.tabbed-links) li:hover:after,
					.bp-nouveau .groups-type-navs li:after, .bp-nouveau .groups-type-navs li:hover:after,
					.bp-nouveau .mpp-type-navs li:after, .bp-nouveau .mpp-type-navs li:hover:after, #subnav.mpp-group-nav>ul>li:hover:after,
					.buddypress-wrap .bp-navs li.current a .count,
					.buddypress-wrap .bp-navs li.selected a .count,
					.buddypress_object_nav .bp-navs li.current a .count,
					.buddypress_object_nav .bp-navs li.selected a .count,
					.bp-nouveau .rtm-bp-navs.bp-navs ul.subnav li.selected span,
					.users-header .bp-member-type,
					.buddypress-wrap.bp-vertical-navs .dir-navs.activity-nav-tabs ul li.selected a span,
					.buddypress-wrap.bp-vertical-navs .dir-navs.groups-nav-tabs ul li.selected a span,
					.buddypress-wrap.bp-vertical-navs .dir-navs.members-nav-tabs ul li.selected a span,
					.buddypress-wrap.bp-vertical-navs .dir-navs.sites-nav-tabs ul li.selected a span,
					.buddypress-wrap.bp-vertical-navs .main-navs.group-nav-tabs ul li.selected a span,
					.buddypress-wrap.bp-vertical-navs .main-navs.user-nav-tabs ul li.selected a span {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo 'body #buddypress #item-body div.item-list-tabs#subnav li.selected a, body #buddypress #item-body div.item-list-tabs#subnav li.current a, #buddypress div.activity-comments form textarea:focus, body #buddypress div.activity-comments ul li form textarea:focus {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_site_link_color ) {

				// Links Color.
				echo '#buddypress .activity-list .activity-item .activity-meta.action div.generic-button a.button,
					#buddypress .activity-list .activity-item .activity-meta.action a.button,
					.bp-nouveau #buddypress .activity-comments .activity-meta a,
					.bp-nouveau #buddypress .activity-comments .bp-generic-meta a,
					.bp-nouveau #buddypress .activity-meta .bp-share-btn .bp-share-button,
					#buddypress .activity-content .groups-meta a,
					#buddypress div.groups-meta a,
					body .bp-activity-react-btn a.button,
					body .reign-post-options .bp-activity-post-share-btn a.bp-activity-share-button,
					.wb-bp-profile-completion-wrap span.wb-bp-completion {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_color ) );
				echo '}';

			}

			if ( $reign_site_link_hover_color ) {

				// Links Hover Color.
				echo '#buddypress .activity-list .activity-item .activity-meta.action div.generic-button a.button:hover,
					#buddypress .activity-list .activity-item .activity-meta.action a.button:hover,
					.bp-nouveau #buddypress .activity-comments .activity-meta a:hover,
					.bp-nouveau #buddypress .activity-comments .bp-generic-meta a:hover,
					.bp-nouveau #buddypress .activity-meta .bp-share-btn .bp-share-button:hover,
					#buddypress .activity-content .groups-meta a:hover,
					#buddypress div.groups-meta a:hover,
					body .bp-activity-react-btn a.button:hover,
					body .reign-post-options .bp-activity-post-share-btn a.bp-activity-share-button:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_hover_color ) );
				echo '}';

			}

			if ( $reign_accent_color ) {

				// Accent Color.
				echo '#buddypress .activity-content .activity-inner a {';
				echo sprintf( 'color: %s;', esc_attr( $reign_accent_color ) );
				echo '}';

			}

			if ( $reign_accent_hover_color ) {

				// Accent Hover Color.
				echo '#buddypress .activity-content .activity-inner a:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_accent_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '#buddypress .comment-reply-link,
					#buddypress .generic-button a,
					#buddypress .standard-form button,
					#buddypress a.button,
					#buddypress input[type=button],
					#buddypress input[type=reset],
					#buddypress input[type=submit],
					#buddypress ul.button-nav li a,
					a.bp-title-button,
					#buddypress form#whats-new-form #whats-new-submit input,
					#buddypress #profile-edit-form ul.button-nav li.current a,
					#buddypress div.generic-button a,
					#buddypress .item-list.rg-group-list div.action a,
					#buddypress div#item-header #item-header-content1 div.generic-button a,
					body #buddypress .activity-list li.load-more a,
					body #buddypress .activity-list li.load-newest a,
					.media .rtm-load-more a#rtMedia-galary-next,
					.rg-group-section .item-list.rg-group-list div.action a,
					#buddypress form.woocommerce-product-search input[type="submit"],
					#buddypress .widget_search input[type="submit"],
					.buddypress .buddypress-wrap button,
					.buddypress .buddypress-wrap button:hover,
					.buddypress .buddypress-wrap .bp-list.grid .action button:hover,
					.buddypress .buddypress-wrap input[type="submit"].pending,
					.buddypress .buddypress-wrap input[type="button"].pending,
					.buddypress .buddypress-wrap input[type="reset"].pending,
					.buddypress .buddypress-wrap input[type="button"].disabled,
					.buddypress .buddypress-wrap input[type="reset"].disabled,
					.buddypress .buddypress-wrap input[type="submit"][disabled="disabled"],
					.buddypress .buddypress-wrap input[type="submit"]:disabled,
					.buddypress .buddypress-wrap button.pending,
					.buddypress .buddypress-wrap button.disabled,
					.buddypress .buddypress-wrap div.pending a,
					.buddypress .buddypress-wrap a.disabled,
					#buddypress .activity-content .activity-inner .bp-profile-button a {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '#buddypress .comment-reply-link:hover,
					#buddypress .generic-button a:hover,
					#buddypress .standard-form button:hover,
					#buddypress a.button:hover,
					#buddypress input[type=button]:hover,
					#buddypress input[type=reset]:hover,
					#buddypress input[type=submit]:hover,
					#buddypress ul.button-nav li a:hover,
					a.bp-title-button:hover,
					#buddypress form#whats-new-form #whats-new-submit input:hover,
					#buddypress #profile-edit-form ul.button-nav li.current a:hover,
					#buddypress div.generic-button a:hover,
					#buddypress .item-list.rg-group-list div.action a:hover,
					#buddypress div#item-header #item-header-content1 div.generic-button a:hover,
					body #buddypress .activity-list li.load-more a:hover,
					body #buddypress .activity-list li.load-newest a:hover,
					.media .rtm-load-more a#rtMedia-galary-next:hover,
					.rg-group-section .item-list.rg-group-list div.action a:hover,
					#buddypress form.woocommerce-product-search input[type="submit"]:hover,
					#buddypress .widget_search input[type="submit"]:hover,
					.buddypress .buddypress-wrap button:hover,
					.buddypress .buddypress-wrap button:hover,
					.buddypress .buddypress-wrap .bp-list.grid .action button:hover,
					#buddypress input[type=submit]:focus,
					.buddypress .buddypress-wrap input[type="submit"]:hover.pending,
					.buddypress .buddypress-wrap input[type="button"]:hover.pending,
					.buddypress .buddypress-wrap input[type="reset"]:hover.pending,
					.buddypress .buddypress-wrap input[type="submit"]:hover.disabled,
					.buddypress .buddypress-wrap input[type="button"]:hover.disabled,
					.buddypress .buddypress-wrap input[type="reset"]:hover.disabled,
					.buddypress .buddypress-wrap button.pending:hover,
					.buddypress .buddypress-wrap button.disabled:hover, 
					.buddypress .buddypress-wrap div.pending a:hover, 
					.buddypress .buddypress-wrap a.disabled:hover,
					#buddypress .activity-content .activity-inner .bp-profile-button a:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '#buddypress .comment-reply-link,
					#buddypress .generic-button a,
					#buddypress .standard-form button,
					#buddypress a.button,
					#buddypress input[type=button],
					#buddypress input[type=reset],
					#buddypress input[type=submit],
					#buddypress ul.button-nav li a,
					a.bp-title-button,
					#buddypress form#whats-new-form #whats-new-submit input,
					#buddypress #profile-edit-form ul.button-nav li.current a,
					#buddypress div.generic-button a,
					#buddypress .item-list.rg-group-list div.action a,
					#buddypress div#item-header #item-header-content1 div.generic-button a,
					body #buddypress .activity-list li.load-more a,
					body #buddypress .activity-list li.load-newest a,
					.media .rtm-load-more a#rtMedia-galary-next,
					.rg-group-section .item-list.rg-group-list div.action a,
					#buddypress form.woocommerce-product-search input[type="submit"],
					#buddypress .widget_search input[type="submit"],
					.buddypress .buddypress-wrap button,
					.buddypress .buddypress-wrap button:hover,
					.buddypress .buddypress-wrap .bp-list.grid .action button:hover,
					.buddypress .buddypress-wrap input[type="submit"].pending,
					.buddypress .buddypress-wrap input[type="button"].pending, 
					.buddypress .buddypress-wrap input[type="reset"].pending, 
					.buddypress .buddypress-wrap input[type="button"].disabled,
					.buddypress .buddypress-wrap input[type="reset"].disabled, 
					.buddypress .buddypress-wrap input[type="submit"][disabled="disabled"],
					.buddypress .buddypress-wrap input[type="submit"]:disabled, 
					.buddypress .buddypress-wrap button.pending, 
					.buddypress .buddypress-wrap button.disabled, 
					.buddypress .buddypress-wrap div.pending a, 
					.buddypress .buddypress-wrap a.disabled {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '#buddypress .comment-reply-link:hover,
					#buddypress .generic-button a:hover,
					#buddypress .standard-form button:hover,
					#buddypress a.button:hover,
					#buddypress input[type=button]:hover,
					#buddypress input[type=reset]:hover,
					#buddypress input[type=submit]:hover,
					#buddypress ul.button-nav li a:hover,
					a.bp-title-button:hover,
					#buddypress form#whats-new-form #whats-new-submit input:hover,
					#buddypress #profile-edit-form ul.button-nav li.current a:hover, 
					#buddypress div.generic-button a:hover,
					#buddypress .item-list.rg-group-list div.action a:hover, 
					#buddypress div#item-header #item-header-content1 div.generic-button a:hover, 
					body #buddypress .activity-list li.load-more a:hover, 
					body #buddypress .activity-list li.load-newest a:hover,
					.media .rtm-load-more a#rtMedia-galary-next:hover, 
					.rg-group-section .item-list.rg-group-list div.action a:hover,
					#buddypress form.woocommerce-product-search input[type="submit"]:hover, 
					#buddypress .widget_search input[type="submit"]:hover,
					.buddypress .buddypress-wrap button:hover,
					.buddypress .buddypress-wrap button:hover,
					.buddypress .buddypress-wrap .bp-list.grid .action button:hover,
					#buddypress input[type=submit]:focus,                                    
					.buddypress .buddypress-wrap input[type="submit"]:hover.pending,
					.buddypress .buddypress-wrap input[type="button"]:hover.pending,
					.buddypress .buddypress-wrap input[type="reset"]:hover.pending,
					.buddypress .buddypress-wrap input[type="submit"]:hover.disabled,
					.buddypress .buddypress-wrap input[type="button"]:hover.disabled,
					.buddypress .buddypress-wrap input[type="reset"]:hover.disabled, 
					.buddypress .buddypress-wrap button.pending:hover,
					.buddypress .buddypress-wrap button.disabled:hover,
					.buddypress .buddypress-wrap div.pending a:hover,
					.buddypress .buddypress-wrap a.disabled:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo 'form#search-groups-form input#groups_search,
					form#search-members-form input#members_search,
					#buddypress .activity-content .activity-meta,
					.bp-content-area header.entry-header,
					#buddypress #whats-new-options, 
					#buddypress div.activity-comments form.ac-form,
					#buddypress div.activity-comments form textarea,
					body #buddypress div.activity-comments ul li form textarea,
					body #buddypress #item-body div.item-list-tabs#subnav ul,
					.bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) nav:not(.tabbed-links):before, 
					.bp-nouveau .bp-single-vert-nav .item-body:not(#group-create-body) #subnav:not(.tabbed-links):before,
					#buddypress div.activity-comments ul,
					body.activity-permalink #buddypress div.activity-comments ul,
					#buddypress .item-list.rg-member-list.wbtm-member-directory-type-2 .action-wrap,
					.bp-inner-wrap, #buddypress .item-list.rg-member-list.wbtm-member-directory-type-1 .action.rg-dropdown,
					#buddypress .item-list.rg-member-list.wbtm-member-directory-type-3 .action.rg-dropdown,
					#buddypress .item-list.rg-member-list.wbtm-member-directory-type-1 .action.rg-dropdown:after,
					#buddypress .item-list.rg-member-list.wbtm-member-directory-type-3 .action.rg-dropdown:after,
					.bp-group-inner-wrap,
					#buddypress .item-list.rg-group-list.wbtm-group-directory-type-2 div.action,
					#buddypress div.message-search input#messages_search, #buddypress table#message-threads tr.unread td,
					.bp-nouveau .activity-update-form,
					.bp-nouveau #buddypress form#whats-new-form textarea,
					.bp-nouveau .activity-list .activity-item .activity-content .activity-inner,
					.activity-list .activity-item > .activity-meta.action,
					.bp-nouveau #buddypress .activity-content .activity-meta a, 
					.bp-nouveau #buddypress div.activity-meta a,
					.buddypress-wrap .activity-comments .acomment-content, 
					.buddypress.widget ul.item-list li,
					.bp-nouveau .buddypress-wrap form.bp-dir-search-form,
					.bp-nouveau .buddypress-wrap form.bp-invites-search-form,
					.bp-nouveau .buddypress-wrap form.bp-messages-search-form,
					.bp-nouveau .buddypress-wrap form#media_search_form,
					.bp-nouveau .buddypress-wrap .select-wrap, 
					.bp-nouveau .buddypress-wrap .bptodo-form-add select,
					.buddypress-wrap .members-list li .user-update,
					.bp-nouveau .bp-list:not(.grid) > li, 
					.bp-nouveau .grid.bp-list > li .list-wrap,
					.buddypress-wrap .groups-list li .group-desc, 
					.bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-member-directory-type-1 > li .action,
					.bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-member-directory-type-3 > li .action,
					.bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-member-directory-type-1 > li .action:after,
					.bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-member-directory-type-3 > li .action:after,
					.bp-nouveau #buddypress .item-list.rg-member-list.grid.bp-list.wbtm-member-directory-type-2 > li .action,
					.buddypress-wrap .profile.edit .editfield,
					.bp-messages-content #thread-preview,
					.bp-messages-content .preview-pane-header, 
					.bp-messages-content .single-message-thread-header,
					.bp-nouveau #message-threads li,
					.bp-nouveau #message-threads,
					.buddypress .bp-invites-content ul.item-list>li,
					.groups-header .desc-wrap,
					.buddypress-wrap .bp-tables-user tr td.label,
					.buddypress-wrap table.forum tr td.label,
					.buddypress-wrap table.wp-profile-fields tr td.label,
					.wbtm-show-item-buttons, .bp-nouveau .wbtm-show-item-buttons,
					.bp-dir-vert-nav .screen-content,
					.bp-single-vert-nav .item-body:not(#group-create-body),
					.buddypress-wrap .tabbed-links ol,
					.buddypress-wrap .tabbed-links ul, 
					.buddypress-wrap .single-screen-navs li, 
					#buddypress form fieldset, 
					#buddypress table.forum tr td.label,
					#buddypress table.messages-notices tr td.label,
					#buddypress table.notifications tr td.label,
					#buddypress table.notifications-settings tr td.label,
					#buddypress table.profile-fields tr td.label,
					#buddypress table.wp-profile-fields tr td.label,
					.bp-nouveau .bpolls-html-container, 
					.bpolls-polls-option-html, a.bpolls-cancel,
					.ui-tabs .ui-tabs-panel, 
					#bptodo-dashboard ul li,
					#bptodo-tabs .ui-widget-header,
					#bptodo-tabs.ui-tabs .ui-tabs-nav li.ui-tabs-active, 
					.ui-widget-content .ui-state-default,
					.ui-widget-header .ui-state-default,
					.bprm_resume_form fieldset,
					.bprm_resume_form select,
					.bprm-container, 
					#buddypress div#item-header .wbtm-cover-header-type-3 div#item-header-cover-image,
					.bp-nouveau #buddypress div#item-header .wbtm-cover-header-type-3 div#item-header-cover-image,
					.bp-nouveau #buddypress div#item-header .wbtm-cover-header-type-4 div#item-header-cover-image,
					.bp-messages-content #bp-message-thread-list .message-metadata,
					.bp-messages-content #bp-message-thread-list,
					.buddypress-wrap .activity-comments ul li, 
					.bp-widget-area .widget,
					.bp-plugin-widgets, 
					.activity-update-form #whats-new-avatar, 
					#activity-form-submit-wrapper, 
					.bp-nouveau .activity-list.bp-list .activity-item,
					.bb-activity-media-wrap .bb-activity-media-elem.document-activity,
					.bb-activity-media-wrap .bb-activity-media-elem.document-activity .document-preview-wrap,
					.buddypress-wrap .grid-filters,
					a.layout-grid-view, 
					.bp-nouveau .bp-vertical-navs .rg-nouveau-sidebar-menu, 
					.bp-nouveau .bp-vertical-navs .item-body-inner-wrapper,
					.bb-panel-head,
					.bb-groups-invites-left,
					#bp-message-thread-list,
					#bp-message-thread-list li,
					#item-body #group-invites-container .bp-invites-content .item-list>li,
					#item-body #group-invites-container .bp-invites-content .item-list>li:last-child,
					.groups-header .desc-wrap,
					.bp-messages-wrap,
					.bp-messages-wrap .chat-header,
					.bp-messages-wrap .bp-messages-side-threads,
					.bp-messages-wrap .reply,
					.bp-messages-wrap .threads-list .thread > *,
					.bp-messages-wrap .bulk-message .box.box,
					.wb-bp-profile-completion-wrap ul.wb-bp-detailed-progress li.wb-bp-single-section-wrap span.wb-bp-section-number,
					.wb-bp-profile-completion-wrap ul.wb-bp-detailed-progress li.wb-bp-single-section-wrap, body.search .search-wrap:not(.rg-icon-wrap), 
					.bp-search-page .results-group ul#activity-stream li.activity-item,
					.bp-search-results-wrap .results-group-header,
					body.bp-search .bp-search-ac>li:not(.bbls-view_all_type-type),
					.bp-search-ac.ui-menu .ui-menu-item.bbls-view_all_type-type .bp-search-ajax-item,
					#whats-new-form, 
					.bp-nouveau-activity-form-placeholder- #whats-new-form-placeholder #whats-new-toolbar,
					.bp-nouveau-activity-form-placeholder- #whats-new-form #whats-new-toolbar,
					.activity-update-form #whats-new-form-placeholder #whats-new-toolbar,
					.activity-update-form #whats-new-form #whats-new-toolbar, #whats-new-form .bb-model-header,
					.bp-nouveau-activity-form-placeholder- .whats-new-form-footer,
					.activity-update-form .whats-new-form-footer,
					#buddypress .activity-list .bp-activity-more-options-wrap .bp-activity-more-options,
					.bp-nouveau .bp-widget.social h2, .bp-nouveau .item-body-inner-wrapper .profile h2,
					.buddypress-wrap .profile.public .profile-group-title, #buddypress #header-cover-image,
					.buddypress-wrap .bp-tables-user thead tr, .buddypress-wrap .bp-tables-report thead tr,
					.buddypress-wrap table.wp-profile-fields thead tr, .buddypress-wrap table.forum thead tr,
					#masthead .user-profile-menu li:last-child.bp-menu.bp-logout-nav,
					.bp-group-activity-preview, .bp-member-activity-preview, .reign-user-preview,
					.rg-nouveau-sidebar-menu.reign-nav-swipe .main-navs:not(.vertical) ul,
					.bp-nouveau #buddypress.buddypress-wrap.bp-dir-hori-nav #item-body #subnav,
					.bp-nouveau #send-invites-editor,
					.bp-nouveau .bp-member-add-form,
					.bp-nouveau .bptodo-adming-setting,
					.bp-nouveau .bptodo-form-add,
					.bp-nouveau .buddypress-wrap .profile,
					.bp-nouveau .bp-messages-content,
					.bp-nouveau .bupr-bp-member-reviews-block,
					.bp-nouveau form#account-capabilities-form,
					.bp-nouveau form#account-group-invites-form,
					.bp-nouveau form#group-settings-form,
					.bp-nouveau form#settings-form,
					.media .rtmedia-container,
					.bp-nouveau .bp-feedback,
					.bp-nouveau .bp-messages,
					.privacy-status-form-footer,
					.wbtm-member-directory-type-1 .item-avatar .gamipress-buddypress-user-details-listing,
					.acomment-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-achievement,
					.acomment-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-points>div,
					.acomment-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-ranks .gamipress-buddypress-rank,
					.activity-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-achievement,
					.activity-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-points>div,
					.activity-content .gamipress-buddypress-user-details-activity .gamipress-buddypress-ranks .gamipress-buddypress-rank,
					.item-avatar .gamipress-buddypress-user-details-listing .gamipress-buddypress-achievement,
					.item-avatar .gamipress-buddypress-user-details-listing .gamipress-buddypress-points>div,
					.item-avatar .gamipress-buddypress-user-details-listing .gamipress-buddypress-ranks .gamipress-buddypress-rank,
					.activity-list .activity-item .activity-content .gamipress-achievement,
					.activity-list .activity-item .activity-content .gamipress-points-award,
					.activity-list .activity-item .activity-content .gamipress-rank,
					.gamipress-achievement,
					.gamipress-rank,
					.single .single-achievement,
					.single-rank {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

				// Border Background Color.
				echo '.bp-nouveau .bp-single-vert-nav .item-body:not(#group-create-body) #subnav:not(.tabbed-links):before, .bp-nouveau .buddypress-wrap.bp-dir-hori-nav:not(.bp-vertical-navs) nav:not(.tabbed-links):before, .bp-nouveau .groups-type-navs:before, .bp-nouveau .mpp-type-navs:before {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}

			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '#buddypress #profile-edit-form ul.button-nav li.current a, #buddypress .comment-reply-link, #buddypress .generic-button a, #buddypress .item-list.rg-group-list div.action a, #buddypress .standard-form button, #buddypress .widget_search input[type=submit], #buddypress a.button, #buddypress div#item-header #item-header-content1 div.generic-button a, #buddypress div.generic-button a, #buddypress form#whats-new-form #whats-new-submit input, #buddypress form.woocommerce-product-search input[type=submit], #buddypress input[type=button], #buddypress input[type=reset], #buddypress input[type=submit], #buddypress ul.button-nav li a, .field-wrap button, .field-wrap input[type=button], .field-wrap input[type=submit], .form-submit #submit, .media .rtm-load-more a#rtMedia-galary-next, .nav-links>div, .rg-group-section .item-list.rg-group-list div.action a, .rg-login-btn-wrap .button, .rg-register-btn-wrap .button, .rg-woocommerce_mini_cart .button, .woocommerce #respond input#submit, .woocommerce #respond input#submit.alt, .woocommerce #respond input#submit.disabled, .woocommerce #respond input#submit:disabled, .woocommerce #respond input#submit:disabled[disabled], .woocommerce .cart .button, .woocommerce .cart input.button, .woocommerce a.button, .woocommerce a.button.alt, .woocommerce a.button.disabled, .woocommerce a.button:disabled, .woocommerce a.button:disabled[disabled], .woocommerce button.button, .woocommerce button.button.alt, .woocommerce button.button.disabled, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled], .woocommerce div.product form.cart .button, .woocommerce input.button, .woocommerce input.button.alt, .woocommerce input.button.disabled, .woocommerce input.button:disabled, .woocommerce input.button:disabled[disabled], a.bp-title-button, a.btn, a.read-more.button, a.rg-action.button, body #buddypress .activity-list li.load-more a, body #buddypress .activity-list li.load-newest a, button, button#bbp_topic_submit, form.search-form input[type=submit], form.woocommerce-product-search input[type=submit], input[type=button], input[type=reset], input[type=submit], body #buddypress input[type="submit"], body #buddypress input[type="reset"], .buddypress .buddypress-wrap button, .buddypress .buddypress-wrap a.button, .buddypress .buddypress-wrap input[type="submit"], .buddypress .buddypress-wrap input[type="button"], .buddypress .buddypress-wrap input[type="reset"], .buddypress .buddypress-wrap ul.button-nav:not(.button-tabs) li a, .buddypress .buddypress-wrap .generic-button a, .buddypress .buddypress-wrap .comment-reply-link, .buddypress .buddypress-wrap a.bp-title-button, .buddypress .buddypress-wrap .activity-read-more a,
				.bp-nouveau #buddypress .item-list.rg-member-list.grid.bp-list.wbtm-member-directory-type-2 .action>button, .bp-nouveau #buddypress .item-list.rg-member-list.grid.bp-list.wbtm-member-directory-type-2 .action>div a, .bp-nouveau #buddypress .item-list.rg-member-list.grid.bp-list.wbtm-member-directory-type-2 .action>li a, .bp-nouveau #buddypress .item-list.rg-member-list.grid.bp-list.wbtm-member-directory-type-2 .action>li button, .bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-group-directory-type-2>li .action .generic-button a, .bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-group-directory-type-2>li .action .generic-button button, .bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-group-directory-type-3>li .action .generic-button a, .bp-nouveau #buddypress.buddypress-wrap .grid.bp-list.wbtm-group-directory-type-3>li .action .generic-button button,
				.bp-nouveau #buddypress div#item-header.single-headers .wbtm-cover-header-type-1 #item-header-cover-image #item-header-content .wbtm-item-buttons-wrapper #item-buttons div.generic-button .button, .bp-nouveau #buddypress div#item-header.single-headers .wbtm-cover-header-type-1 #item-header-cover-image #item-header-content .wbtm-item-buttons-wrapper #item-buttons div.generic-button a, .bp-nouveau #buddypress div#item-header.single-headers .wbtm-cover-header-type-2 #item-header-cover-image #item-header-content .wbtm-item-buttons-wrapper #item-buttons div.generic-button .button, .bp-nouveau #buddypress div#item-header.single-headers .wbtm-cover-header-type-2 #item-header-cover-image #item-header-content .wbtm-item-buttons-wrapper #item-buttons div.generic-button a, .bp-nouveau #buddypress div#item-header.single-headers .wbtm-cover-header-type-3 #item-header-cover-image #item-header-content .wbtm-item-buttons-wrapper #item-buttons div.generic-button .button, .bp-nouveau #buddypress div#item-header.single-headers .wbtm-cover-header-type-3 #item-header-cover-image #item-header-content .wbtm-item-buttons-wrapper #item-buttons div.generic-button a, .bp-nouveau #buddypress div#item-header.single-headers .wbtm-cover-header-type-4 #item-header-cover-image #item-header-content .wbtm-item-buttons-wrapper #item-buttons div.generic-button .button, .bp-nouveau #buddypress div#item-header.single-headers .wbtm-cover-header-type-4 #item-header-cover-image #item-header-content .wbtm-item-buttons-wrapper #item-buttons div.generic-button a,
				.buddypress-wrap .notifications-options-nav input#notification-bulk-manage, .buddypress-wrap .invitations-options-nav input#invitation-bulk-manage, .buddypress-wrap .subnav-filters .user-messages-bulk-actions .bulk-apply {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // BuddyPress Colors End.

		// bbPress.
		if ( class_exists( 'bbPress' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '#bbpress-forums ul.bbp-forums, #bbpress-forums div.odd, #bbpress-forums ul.odd, #bbpress-forums div.even, #bbpress-forums ul.even, #bbpress-forums .bbp-lead-topic li.bbp-header, #bbpress-forums .bbp-lead-topic li.bbp-body, #bbpress-forums .bbp-lead-topic li.bbp-footer, .bbp-topic-form, #bbpress-forums .bbp-login-form fieldset.bbp-form, .bbp-reply-form, #bbpress-forums .rg-replies .bbp-body > div, #bbpress-forums .rg-replies .bbp-body > ul > li > div, #bbpress-forums div.bbp-forum-header, #bbpress-forums div.bbp-topic-header, #bbpress-forums div.bbp-reply-header, #bbpress-forums .forums.bbp-search-results .bbp-body > div, #bbpress-forums #bbp-single-user-details #bbp-user-navigation {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '#bbpress-forums .bbp-topic-pagination a:hover, #bbpress-forums .bbp-pagination-links a:hover,
						#bbpress-forums #bbp-single-user-details #bbp-user-navigation li.current a {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '#bbpress-forums .bbp-pagination-links span.current, 
						#bbpress-forums #bbp-single-user-details #bbp-user-avatar {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '#bbpress-forums .bbp-pagination-links span.current, #bbpress-forums .bbp-topic-pagination a:hover, #bbpress-forums .bbp-pagination-links a:hover {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_accent_color ) {

				// Accent Color.
				echo '.bbp-forum-content a,
					span#subscription-toggle .is-subscribed a,
					span#favorite-toggle .is-favorite a,
					.bbp-reply-content a {';
				echo sprintf( 'color: %s;', esc_attr( $reign_accent_color ) );
				echo '}';

			}

			if ( $reign_accent_hover_color ) {

				// Accent Hover Color.
				echo '.bbp-forum-content a:hover,
					span#subscription-toggle a:hover,
					span#favorite-toggle a:hover,
					.bbp-reply-content a:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_accent_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo 'button#bbp_topic_submit {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo 'button#bbp_topic_submit:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo 'button#bbp_topic_submit {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo 'button#bbp_topic_submit:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '#bbpress-forums fieldset.bbp-form,
					#bbpress-forums ul.bbp-forums,
					#bbpress-forums li.bbp-body ul.forum,
					#bbpress-forums li.bbp-header ul.forum-titles,
					#bbpress-forums ul.bbp-lead-topic,
					#bbpress-forums ul.bbp-topics,
					#bbpress-forums ul.bbp-forums,
					#bbpress-forums ul.bbp-replies,
					#bbpress-forums ul.bbp-search-results,
					.bbp-topics .topic,
					.bbp-topic-form,
					#bbpress-forums .bbp-login-form fieldset.bbp-form,
					.bbp-reply-form,
					#bbpress-forums .rg-replies .bbp-body > div,
					#bbpress-forums .rg-replies .bbp-body > ul > li > div,
					.bbp-reply-footer .bbp-meta,
					#bbpress-forums .forums.bbp-search-results .bbp-body > div,
					#bbpress-forums .forums.bbp-search-results .bbp-reply-header,
					#bbpress-forums .forums.bbp-search-results .bbp-forum-header .bbp-meta,
					#bbpress-forums .forums.bbp-search-results .bbp-topic-top,
					#bbp-user-navigation ul,
					#bbpress-forums .rg-replies > li > div,
					#bbpress-forums ul.bbp-threaded-replies,
					#bbpress-forums .bbp-lead-topic li.bbp-header,
					#bbpress-forums .bbp-lead-topic li.bbp-body,
					#bbpress-forums .bbp-lead-topic li.bbp-footer {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
		} // bbPress Colors End.

		// WooCommerce.
		if ( class_exists( 'WooCommerce' ) ) {

			if ( $reign_site_body_text_color ) {

				// Body Color.
				echo '.rg-woocommerce_mini_cart ul.woocommerce-mini-cart li .quantity {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_body_text_color ) );
				echo '}';

			}

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.woocommerce ul.products li.product, .woocommerce div.product .woocommerce-tabs ul.tabs li.active a, #add_payment_method #payment div.payment_box, .woocommerce-cart #payment div.payment_box, .woocommerce-error, .woocommerce-info, .woocommerce-message, .woocommerce div.product .woocommerce-tabs ul.tabs li.active, .woocommerce div.product .woocommerce-tabs ul.tabs li.active a, .woocommerce div.product .woocommerce-tabs .panel, .woocommerce #content div.product div.summary, .woocommerce div.product div.summary, .woocommerce-page #content div.product div.summary, .woocommerce-page div.product div.summary {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '.woocommerce nav.woocommerce-pagination ul li .page-numbers:not(.current):hover, .woocommerce-page nav.woocommerce-pagination ul li .page-numbers:not(.current):hover,
					.woocommerce-account .woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link.is-active a,
					.rg-woo-breadcrumbs a.current {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.woocommerce div.product .woocommerce-tabs ul.tabs li.active:before,
					.woocommerce-account .woocommerce-MyAccount-navigation li.woocommerce-MyAccount-navigation-link a:before,
					.woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce-page nav.woocommerce-pagination ul li span.current,
					.rg-woo-category-item-wrap.layout-type-4 .rg-woo-category-pro-count span.rg-woo-pro-circle, .rg-woo-category-item-wrap.layout-type-5 .rg-woo-category-pro-count span.rg-woo-pro-circle {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce-page nav.woocommerce-pagination ul li span.current, .woocommerce nav.woocommerce-pagination ul li .page-numbers:hover, .woocommerce-page nav.woocommerce-pagination ul li .page-numbers:hover, .woocommerce div.product div.images .flex-control-thumbs li img.flex-active, .woocommerce div.product div.images .flex-control-thumbs li img:hover {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_site_link_color ) {

				// Links Color.
				echo '.woocommerce div.product .woocommerce-tabs ul.tabs li a {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_color ) );
				echo '}';

			}

			if ( $reign_site_link_hover_color ) {

				// Links Hover Color.
				echo '.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_hover_color ) );
				echo '}';

			}

			if ( $reign_accent_color ) {

				// Accent Color.
				echo '.woocommerce-product-details__short-description a,
					.woocommerce-Tabs-panel--description a,
					.woocommerce-MyAccount-content a:not(.btn) {';
				echo sprintf( 'color: %s;', esc_attr( $reign_accent_color ) );
				echo '}';

			}

			if ( $reign_accent_hover_color ) {

				// Accent Hover Color.
				echo '.woocommerce-product-details__short-description a:hover,
					.woocommerce-Tabs-panel--description a:hover,
					.woocommerce-MyAccount-content a:not(.btn):hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_accent_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo 'form.woocommerce-product-search input[type="submit"],
					.woocommerce #respond input#submit,
					.woocommerce a.button,
					.woocommerce button.button,
					.rg-woocommerce_mini_cart .button,
					.woocommerce input.button,
					.woocommerce #respond input#submit.disabled,
					.woocommerce #respond input#submit:disabled,
					.woocommerce #respond input#submit:disabled[disabled],
					.woocommerce a.button.disabled,
					.woocommerce a.button:disabled,
					.woocommerce a.button:disabled[disabled],
					.woocommerce button.button.disabled, 
					.woocommerce button.button:disabled, 
					.woocommerce button.button:disabled[disabled],
					.woocommerce input.button.disabled, 
					.woocommerce input.button:disabled,
					.woocommerce input.button:disabled[disabled],
					.woocommerce .cart .button,
					.woocommerce .cart input.button,
					.woocommerce div.product form.cart .button,
					.woocommerce #respond input#submit.alt,
					.woocommerce a.button.alt,
					.woocommerce button.button.alt,
					.woocommerce input.button.alt {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo 'form.woocommerce-product-search input[type="submit"]:hover,
					.woocommerce #respond input#submit:hover,
					.woocommerce a.button:hover,
					.woocommerce button.button:hover,
					.rg-woocommerce_mini_cart .button:hover,
					.woocommerce input.button:hover,
					.woocommerce #respond input#submit.disabled:hover,
					.woocommerce #respond input#submit:disabled:hover,
					.woocommerce #respond input#submit:disabled[disabled]:hover,
					.woocommerce a.button.disabled:hover,
					.woocommerce a.button:disabled:hover,
					.woocommerce a.button:disabled[disabled]:hover,
					.woocommerce button.button.disabled:hover,
					.woocommerce button.button:disabled:hover,
					.woocommerce button.button:disabled[disabled]:hover,
					.woocommerce input.button.disabled:hover,
					.woocommerce input.button:disabled:hover,
					.woocommerce input.button:disabled[disabled]:hover, 
					.woocommerce .cart .button:hover,
					.woocommerce .cart input.button:hover,
					.woocommerce div.product form.cart .button:hover,
					.woocommerce #respond input#submit.alt:hover,
					.woocommerce a.button.alt:hover,
					.woocommerce button.button.alt:hover,
					.woocommerce input.button.alt:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo 'form.woocommerce-product-search input[type="submit"],
					.woocommerce #respond input#submit,
					.woocommerce a.button, 
					.woocommerce button.button,
					.rg-woocommerce_mini_cart .button,
					.woocommerce input.button, 
					.woocommerce #respond input#submit.disabled,
					.woocommerce #respond input#submit:disabled,
					.woocommerce #respond input#submit:disabled[disabled], 
					.woocommerce a.button.disabled, 
					.woocommerce a.button:disabled, 
					.woocommerce a.button:disabled[disabled], 
					.woocommerce button.button.disabled, 
					.woocommerce button.button:disabled, 
					.woocommerce button.button:disabled[disabled],
					.woocommerce input.button.disabled, 
					.woocommerce input.button:disabled,
					.woocommerce input.button:disabled[disabled],
					.woocommerce .cart .button,
					.woocommerce .cart input.button,
					.woocommerce div.product form.cart .button,
					.woocommerce #respond input#submit.alt,
					.woocommerce a.button.alt,
					.woocommerce button.button.alt,
					.woocommerce input.button.alt {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo 'form.woocommerce-product-search input[type="submit"]:hover,
					.woocommerce #respond input#submit:hover,
					.woocommerce a.button:hover,
					.plg-peepso .woocommerce a.button:hover,
					.woocommerce button.button:hover,
					.rg-woocommerce_mini_cart .button:hover,
					.woocommerce input.button:hover,
					.woocommerce #respond input#submit.disabled:hover,
					.woocommerce #respond input#submit:disabled:hover,
					.woocommerce #respond input#submit:disabled[disabled]:hover,
					.woocommerce a.button.disabled:hover,
					.woocommerce a.button:disabled:hover,
					.woocommerce a.button:disabled[disabled]:hover,
					.woocommerce button.button.disabled:hover,
					.woocommerce button.button:disabled:hover,
					.woocommerce button.button:disabled[disabled]:hover,
					.woocommerce input.button.disabled:hover,
					.woocommerce input.button:disabled:hover,
					.woocommerce input.button:disabled[disabled]:hover,
					.woocommerce .cart .button:hover, 
					.woocommerce .cart input.button:hover,
					.woocommerce div.product form.cart .button:hover,
					.woocommerce #respond input#submit.alt:hover,
					.woocommerce a.button.alt:hover,
					.woocommerce button.button.alt:hover, 
					.woocommerce input.button.alt:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.widget.woocommerce.widget_product_categories ul.product-categories li.cat-item,
					.woocommerce div.product .woocommerce-tabs ul.tabs li,
					.woocommerce div.product .woocommerce-tabs .panel,
					.woocommerce div.product .woocommerce-tabs ul.tabs::before,
					.woocommerce table.shop_table, 
					.woocommerce .woocommerce-checkout #payment.woocommerce-checkout-payment,
					#add_payment_method #payment ul.payment_methods,
					.woocommerce-cart #payment ul.payment_methods, 
					.woocommerce-checkout #payment ul.payment_methods,
					.woocommerce .quantity .product_quantity_minus,
					.woocommerce .quantity .product_quantity_plus, 
					.woocommerce .quantity .qty,
					.product_meta span+span,
					#add_payment_method table.cart td.actions .coupon .input-text,
					.woocommerce-cart table.cart td.actions .coupon .input-text,
					.woocommerce-checkout table.cart td.actions .coupon .input-text,
					.woocommerce .woocommerce-checkout #payment.woocommerce-checkout-payment ul li,
					.woocommerce .woocommerce-MyAccount-navigation,
					.woocommerce-account .woocommerce-MyAccount-navigation ul > li + li, 
					.woocommerce-account .woocommerce .woocommerce-MyAccount-content,
					.woocommerce nav.woocommerce-pagination ul, 
					.woocommerce nav.woocommerce-pagination ul li,
					.woocommerce ul.products li.product {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo 'form.woocommerce-product-search input[type="submit"], .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .rg-woocommerce_mini_cart .button, .woocommerce input.button, .woocommerce #respond input#submit.disabled, .woocommerce #respond input#submit:disabled, .woocommerce #respond input#submit:disabled[disabled], .woocommerce a.button.disabled, .woocommerce a.button:disabled, .woocommerce a.button:disabled[disabled], .woocommerce button.button.disabled, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled], .woocommerce input.button.disabled, .woocommerce input.button:disabled, .woocommerce input.button:disabled[disabled], .woocommerce .cart .button, .woocommerce .cart input.button, .woocommerce div.product form.cart .button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,
				.woocommerce ul.products li.product .added_to_cart, .woocommerce ul.products li.product .button.add_to_cart_button, .woocommerce ul.products li.product .button.product_type_external, .woocommerce ul.products li.product .button.product_type_grouped, .woocommerce ul.products li.product .button.product_type_variable,
				.woocommerce .button, .woocommerce .cart-collaterals .cart_totals .button, .woocommerce .cart-collaterals .cart_totals .button:hover, .woocommerce .woocommerce-MyAccount-content .button, .woocommerce .woocommerce-MyAccount-content .button:hover, .woocommerce .woocommerce-checkout .place-order .button, .woocommerce .woocommerce-checkout .place-order .button:hover, .woocommerce div.product form.cart .button.single_add_to_cart_button, .woocommerce div.product form.cart .button.single_add_to_cart_button:hover, .woocommerce form.checkout_coupon .button, .woocommerce form.checkout_coupon .button:hover, .woocommerce-cart .woocommerce-cart-form table.cart .button, .woocommerce-cart .woocommerce-cart-form table.cart .button:disabled, .woocommerce-cart .woocommerce-cart-form table.cart .button:hover, .woocommerce-cart .woocommerce-cart-form table.cart .button:hover:disabled, .woocommerce-cart-form .cart input.button, .woocommerce-cart-form form.cart .button:hover, .woocommerce.widget_price_filter .price_slider_amount .button, .woocommerce.widget_price_filter .price_slider_amount .button:hover .woocommerce-cart-form .cart input.button:hover, .woocommerce.widget_shopping_cart .button, .woocommerce.widget_shopping_cart .button:hover {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // WooCommerce Colors End.

		// PeepSo.
		if ( class_exists( 'PeepSo' ) ) {
			if ( $reign_header_main_menu_font ) {

				// Header Menu Color.
				echo '#masthead .psw-userbar__name>a {';
				echo sprintf( 'color: %s;', esc_attr( $reign_header_main_menu_font ) . '!important' );
				echo '}';

			}

			if ( $reign_header_main_menu_text_hover_color ) {

				// Header Menu Hover Color.
				echo '#masthead .psw-userbar__name>a:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_header_main_menu_text_hover_color ) . '!important' );
				echo '}';

			}

			if ( $reign_header_sub_menu_font ) {

				// Sub Menu Color.
				echo '.ps-dropdown--menu .ps-dropdown__menu>a, .ps-dropdown--menu .ps-dropdown__menu>button {';
				echo sprintf( 'color: %s;', esc_attr( $reign_header_sub_menu_font ) . '!important' );
				echo '}';

			}

			if ( $reign_header_sub_menu_text_hover_color ) {

				// Sub Menu Hover Color.
				echo '.ps-dropdown--menu .ps-dropdown__menu>a:hover, .ps-dropdown--menu .ps-dropdown__menu a:hover i {';
				echo sprintf( 'color: %s;', esc_attr( $reign_header_sub_menu_text_hover_color ) . '!important' );
				echo '}';

			}

			if ( $reign_header_icon_color ) {

				// Header Icon Color.
				echo '#masthead .ps-user-name, #masthead .ps-dropdown--userbar .ps-dropdown__toggle, #masthead .ps-widget--userbar__logout>a, #masthead .psw-userbar__menu-toggle, #masthead .psw-userbar__logout {';
				echo sprintf( 'color: %s;', esc_attr( $reign_header_icon_color ) );
				echo '}';

			}

			if ( $reign_header_icon_hover_color ) {

				// Header Icon Hover Color.
				echo '#masthead .ps-user-name:hover, #masthead .ps-dropdown--userbar .ps-dropdown__toggle:hover, #masthead .ps-widget--userbar__logout>a:hover, #masthead .psw-userbar__menu-toggle:hover, #masthead .psw-userbar__logout:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_header_icon_hover_color ) );
				echo '}';

			}

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.ps-navbar, .ps-member, .ps-tabs__item, .ps-tabs__item:hover, .ps-tabs__item:focus, .ps-members__header, .ps-members__filters, .ps-input.ps-input--select:read-only, .ps-input.ps-input--select:read-only:hover, .ps-input.ps-input--select:read-only:focus, .ps-dropdown__menu, .ps-notif__box, .ps-input:hover, .ps-btn--app, .ps-tip.ps-btn:not(.ps-button-cancel):hover, .ps-tip.ps-btn:not(.ps-button-cancel):focus, .ps-tip.ps-btn:not(.ps-button-cancel) .active, .ps-group, .ps-postbox, .ps-post, .ps-post__options-menu .ps-dropdown__menu, .ps-comments__list, .ps-comments__input, .ps-comments__input:hover, .ps-comments__input:focus, .ps-reactions__dropdown, .ps-reactions__likes, .ps-posts__filters-group, .ps-focus__info, .ps-focus__menu, .ps-profile__edit, .ps-posts__filter-box, .ps-posts__filter-search, .ps-input:disabled, .ps-input:read-only, .ps-input.ps-input--disabled, .ps-friends__tab--active, .ps-friends__tab, .ps-modal__content, .ps-modal__footer, .ps-group__edit-fields, .ps-badgeos__list-wrapper, #component .badgeos_achievement_main_container, #component .badgeos_ranks_main_container, .ps-post__placeholder-mask, .ps-notification {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '.ps-tabs__item--active>a, .ps-tabs__item>a:hover, .ps-tabs__item>a:focus, .ps-tip.ps-btn--active, .ps-focus__menu-item--active, .ps-tabs__item--active i, .ps-friends__tab--active>a, .psw-profile__menu-item i, .ps-tabs .current.slick-slide a, .ps-postbox__menu-item--type .ps-postbox__menu-item-link>.ps-icon.active:before {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.ps-focus__menu-item--active:after, .ps-notif__bubble, .psw-profile__progress-bar>span, #component #badgeos-earned-achievements-container .selected, #component #badgeos-achievements-container .selected, #component #badgeos-earned-ranks-container .selected, #component #badgeos-list-ranks-container .selected {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo ' {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_site_link_color ) {

				// Links Color.
				echo '.ps-member__name a,
					.ps-navbar__menu-link,
					.ps-navbar__menu-item--home>a,
					.ps-group__name a,
					.ps-postbox__menu-item--type .ps-postbox__menu-item-link,
					.ps-postbox__menu-item-link,
					.ps-post__title .ps-tag__link:first-of-type,
					.ps-post__options-menu .ps-dropdown__menu>a,
					.ps-comment__author .ps-tag__link, 
					.ps-comment__actions-dropdown .ps-dropdown__menu>a,
					.ps-post__author,
					.ps-postbox__menu-item--type .ps-dropdown__menu>a, 
					.ps-focus__name {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_color ) );
				echo '}';

			}

			if ( $reign_site_link_hover_color ) {

				// Links Hover Color.
				echo '.ps-navbar__menu-link:hover,
					.ps-navbar__menu-link:focus,
					.ps-navbar__menu-item--home>a:hover,
					.ps-member__name a:hover,
					.ps-member__name a:focus,
					.ps-group__name a:hover,
					.ps-group__name a:focus,
					.ps-postbox__menu-item--type .ps-postbox__menu-item-link:hover,
					.ps-postbox__menu-item-link:hover,
					.ps-post__title .ps-tag__link:first-of-type:hover,
					.ps-post__title .ps-tag__link:first-of-type:focus,
					.ps-post__privacy>a:hover,
					.ps-post__privacy>a:focus,
					.ps-post__date:hover,
					.ps-post__date:focus,
					.ps-post__copy:hover,
					.ps-post__copy:focus,
					.ps-post__options-menu>a:hover,
					.ps-post__options-menu>a:focus,
					.ps-post__options-menu .ps-dropdown__menu>a:hover,
					.ps-post__options-menu .ps-dropdown__menu>a:focus,
					.ps-post__options-menu .ps-dropdown__menu>a.active,
					.ps-comment__author .ps-tag__link:hover,
					.ps-comment__author .ps-tag__link:focus,
					.ps-comment__actions-dropdown .ps-dropdown__menu>a:hover,
					.ps-comment__actions-dropdown .ps-dropdown__menu>a:focus,
					.ps-comment__actions-dropdown .ps-dropdown__menu>a.active,
					.ps-comment__info a:hover,
					.ps-comment__info a:focus,
					.ps-comment__action--reply:hover,
					.ps-comment__action--reply:focus,
					.ps-post__author:hover,
					.ps-post__author:focus,
					.ps-comment__actions-dropdown>a:hover,
					.ps-comment__actions-dropdown>a:focus,
					.ps-post__action:hover,
					.ps-post__action:focus,
					.ps-posts__filter-toggle:hover, 
					.ps-postbox__menu-item--type .ps-dropdown__menu>a:hover,
					.ps-postbox__menu-item--type .ps-dropdown__menu>a:focus,
					.ps-postbox__menu-item--type .ps-dropdown__menu>a.active,
					.ps-focus__menu-item:hover,
					.ps-focus__menu-item:focus,
					.ps-focus__details>a:hover,
					.ps-focus__details>a:focus,
					.ps-focus__details>a:hover i,
					.ps-focus__details>a:hover strong,
					.ps-focus__details>a:focus i,
					.ps-focus__details>a:focus strong,
					.ps-focus__like:hover span {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_hover_color ) );
				echo '}';

			}

			if ( $reign_accent_color ) {

				// Accent Color.
				echo '.ps-stream-body a,
					#ps-activitystream .ps-post__content a {';
				echo sprintf( 'color: %s;', esc_attr( $reign_accent_color ) );
				echo '}';

			}

			if ( $reign_accent_hover_color ) {

				// Accent Hover Color.
				echo '.ps-stream-body a:hover,
					#ps-activitystream .ps-post__content a:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_accent_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.plg-peepso .woocommerce a.button,
					.ps-btn--action, 
					.ps-btn:not(.ps-tip):not(a):not(.ps-js-btn-edit):not(.ps-js-btn-edit-all),
					.plg-peepso .woocommerce #respond input#submit,
					.plg-peepso .woocommerce a.button,
					.plg-peepso .woocommerce button.button,
					.plg-peepso .woocommerce input.button {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.plg-peepso .woocommerce a.button:hover,
					.ps-btn:not(.ps-btn--app):hover,
					.ps-btn:not(.ps-btn--app):focus,
					.ps-btn .active,
					.ps-btn:not(.ps-tip):not(a):hover,
					.plg-peepso .woocommerce #respond input#submit:hover,
					.plg-peepso .woocommerce a.button:hover
					.plg-peepso .woocommerce button.button:hover,
					.plg-peepso .woocommerce input.button:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.plg-peepso .woocommerce a.button,
					.ps-btn--action,
					.ps-btn:not(.ps-tip):not(a):not(.ps-js-btn-edit):not(.ps-js-btn-edit-all),
					.plg-peepso .woocommerce #respond input#submit,
					.plg-peepso .woocommerce a.button, 
					.plg-peepso .woocommerce button.button,
					.plg-peepso .woocommerce input.button {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.plg-peepso .woocommerce a.button:hover, 
					.ps-btn:not(.ps-btn--app):hover,
					.ps-btn:not(.ps-btn--app):focus,
					.ps-btn .active,
					.ps-btn:not(.ps-tip):not(a):hover,
					.plg-peepso .woocommerce #respond input#submit:hover, 
					.plg-peepso .woocommerce a.button:hover, 
					.plg-peepso .woocommerce button.button:hover,
					.plg-peepso .woocommerce input.button:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.ps-toolbar,
					.ps-post,
					.ps-postbox,
					.ps-navbar,
					.ps-posts__filters-group,
					.ps-tabs.ps-members__tabs,
					.ps-member, .ps-members__header,
					.ps-group,
					.ps-focus,
					.ps-profile__edit, 
					.ps-group__edit-fields, 
					.ps-friends__tabs-inner,
					.ps-postbox__menu-item--type .ps-postbox__menu-item-link,
					.ps-postbox__footer,
					.ps-posts__filter-toggle,
					.ps-tabs__item,
					.ps-member__actions,
					.ps-member__actions .ps-member__action,
					.ps-members__search, .ps-group__actions,
					.ps-group__action, .ps-focus__menu,
					.ps-focus__menu-item,
					.ps-profile__about-header,
					.ps-profile__about-field,
					.ps-profile__preferences .ps-form__legend,
					.ps-profile__notification-header,
					.ps-profile__notifications-row,
					.ps-group__edit-field,
					.ps-friends__tab, 
					.ps-member__buttons .ps-member__action,
					.ps-dropdown--menu .ps-dropdown__menu>a,
					.ps-comments__list, .ps-comments--nested .ps-comment,
					.ps-comments__input, .ps-comments__input:hover,
					.ps-comments__input:focus,
					.ps-reactions__dropdown,
					.ps-reactions__list-item:first-child,
					.ps-reactions__list-item--delete,
					.ps-reactions__likes, .ps-comments__reply,
					.ps-media--video .ps-media__body,
					.ps-navbar__menu-item--home,
					.ps-profile__progress,
					.ps-posts__filter-search .ps-input,
					.ps-posts__filter-search .ps-input:hover,
					.ps-posts__filter-search .ps-input:focus,
					.ps-posts__filter-select,
					.ps-profile__edit-tabs .ps-tabs__item>a,
					.ps-profile__account-row,
					.ps-input:disabled,
					.ps-input:read-only,
					.ps-input.ps-input--disabled,
					.ps-friends__list-title,
					.ps-friends__tab,
					.ps-modal__footer,
					.ps-checkbox__label:before,
					.ps-members__filters,
					#component .badgeos_achievement_main_container,
					#component .badgeos_ranks_main_container,
					.ps-post--pinned:before {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '.plg-peepso .woocommerce a.button, .ps-btn--action, .ps-btn:not(.ps-tip):not(a):not(.ps-js-btn-edit):not(.ps-js-btn-edit-all), .plg-peepso .woocommerce #respond input#submit, .plg-peepso .woocommerce a.button, .plg-peepso .woocommerce button.button, .plg-peepso .woocommerce input.button {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

				// Button Radius.
				echo '.ps-btn {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px !important' );
				echo '}';

			}
		} // PeepSo Colors End.

		// Dokan.
		if ( class_exists( 'WeDevs_Dokan' ) ) {

			if ( $reign_site_sections_bg_color ) {

				if ( $reign_site_body_text_color ) {

					// Body Color.
					echo '.dokan-single-store .profile-frame .profile-info-box .profile-info-summery-wrapper .profile-info-summery .profile-info .dokan-store-info .dokan-store-open-close .store-open-close-notice #vendor-store-times {';
					echo sprintf( 'color: %s;', esc_attr( $reign_site_body_text_color ) );
					echo '}';

				}

				// Sections BG Color.
				echo '.rda-options-bar, .rda-store-content-wrapper, .dokan-store-tabs, .dokan-single-store .dokan-store-tabs ul, .dokan-single-store .profile-frame .profile-info-box .profile-info-summery-wrapper, .rda-vendor-header-top .profile-info-box.profile-layout-layout1, .dokan-single-store .profile-frame .profile-info-box.profile-layout-layout1 .profile-info-summery-wrapper, .rda-vendor-header-top .dokan-single-store .profile-frame.profile-frame .profile-info-box.profile-layout-layout2, .dokan-single-store .profile-frame .profile-info-box.profile-layout-layout2 .profile-info-summery-wrapper, .dokan-single-store .profile-frame.profile-frame-no-banner .profile-layout-layout3 .profile-info-summery-wrapper .profile-info-summery, .dokan-single-store .profile-frame .profile-info-box.profile-layout-layout3, .white-popup, div#dokan-secondary.dokan-store-sidebar .dokan-widget-area.widget-collapse, .dokan-alert.dokan-alert, .dokan-dashboard .dokan-dashboard-content.dokan-dashboard-content, .dokan-panel, .dokan-dashboard .dokan-dashboard-content article.dashboard-content-area .dashboard-widget, .pagination-wrap ul.pagination > li > a, .dokan-message, .dokan-info, .dokan-error, .dokan-edit-row, .select2-container--default .select2-selection--multiple .select2-selection__choice, .dokan-reports-content .dokan-reports-area ul.chart-legend, .dokan-widget-area .widget, .woocommerce #reviews #comments ol.commentlist li .comment-text, .dokan-single-store #store-toc-wrapper, .bp-user.sales .dashboard-widget.big-counter,
					.dokan-single-store .profile-frame .profile-info-box .profile-info-summery-wrapper .profile-info-summery .profile-info .dokan-store-info .dokan-store-open-close .store-open-close-notice #vendor-store-times,
    				.dokan-single-store .profile-frame .profile-info-box .profile-info-summery-wrapper .profile-info-summery .profile-info .dokan-store-info .dokan-store-open-close .store-open-close-notice:hover span.fa-angle-down:after {';
				echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '#dokan-store-listing-filter-wrap .right .toggle-view .active {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu.dokan-dashboard-menu li.active,
					.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu li.active,
					.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu li.dokan-common-links a:hover,
					.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu.dokan-dashboard-menu li:hover,
					.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu.dokan-dashboard-menu li.dokan-common-links a:hover,
					.open .dropdown-togglea.dokan-btn-theme.dokan-btn-theme,
					.open .dropdown-toggle.dokan-btn-theme.dokan-btn-theme,
					.select2-container--default .select2-results__option--highlighted[aria-selected],
					.wc-tabs-wrapper nav.greedy button:after, .wc-tabs-wrapper nav.greedy ul.hidden-links li a:hover,
					.dokan-table .rda-cb-select-all input.dokan-checkbox:checked ~ .rda-checkmark,
					.rda-mobile-bulk-option .rda-cb-select-all input.dokan-checkbox:checked ~ .rda-checkmark,
					.dokan-table .rda-cb-select-all input.dokan-check-all:checked ~ .rda-checkmark,
					.dokan-table .rda-cb-select-all input.dokan-check-col:checked ~ .rda-checkmark,
					.dokan-pagination-container .dokan-pagination.dokan-pagination li.active a,
					.dokan-dashboard.dokan-dashboard .dokan-dash-sidebar ul.dokan-dashboard-menu li.dokan-common-links.dokan-clearfix a.tips.active {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.open .dropdown-togglea.dokan-btn-theme.dokan-btn-theme,
					.open .dropdown-toggle.dokan-btn-theme.dokan-btn-theme,
					.dokan-table .rda-cb-select-all .rda-checkmark,
					.rda-mobile-bulk-option .rda-cb-select-all .rda-checkmark,
					.dokan-pagination-container .dokan-pagination.dokan-pagination li.active a {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';
			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo 'input[type="submit"].dokan-btn-theme,
				 	a.dokan-btn-theme,
				  	.dokan-btn-theme,
					input[type="submit"].dokan-btn,
					a.dokan-btn,
					.dokan-btn,
					.woocommerce-MyAccount-content a.dokan-btn.dokan-btn-theme.vendor-dashboard {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo 'input[type="submit"].dokan-btn-theme:hover,
					a.dokan-btn-theme:hover,
					.dokan-btn-theme:hover,
					input[type="submit"].dokan-btn-theme:focus,
					a.dokan-btn-theme:focus,
					.dokan-btn-theme:focus,
					input[type="submit"].dokan-btn-theme:active,
					a.dokan-btn-theme:active,
					.dokan-btn-theme:active, 
					input[type="submit"].dokan-btn-theme.active,
					a.dokan-btn-theme.active,
					.dokan-btn-theme.active,
					input[type="submit"].dokan-btn:hover,
					a.dokan-btn:hover, .dokan-btn:hover,
					input[type="submit"].dokan-btn:focus,
					a.dokan-btn:focus, .dokan-btn:focus,
					input[type="submit"].dokan-btn.focus,
					a.dokan-btn.focus, .dokan-btn.focus,
					.woocommerce-MyAccount-content a.dokan-btn.dokan-btn-theme.vendor-dashboard:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo 'input[type="submit"].dokan-btn-theme,
					a.dokan-btn-theme,
					.dokan-btn-theme,
					input[type="submit"].dokan-btn,
					a.dokan-btn,
					.dokan-btn,
					.woocommerce-MyAccount-content a.dokan-btn.dokan-btn-theme.vendor-dashboard {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

				// Button Border Color.
				echo 'input[type="submit"].dokan-btn-theme,
					a.dokan-btn-theme,
					.dokan-btn-theme,
					input[type="submit"].dokan-btn,
					a.dokan-btn,
					.dokan-btn,
					.woocommerce-MyAccount-content a.dokan-btn.dokan-btn-theme.vendor-dashboard {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo 'input[type="submit"].dokan-btn-theme:hover,
					a.dokan-btn-theme:hover,
					.dokan-btn-theme:hover,
					input[type="submit"].dokan-btn-theme:focus,
					a.dokan-btn-theme:focus,
					.dokan-btn-theme:focus,
					input[type="submit"].dokan-btn-theme:active,
					a.dokan-btn-theme:active,
					.dokan-btn-theme:active, 
					input[type="submit"].dokan-btn-theme.active,
					a.dokan-btn-theme.active,
					.dokan-btn-theme.active,
					input[type="submit"].dokan-btn:hover,
					a.dokan-btn:hover, .dokan-btn:hover,
					input[type="submit"].dokan-btn:focus,
					a.dokan-btn:focus, .dokan-btn:focus,
					input[type="submit"].dokan-btn.focus,
					a.dokan-btn.focus, .dokan-btn.focus,
					.woocommerce-MyAccount-content a.dokan-btn.dokan-btn-theme.vendor-dashboard:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

				// Button Border Hover Color.
				echo 'input[type="submit"].dokan-btn-theme:hover,
					a.dokan-btn-theme:hover,
					.dokan-btn-theme:hover,
					input[type="submit"].dokan-btn-theme:focus,
					a.dokan-btn-theme:focus,
					.dokan-btn-theme:focus,
					input[type="submit"].dokan-btn-theme:active,
					a.dokan-btn-theme:active,
					.dokan-btn-theme:active, 
					input[type="submit"].dokan-btn-theme.active,
					a.dokan-btn-theme.active,
					.dokan-btn-theme.active,
					input[type="submit"].dokan-btn:hover,
					a.dokan-btn:hover, .dokan-btn:hover,
					input[type="submit"].dokan-btn:focus,
					a.dokan-btn:focus, .dokan-btn:focus,
					input[type="submit"].dokan-btn.focus,
					a.dokan-btn.focus, .dokan-btn.focus,
					.woocommerce-MyAccount-content a.dokan-btn.dokan-btn-theme.vendor-dashboard:hover {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.dokan-seller-listing.rda-seller-list-view #dokan-seller-listing-wrap ul.dokan-seller-wrap li .store-wrapper, .woocommerce.widget_shopping_cart .cart_list li, .woocommerce.widget_products .product_list_widget li, .woocommerce.widget_top_rated_products .product_list_widget li, .woocommerce #reviews #comments ol.commentlist li .comment-text, .dokan-support-intro-text, .rda-pro-single-pro-list-wrapper, .dokan-dashboard .dokan-dashboard-content.dokan-dashboard-content, .dokan-panel-default, .dokan-dashboard .dokan-dashboard-content article.dashboard-content-area .dashboard-widget, .dokan-dashboard .dokan-dash-sidebar, .dokan-dashboard .dokan-dashboard-content article.dashboard-content-area .dashboard-widget.big-counter .count, .dokan-dashboard .dokan-dashboard-content article.dashboard-content-area .dashboard-widget .widget-title, .dokan-product-listing .dokan-product-listing-area .product-listing-top, .select2-container--default.select2-container--focus .select2-selection--multiple, .select2-dropdown, .dokan-edit-row .dokan-section-heading, .dokan-edit-row, .dokan-add-new-product-popup .product-container-footer, .product-edit-new-container .dokan-attribute-variation-options .dokan-product-variation-wrapper, .dokan-table > thead > tr > th, .dokan-table > thead > tr > th, .dokan-table > tbody > tr > th, .dokan-table > tfoot > tr > th, .dokan-table > thead > tr > td, .dokan-table > tbody > tr > td, .dokan-table > tfoot > tr > td, .select2-container--default .select2-selection--multiple .select2-selection__choice, .dokan-dashboard header.dokan-dashboard-header h1, .dokan-reports-content .dokan-reports-area ul.chart-legend, .dokan-reports-content .dokan-reports-area ul.chart-legend li, fieldset, .dokan-pagination-container .dokan-pagination li a, .dokan-single-store #store-toc-wrapper, .dokan-widget-area .widget {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo 'input[type="submit"].dokan-btn-theme, a.dokan-btn-theme, .dokan-btn-theme, input[type="submit"].dokan-btn, a.dokan-btn, .dokan-btn {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // Dokan Colors End.

		// LearnDash.
		if ( class_exists( 'SFWD_LMS' ) ) {
			if ( $reign_site_body_bg_color ) {

				// Body BG Color.
				echo 'body .lm-distraction-free-reading {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';

			}

			if ( $reign_site_sections_bg_color ) {

				if ( ! is_plugin_active( 'design-upgrade-pro-learndash/design-upgrade-pro-learndash.php' ) ) {
					// Sections BG Color.
					echo '.lm-course-top.lm-course-top.switch-layout-container, #lm-course-archive-data.lm-list-view .lm-course-item-wrapper, .lm-course-item-wrapper .lm-course-item, .single-sfwd-courses .lm-course-item-wrapper .lm-course-item .lm-course-content .lm-course-meta, .lm-course-pagination-section .page-numbers, .lm-course-tabs-wrapper ul.lm-coure-tabs, .lm-tab-content-wrapper .lm-tab-content.active, pre, code, .learndash-pager.learndash-pager a, #learndash_lessons #lesson_heading, #learndash_profile .learndash_profile_heading, #learndash_quizzes #quiz_heading, #learndash_lesson_topics_list div > strong, #course_list > div:nth-child(2n), .lm-distraction-free-reading .header_popup, .lm-distraction-free-reading .lm-board-popup-main .footer_popup, .learndash .learndash_topic_dots.type-dots, table#leardash_upload_assignment, .learndash_lesson_materials h4, .lm-board-popup-sidebar .lm-board-popup-course-navigation.lm-board-popup-course-navigation ul li.learnmate-current-menu-item, .learndash.learndash .learndash_topic_dots.type-dots, .learndash-wrapper .ld-profile-summary, .learndash-wrapper .ld-item-list .ld-item-list-item, .learndash-wrapper .ld-item-list .ld-item-list-item .ld-item-list-item-expanded:before, .learndash-wrapper .ld-tabs .ld-tabs-navigation, .learndash-wrapper .ld-tabs .ld-tabs-content, .learndash-wrapper .ld-breadcrumbs, .learndash-wrapper .ld-pagination .ld-pages, .learndash-wrapper .ld-file-upload, .learndash-wrapper .ld-table-list .ld-table-list-footer, .learndash-wrapper .ld-topic-status, .wpProQuiz_content .wpProQuiz_listItem, .wpProQuiz_content .wpProQuiz_addToplist, .learndash-wrapper .wpProQuiz_content .wpProQuiz_response, .learndash_content, .learndash_uploaded_assignments table tr:nth-child(2n+1), .learndash-wrapper .ld-focus .ld-focus-header, .learndash-wrapper .ld-focus .ld-focus-header .ld-brand-logo, .learndash-wrapper .ld-focus .ld-focus-sidebar, .learndash-wrapper .ld-focus .ld-focus-sidebar .ld-course-navigation .ld-lesson-item, .learndash-wrapper .ld-focus .ld-focus-sidebar .ld-course-navigation .ld-topic-list.ld-table-list:before, .learndash-wrapper .ld-course-status.ld-course-status-enrolled, .learndash-wrapper .ld-course-status.ld-course-status-not-enrolled, .learndash-course-widget-wrap {';
					echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) );
					echo '}';
				} else {
					echo '.learndash-wrapper .ld-profile-summary, .learndash-wrapper .ld-tabs .ld-tabs-navigation .ld-tab.ld-active, .learndash-wrapper .ld-tabs .ld-tabs-content {';
					echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) );
					echo '}';
				}
			}

			if ( $reign_colors_theme ) {

				if ( ! is_plugin_active( 'design-upgrade-pro-learndash/design-upgrade-pro-learndash.php' ) ) {
					// Theme Color.
					echo '.lm-course-switch-layout.switch-layout a.switch-active, .lm-course-item-wrapper .lm-course-item .lm-course-content .lm-course-meta ul.lm-review-stars.lm-filled, .lm-course-tabs-wrapper ul.lm-coure-tabs li.active a i, .lm-tab-content.lm-tab-content-description .lm-tab-course-info ul li i, .lm-learndash-quizzes ul.lm-quiz-list li i, .learndash_course_content li.lm-lesson span.lm-topics-toggle, .learndash_course_content ul.lm-topics-list li.lm-topic .topic_item .lm-topic-meta-left i, .learndash_course_content ul.lm-topics-list li.lm-topic .topic_item .lm-topic-meta-right i, .learndash_course_content ul.lm-topics-list li.lm-topic.quiz-item i, .learndash_lesson_materials ul li:before, #learndash_quizzes .quiz_list > div > h4 a:after, #course_list .learndash-course-status a:after, #learndash_back_to_lesson a, .learndash_lesson_topics_list .type-list .topic_item .topic-notcompleted span:before, .learndash_course_content  ul.lm-course-hierarchy li .lm-lesson-section-header a.notcompleted:after, .widget_reign_ld_course_categories ul li:before, .widget_sfwd-certificates-widget ul li:before, .widget_sfwd-courses-widget ul li:before, .widget_sfwd-lessons-widget ul li:before, .widget_sfwd-quiz-widget ul li:before, .widget_ldcoursenavigation .learndash_navigation_lesson_topics_list .list_arrow.collapse:before, .widget_ldcoursenavigation .learndash_navigation_lesson_topics_list .list_arrow.expand:before, .widget_ldcoursenavigation .learndash_topic_widget_list .topic_item .topic-notcompleted span:before {';
					echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
					echo '}';

					// Theme BG Color.
					echo '.lm-course-pagination-section .page-numbers.current, .lm-course-item-wrapper .lm-course-item .lm-course-content .lm-course-meta .btn-join, .lm-course-item-wrapper .lm-course-item .lm-course-content .lm-course-meta #btn-join.btn-join, div#lm-course-archive-data.lm-grid-view .lm-course-meta:before, .lm-course-tabs-wrapper ul.lm-coure-tabs li.active:before, dd.course_progress div.course_progress_blue, .lm-course-content .lm-course-progress-bar dd.course_progress div.course_progress_blue, ul.lm-author-social li a:hover, .widget_ldcoursenavigation .widget_course_return a, #uploadfile_form input[type="submit"]#uploadfile_btn, #learndash_next_prev_link a.prev-link, #learndash_next_prev_link a.next-link, #learndash_back_to_lesson a:hover, .lm-distraction-free-toggle, #learndash_profile #learndash_course_points_user_message, #ld_course_list .ld_course_grid  .btn-primary, .lm-distraction-free-reading .lm-dfr-sticky, .reign-ld-course-overview-widget .rtm-lm-course-overview-actions .overview-btn, .reign-ld-course-info .reign-ld-course-thumbnail .thumb-overlay, .learndash-wrapper .ld-focus .ld-focus-header .ld-mobile-nav span {';
					echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
					echo '}';
				}
			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.lm-course-item-wrapper a.lm-course-readmore-button {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.lm-course-item-wrapper a.lm-course-readmore-button:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.lm-course-item-wrapper a.lm-course-readmore-button {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.lm-course-item-wrapper a.lm-course-readmore-button:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				if ( ! is_plugin_active( 'design-upgrade-pro-learndash/design-upgrade-pro-learndash.php' ) ) {
					// Border Color.
					echo '.lm-course-top.switch-layout-container, .lm-course-switch-layout.switch-layout, .lm-course-switch-layout.switch-layout a:first-child, .switch-layout-container .courses-searching.courses-searching form input[type=search], .lm-course-item-wrapper .lm-course-item.lm-course-item, div#lm-course-archive-data.lm-grid-view .thumb_inactive .lm-course-content, .lm-course-item-wrapper .lm-course-item .lm-course-content .lm-course-meta.lm-course-meta > div, .lm-tab-content.lm-tab-content, .single-sfwd-courses .lm-course-item-wrapper .lm-course-item .lm-course-content .lm-course-meta, .lm-course-tabs-wrapper ul.lm-coure-tabs.lm-coure-tabs li a, .lm-course-tabs-wrapper ul.lm-coure-tabs.lm-coure-tabs, .lm-tab-content.lm-tab-content-description .lm-tab-course-content.lm-tab-course-content, .lm-tab-content.lm-tab-content-description .lm-tab-course-info.lm-tab-course-info ul li, ul.lm-author-social.lm-author-social, .site #learndash_course_content #lm-lesson-heading, .site #lm-learndash-quizzes #lm-quiz-heading, .site #learndash_course_materials li a, .learndash_course_content ul.lm-topics-list.lm-topics-list li.lm-topic, .learndash_course_content ul.lm-topics-list.lm-topics-list li.lm-topic:last-child, ul.lm-author-social.lm-author-social li a, .rating-box.rating-box, .reign-learndash-Reviews ul.wb-ld-course-commentlist.wb-ld-course-commentlist li, .lm-ld-course-item-single.lm-course-item-wrapper .lm-course-item .lm-course-content .lm-course-meta.lm-course-meta > div, .lm-board-popup-sidebar .learndash_course_content ul.lm-course-hierarchy.lm-course-hierarchy li, .lm-board-popup-sidebar .lm-quiz-list-wrap ul.lm-quiz-list.lm-quiz-list li, .lm-distraction-free-reading.lm-distraction-free-reading .lm-board-popup-course-navigation, pre, code, .site .learndash_lesson_materials, .site #learndash_lessons, .site #learndash_quizzes, .site #learndash_profile, .site #learndash_lesson_topics_list > div, body #learndash_lesson_topics_list div > strong, .site #lessons_list > div h4, .site #course_list > div h4, .site #quiz_list > div h4, .site #learndash_lesson_topics_list ul > li > span.topic_item, .site #lessons_list > div > div, .site #course_list > div > div, .site #quiz_list > div > div, .site .single-sfwd-lessons #learndash_lesson_topics_list ul > li > span.sn, .site .singular-sfwd-lessons #learndash_lesson_topics_list ul > li > span.sn, .learndash-wrapper .ld-profile-summary .ld-profile-stats .ld-profile-stat, .learndash-wrapper .ld-item-list .ld-item-list-item, .learndash-wrapper .ld-content-actions, .learndash-wrapper .ld-table-list .ld-table-list-items, .wpProQuiz_content .wpProQuiz_listItem, .learndash-wrapper .ld-quiz-actions, .learndash-wrapper .wpProQuiz_content .wpProQuiz_response, .learndash-wrapper .ld-table-list .ld-table-list-item, .learndash-wrapper .ld-table-list.ld-no-pagination, .learndash-wrapper .ld-focus .ld-focus-header, .learndash-wrapper .ld-focus .ld-focus-header .ld-progress, .learndash-wrapper .ld-focus .ld-focus-header .ld-content-action, .learndash-wrapper .ld-focus .ld-focus-sidebar .ld-course-navigation .ld-lesson-item, .learndash-wrapper .ld-focus .ld-focus-sidebar, .lm-tab-course-content-data .lm-tab-course-content.lm-tab-course-content, .lm-tab-course-content-data .lm-tab-course-info.lm-tab-course-info ul li, .learndash-wrapper .ld-tabs .ld-tabs-navigation, .learndash-wrapper .ld-tabs.ld-tabs .ld-tabs-content, .learndash-wrapper .ld-tabs.ld-tabs .ld-tabs-navigation:after, .learndash-wrapper .ld-focus .ld-focus-header .ld-user-menu, .learndash-wrapper .ld-focus .ld-focus-header .ld-content-actions {';
					echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
					echo '}';
				}
			}
			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '.lm-course-item-wrapper a.lm-course-readmore-button {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // LearnDash Colors End.

		// LifterLMS.
		if ( class_exists( 'lifterLMS' ) ) {

			if ( $reign_site_body_bg_color ) {

				// Body BG Color.
				echo '.rlla-distraction-free-reading-active .rlla-distraction-free-reading {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';
			}

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.rlla-course-top.switch-layout-container, .llms-loop-list .llms-loop-item-footer, .rlla-course-list-view .llms-loop-list .rlla-course-meta, .rlla-course-list-view .llms-loop-item, .llms-loop-list .rlla-flash, .llms-pagination ul.page-numbers li a, .llms-pagination ul.page-numbers li span, .rlla-course-tabs-wrapper ul.rlla-coure-tabs li.active a, .rlla-tab-content-wrapper .rlla-tab-content.active, .rlla-course-tabs-wrapper ul.rlla-coure-tabs li.active:after, .rlla-course-author-info-tab, .rlla-distraction-free-reading-active .rlla-distraction-free-reading .rlla-board-popup-sidebar .llms-lesson-preview.is-active, .rlla-distraction-free-reading-active .rlla-distraction-free-reading .header_popup, .rlla-distraction-free-reading-active .footer_popup, .llms-access-plan .llms-access-plan-content, .llms-access-plan .llms-access-plan-footer, .llms-access-plan.featured .llms-access-plan-footer, .llms-membership-list .llms-loop-item-content, .single-llms_quiz ul.llms-quiz-meta-info, .single-llms_quiz .llms-quiz-results .llms-quiz-results-history, .llms-quiz-ui, .single-llms_quiz .llms-quiz-results .llms-quiz-results-aside, .reign-llms-course-overview-widget .rlla-course-author-info-tab, .rlla-dashboards-tabs-top ul li a, .llms-table tbody tr:nth-child(odd) td, .llms-table tbody tr:nth-child(odd) th, .llms-table tfoot tr, .llms-notification, .redeem-voucher form, .llms-student-dashboard .orders-table thead, .llms-student-dashboard .orders-table tbody tr:nth-child(even) td, .llms-student-dashboard .orders-table tbody tr:nth-child(even) th, .llms-form-heading, code, .llms-student-dashboard .llms-sd-header nav.llms-sd-nav ul li a {';
				echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '.widget_rlla_llms_course_categories ul li:before,
					.widget_rlla_llms_course_difficulties ul li:before,
					.widget .llms-widget-syllabus .llms-lesson-complete.done i,
					.rlla-course-switch-layout.switch-layout a.switch-active,
					.rlla-tab-content.rlla-tab-content-description .rlla-tab-course-info ul li i,
					.rlla-course-tabs-wrapper ul.rlla-coure-tabs li.active a i,
					.llms-syllabus-wrapper .llms-section-title:before,
					.llms-lesson-preview .llms-lesson-link:before,
					.llms-view-order h2.order-title,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-price,
					.rlla-course-list-view .rlla-course-price.rlla-list-view-only,
					.rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-price .rlla-value,
					.llms-loop-list .rlla-course-meta .rlla-course-price .rlla-value,
					.llms-access-plan-restrictions a,
					.rlla-llms-course-info .course-meta .lm-course-paid,
					.llms-membership-list .llms-loop-item-content .llms-loop-item-footer .rlla-access-plan-price-wrapper .llms-access-plan-price,
					.llms-achievement .llms-achievement-title, .llms-certificate .llms-achievement-title,
					.rlla-llms-course-info .llms-access-plan .llms-access-plan-price .lifterlms-price,
					.rlla-llms-course-info .course-meta del,
					.rlla-llms-course-info .course-meta ins {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.llms-loop-list .rlla-course-meta:before,
					.iziModal .iziModal-header,
					.rlla-llms-course-info .rlla-llms-course-thumbnail .thumb-overlay,
					.rlla-course-tabs-wrapper ul.rlla-coure-tabs li.active:before,
					.rlla-distraction-free-reading-active .rlla-distraction-free-reading .rlla-dfr-sticky,
					.reign-llms-course-overview-widget .rtm-rlla-course-overview-actions .overview-btn,
					.reign-llms-course-overview-widget .rtm-rlla-course-overview-actions a.overview-btn,
					.llms-quiz-timer,
					.rlla-view-membership .button:hover,
					.llms_membership .llms-loop-item-footer .llms-enroll-date,
					.llms-student-dashboard .llms-sd-header nav.llms-sd-nav ul li.current a,
					.llms-pagination ul.page-numbers li .current,
					.llms-assignment-content.type--tasklist li.llms-assignment-task input[type=checkbox]:checked+.llms-task-main .llms-task-check,
					.rlla-dashboards-tabs-top ul li.active a, .rlla-dashboards-tabs-top ul li a:hover,
					.llms-student-dashboard .llms-sd-title:after,
					.llms-membership-list .llms-loop-item-content:before,
					.single-llms_membership .llms-access-plan .llms-access-plan-content:before,
					.woocommerce .woocommerce-MyAccount-content .rlla-view-membership button.button, .rlla-view-membership .button,
					ul.rlla-author-social li a:hover,
					.llms-access-plan-content .llms-access-plan-pricing,
					.llms-progress .progress-bar-complete {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.llms-student-dashboard .llms-sd-title,
					.single-llms_quiz .llms-quiz-results .llms-quiz-results-aside,
					.single-llms_quiz ul.llms-quiz-meta-info,
					.llms-quiz-timer,
					.llms-quiz-timer.color-empty,
					.rlla-view-membership .button:hover,
					.llms-assignment-content.type--tasklist li.llms-assignment-task input[type=checkbox]:checked+.llms-task-main .llms-task-check,
					.llms-assignment-content.type--tasklist li.llms-assignment-task .llms-task-check,
					.rlla-dashboards-tabs-top ul li.active a, .rlla-dashboards-tabs-top ul li a:hover,
					ul.rlla-author-social li a:hover,
					.llms-notification {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';
			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.llms-button-primary,
					.llms-loop-list a.rlla-grid-view-only,
					.rlla-course-list-view .llms-loop-list .rlla-course-readmore a.llms-loop-link,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now .btn-join,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now #btn-join.btn-join,
					.rlla-distraction-free-reading-active .footer_popup .llms-lesson-preview .llms-lesson-link {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.llms-button-primary:hover,
					.llms-loop-list a.rlla-grid-view-only:hover,
					.rlla-course-list-view .llms-loop-list .rlla-course-readmore a.llms-loop-link:hover,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now .btn-join:hover,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now #btn-join.btn-join:hover,
					.rlla-distraction-free-reading-active .footer_popup .llms-lesson-preview .llms-lesson-link:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.llms-button-primary,
					.llms-loop-list a.rlla-grid-view-only,
					.rlla-course-list-view .llms-loop-list .rlla-course-readmore a.llms-loop-link,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now .btn-join,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now #btn-join.btn-join,
					.rlla-distraction-free-reading-active .footer_popup .llms-lesson-preview .llms-lesson-link {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.llms-button-primary:hover,
					.llms-loop-list a.rlla-grid-view-only:hover,
					.rlla-course-list-view .llms-loop-list .rlla-course-readmore a.llms-loop-link:hover,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now .btn-join:hover,
					.single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now #btn-join.btn-join:hover,
					.rlla-distraction-free-reading-active .footer_popup .llms-lesson-preview .llms-lesson-link:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.switch-layout-container .courses-searching form input[type=search], .llms-loop-list .rlla-course-thumbnail, .llms-loop-list .llms-loop-item-footer, .rlla-tab-content, .rlla-course-tabs-wrapper ul.rlla-coure-tabs li a, .rlla-course-tabs-wrapper ul.rlla-coure-tabs, .rlla-tab-content.rlla-tab-content-description .rlla-tab-course-info ul li, .rlla-tab-content.rlla-tab-content-description .rlla-tab-course-content, .llms-syllabus-wrapper .rlla-syllabus-section-wrapper, .rlla-course-author-info-tab, .rating-box, ul.rlla-llms-course-commentlist li, .rlla-distraction-free-reading .llms-course-navigation, .rlla-distraction-free-reading-active .llms-syllabus-wrapper .rlla-syllabus-section-wrapper, .rlla-distraction-free-reading-active .rlla-distraction-free-reading .rlla-board-popup-sidebar .llms-lesson-preview, .rlla-distraction-free-reading-active .rlla-board-popup-course-navigation, .single-llms_quiz .llms-quiz-results .llms-quiz-results-history, .llms-question-wrapper ol.llms-question-choices li.llms-choice, .single-llms_quiz .llms-quiz-attempt-results .llms-quiz-attempt-question, #rlla-distraction-free-reading .rlla-board-popup-main .select2-container--default .select2-selection--single, .llms-assignment-content.type--tasklist li.llms-assignment-task:first-child, .llms-assignment-content.type--tasklist li.llms-assignment-task, .llms-assignment-content.type--tasklist ol.llms-assignment-tasklist, .llms-membership-list .llms-loop-item-content, .llms-student-dashboard .llms-sd-header .slick-list, .llms-student-dashboard .llms-sd-header nav.llms-sd-nav ul li a, .rlla-dashboards-tabs-top ul li a, code, .llms-course-navigation, .llms-access-plan .llms-access-plan-content, .llms-access-plan-description ul li, .llms-access-plan.featured .llms-access-plan-footer, .llms-access-plan.featured .llms-access-plan-content, .llms-access-plan .llms-access-plan-footer, .llms-access-plan.featured .llms-access-plan-footer, .llms-access-plan .llms-access-plan-content .llms-access-plan-title, ul.rlla-author-social li a, .llms-table, .llms-table th, .llms-table td, .llms-sd-notification-center .llms-notification, .redeem-voucher form, .llms-student-dashboard .orders-table th, .llms-student-dashboard .orders-table td, .llms-student-dashboard .orders-table, .llms-login, .llms-new-person-form, .llms-new-person-form-wrapper h4, .llms-form-heading, .rlla-course-list-view .llms-loop-list .rlla-course-meta > div, .rlla-ld-course-item-single .rlla-course-list-view .llms-loop-list .rlla-course-meta > div, .rlla-course-top.switch-layout-container, .rlla-course-switch-layout.switch-layout, .rlla-course-switch-layout.switch-layout a:first-child, .rlla-course-list-view .llms-loop-item-content {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '.llms-button-primary, .llms-loop-list a.rlla-grid-view-only, .rlla-course-list-view .llms-loop-list .rlla-course-readmore a.llms-loop-link, .single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now .btn-join, .single-course .rlla-course-list-view .llms-loop-list .rlla-course-meta .rlla-course-buy-now #btn-join.btn-join, .rlla-distraction-free-reading-active .footer_popup .llms-lesson-preview .llms-lesson-link {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // LifterLMS Colors End.

		// Easy Digital Downloads.
		if ( class_exists( 'Easy_Digital_Downloads' ) ) {

			if ( $reign_site_body_bg_color ) {

				// Body BG Color.
				echo '.edd-rvi-wrapper-single, .edd-rvi-wrapper-checkout, #edd-rp-single-wrapper, #edd-rp-checkout-wrapper, .edd-sd-share, #isa-related-downloads, .edd_review, .edd-reviews-form-inner {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '.widget_edd_categories_tags_widget ul li:before,
					.widget_edd_cart_widget ul li:before,
					.fes-vendor-menu ul li.active a,
					.fes-vendor-menu .edd-tabs li.active a,
					.fes-vendor-menu .edd-tabs li.active .icon,
					.fes-vendor-menu .edd-tabs li:hover a,
					.fes-vendor-menu .edd-tabs li:hover .icon {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.widget_edd_cart_widget p.edd-cart-number-of-items span.edd-cart-quantity,
					.single-download .type-download input[type="radio"]:checked + label span:before,
					.single-download .type-download .edd_price_options label:before,
					.edd_price_options label:before,
					.fes-vendor-menu ul li.active a:after,
					.fes-vendor-menu ul li a:hover:after,
					#component #edd_user_history th,
					.fes-table th,
					.edd-table th,
					#edd_user_history th, 
					.fes-vendor-dashboard table th {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.single-download .type-download .edd_price_options input[type="radio"] + label span:after,
					.single-download .type-download .edd_price_options label:after,
					.edd_price_options input[type="radio"] + label span:after,
					.edd_price_options label:after,
					.edd_pagination span.current {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.edd-submit.button,
					.edd-submit.button.gray,
					.edd-submit.button:visited,
					div.fes-form.fes-form .fes-submit input[type=submit] {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.edd-submit.button:hover,
					.edd-submit.button.gray:hover,
					.edd-submit.button:visited:hover,
					div.fes-form.fes-form .fes-submit input[type=submit]:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.edd-submit.button,
					.edd-submit.button.gray,
					.edd-submit.button:visited,
					div.fes-form.fes-form .fes-submit input[type=submit] {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.edd-submit.button:hover,
					.edd-submit.button.gray:hover,
					.edd-submit.button:visited:hover,
					div.fes-form.fes-form .fes-submit input[type=submit]:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.edd_pagination a,
					.edd_pagination span,
					.edd-rvi-wrapper-single,
					.edd-rvi-wrapper-checkout,
					#edd-rp-single-wrapper,
					#edd-rp-checkout-wrapper,
					.edd-sd-share,
					#isa-related-downloads,
					.edd_review,
					.edd-reviews-form-inner,
					#edd_checkout_form_wrap fieldset,
					#edd_checkout_cart td,
					#edd_checkout_cart th,
					.entry-content ul.edd-cart,
					.entry-content ul#edd_discounts_list,
					.entry-content ul.edd-cart > li,
					.entry-content ul#edd_discounts_list > li,
					.edd-wish-list li,
					.edd-wl-create,
					.edd-wl-wish-lists,
					#edd_user_history td,
					#edd_user_history, 
					#edd_user_history th,
					.fes-table,
					.edd-table, 
					.fes-vendor-dashboard table,
					.fes-table, 
					.edd-table,
					.fes-vendor-dashboard table,
					.fes-table th,
					.edd-table th, 
					.fes-vendor-dashboard table th,
					.edd_form fieldset,
					.fes-form fieldset,
					.fes-vendor-menu ul li.fes-vendor-menu-tab + li.fes-vendor-menu-tab {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '.edd-submit.button, .edd-submit.button.gray, .edd-submit.button:visited, div.fes-form.fes-form .fes-submit input[type=submit] {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // Easy Digital Downloads Colors End.

		// WCFM.
		if ( class_exists( 'WCFM' ) ) {

			if ( $reign_site_body_bg_color ) {

				// Body BG Color.
				echo '#wcfm-main-contentainer .wcfm-collapse {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';

				echo 'body.wcfm-dashboard-page, #cboxLoadedContent {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) . '!important' );
				echo '}';

			}

			if ( $reign_site_headings_color ) {

				// Headings Color.
				echo '#wcfmmp-store .sidebar_heading h4, #wcfmmp-store .reviews_heading, #wcfmmp-store h2, #wcfmmp-store .user_name {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_headings_color ) . '!important' );
				echo '}';

			}

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.leaflet-bar a, .leaflet-bar a:hover, #wcfmmp-stores-wrap ul.wcfmmp-store-wrap li .store-wrapper, #wcfmmp-store .tab_area .tab_links, #wcfmmp-store .reviews_area, #wcfmmp-store .policies_area, #wcfmmp-store .wcfm_store_description, .wcfm_dashboard_stats_block, .wcfm-collapse .wcfm-container, #wcfm-main-contentainer div.wcfm-content, .wcfm_welcomebox_header, #wcfm-main-contentainer table thead td, #wcfm-main-contentainer table thead th, #wcfm-main-contentainer table tfoot td, #wcfm-main-contentainer table tfoot th, #wcfm-main-contentainer table tbody td, #wcfm-main-contentainer table.dataTable.display tbody tr.odd td, .wcfm-action-icon, ul.product_taxonomy_checklist, .wcfm-tabWrap, .wp-core-ui .button, .wp-core-ui .button-secondary, .postbox, .woocommerce-reports-wide .postbox .chart-container, .woocommerce-reports-wrap .postbox .chart-container, .woocommerce-reports-wide .postbox div.stats_range ul, .woocommerce-reports-wide .postbox h3.stats_range ul, .woocommerce-reports-wrap .postbox div.stats_range ul, .woocommerce-reports-wrap .postbox h3.stats_range ul, .woocommerce-reports-wide .postbox div.stats_range ul li.active, .woocommerce-reports-wide .postbox h3.stats_range ul li.active, .woocommerce-reports-wrap .postbox div.stats_range ul li.active, .woocommerce-reports-wrap .postbox h3.stats_range ul li.active, .woocommerce-reports-wide .postbox .chart-legend, .woocommerce-reports-wrap .postbox .chart-legend, .wcfm-membership-wrapper, ul.article_taxonomy_checklist {';
				echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

				echo '#wcfmmp-store .left_sidebar, #wcfmmp-stores-lists .left_sidebar, input[type="text"].wcfm-text, select.wcfm-select, input[type="number"].wcfm-text, .wp-picker-container {';
				echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) . '!important' );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo 'ul.wcfm_products_menus li a.active {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_site_link_hover_color ) {

				// Links Hover Color.
				echo 'div.wcfm-content ul li a,
					.wcfm-membership-wrapper .wc-progress-steps li.done,
					.wcfm-membership-wrapper .wc-progress-steps li.active {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.wcfm-membership-wrapper, #wcfmmp-store, #wcfmmp-store .tab_area .tab_links, #wcfmmp-store .tab_area .tab_links li, .wcfmmp-store-search-form, #wcfmmp-stores-wrap ul.wcfmmp-store-wrap li .store-wrapper, #wcfmmp-store .review_section, #wcfmmp-store .reviews_heading, #wcfmmp-store .wcfm_policies_heading, #wcfmmp-stores-lists .left_sidebar, #wcfmmp-stores-wrap ul.wcfmmp-store-wrap li .store-footer, #wcfmmp-store .tab_area .tab_links, #wcfmmp-store .reviews_area, #wcfmmp-store .policies_area, #wcfmmp-store .wcfm_store_description, #wcfmmp-store .left_sidebar, #wcfm-content, .page_collapsible, .wcfm-collapse a.page_collapsible_dummy, #wcfm_dashboard_wc_status_expander ul li, .wcfm_dashboard_latest_topic, .wcfm_dashboard_notification, .wcfm_dashboard_enquiry, ul.article_taxonomy_checklist {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

				echo '#wcfm-main-contentainer .dataTables_wrapper .dataTables_filter input {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) . '!important' );
				echo '}';

			}

			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo ' {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // WCFM Colors End.

		// WC Vendors.
		if ( class_exists( 'WC_Vendors' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.wcv_vendorslist .vendor-inner-list-wrap, .wcv_vendorslist .vendor-inner-list-wrap .vendor-products .product_count_in_member, table.wcvendors-table, table.table-vendor-sales-report, table.wcvendors-table tbody > tr:nth-child(odd) > td, table.table-vendor-sales-report tbody > tr:nth-child(odd) > td, .wcv-main-content, form#wcv-product-edit, #wcv-store-settings,
					.wcv-form input[type=color], .wcv-form input[type=date], .wcv-form input[type=datetime-local], .wcv-form input[type=datetime], .wcv-form input[type=email], .wcv-form input[type=month], .wcv-form input[type=number], .wcv-form input[type=password], .wcv-form input[type=search], .wcv-form input[type=tel], .wcv-form input[type=text], .wcv-form input[type=time], .wcv-form input[type=url], .wcv-form input[type=week], .wcv-form select, .wcv-form textarea,
					#pv_seller_info_container, #pv_shop_description_container, .pv_paypal_container, .pv_shop_name_container, #content form .pv_paypal_container ~ table, form .pv_paypal_container ~ table, .wcvendors-pro-dashboard-wrapper .wcv_dashboard_datepicker, .wcvendors-pro-dashboard-wrapper .wcv_dashboard_overview, .wcvendors-pro-dashboard-wrapper .wcv_reports, .wcvendors-pro-dashboard-wrapper .wcv_recent, .wcvendors-pro-dashboard-wrapper #wcv-shop_coupon-edit {';
				echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo 'nav.wcv-dashboard-navigation ul li a:hover, nav.wcv-navigation ul.menu.horizontal li.active a, nav.wcv-navigation ul.menu.horizontal li a:hover, .wcv-grid table .row-actions a:hover, .wcv-tabs.wcv-tabs .tabs-nav li.active a, .wcv-grid.wcv-grid a:hover, .wcv-vendor-list-filter.wcv-vendor-list-filter .wcv-vendor-list-switch .wcv-vendor-list-switch-item.active {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.wcvendors-pro-dashboard-wrapper a.button, .wcv-grid .wcv-media-uploader-gallery > a, .wcv-grid a.wcv-media-uploader-featured-add, a.wcv-file-uploader-add_wcv_store_banner_id, a.wcv-file-uploader-add_wcv_store_icon_id, a.wcv-file-uploader-delete_wcv_store_banner_id, a.wcv-file-uploader-delete_wcv_store_icon_id, nav.wcv-navigation ul.menu.vertical li.active, nav.wcv-navigation ul.menu.vertical li a:hover {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.row-actions-order a:hover, nav.wcv-navigation ul.menu.horizontal li.active a, nav.wcv-navigation ul.menu.horizontal li a:hover, nav.wcv-navigation ul.menu.horizontal li a:focus {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';
			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.wcv_vendorslist .vendor_list.reign_wc_vendors_list .vendors_list--shop-link {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.wcv_vendorslist .vendor_list.reign_wc_vendors_list .vendors_list--shop-link:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.wcv_vendorslist .vendor_list.reign_wc_vendors_list .vendors_list--shop-link {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.wcv_vendorslist .vendor_list.reign_wc_vendors_list .vendors_list--shop-link:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.wcv_vendorslist .vendor-inner-list-wrap, .wcv_vendorslist .vendor-inner-list-wrap .vendor-products .vendor_product, .wcv-main-content, .wcvendors-pro-dashboard-wrapper table.wcv-table tr td, .wcvendors-pro-dashboard-wrapper table.wcv-table tr th, form#wcv-product-edit, #wcv-store-settings,
					.wcv-form input[type=color], .wcv-form input[type=date], .wcv-form input[type=datetime-local], .wcv-form input[type=datetime], .wcv-form input[type=email], .wcv-form input[type=month], .wcv-form input[type=number], .wcv-form input[type=password], .wcv-form input[type=search], .wcv-form input[type=tel], .wcv-form input[type=text], .wcv-form input[type=time], .wcv-form input[type=url], .wcv-form input[type=week], .wcv-form select, .wcv-form textarea,
					nav.wcv-dashboard-navigation ul, .wcvendors-pro-dashboard-wrapper .wcv_dashboard_datepicker, .wcvendors-pro-dashboard-wrapper .wcv_dashboard_overview, .wcvendors-pro-dashboard-wrapper .wcv_reports, .wcvendors-pro-dashboard-wrapper .wcv_recent, .wcvendors-pro-dashboard-wrapper #wcv-shop_coupon-edit, nav.wcv-navigation ul.menu.horizontal.black {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
		}

		// TutorLMS.
		if ( class_exists( 'Tutor' ) ) {

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.tutor-course-loop, .tutor-loop-course-footer, .tutor-single-course-lead-info, .tutor-course-content-wrap, .tutor-course-benefits-wrap, .tutor-single-course-meta.tutor-lead-meta, .course-enrolled-nav-wrap, .tutor-course-topics-contents .tutor-course-topic, .tutor-course-topics-contents .tutor-course-topic, .tutor-course-lesson, .single-instructor-wrap, .single-instructor-wrap .single-instructor-top, .tutor-course-reviews-wrap, .tutor-review-individual-item, .tutor-single-course-sidebar .tutor-single-course-segment:not(.tutor-course-material-includes-wrap):not(.tutor-course-enrolled-wrap), .tutor-lead-info-btn-group, .tutor-course-enrolled-wrap, .tutor-dashboard-header, .tutor-dashboard-permalinks, .tutor-dashboard-inline-links ul, .tutor-dashboard-content-inner .tutor-mycourse-wrap, .tutor-dashboard-single-review, .tutor-dashboard-review-heading, .tutor-dashboard-info-table-wrap>h3, .tutor-dashboard-info-table thead tr, .tutor-dashboard-info-table tbody tr, .tutor-frontend-dashboard-withdrawal .withdraw-page-current-balance, .tutor-course-filter-wrapper>div:last-child select[name=tutor_course_filter], .tutor-course-filter-wrapper>div:first-child .tutor-course-search-field {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
		} // TutorLMS Colors End.

		// GeoDirectory.
		if ( class_exists( 'GeoDirectory' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.geodir-loc-bar-in, .geodir-pagination ul.page-numbers li, .geodir-tabs dl.geodir-tab-head dd.geodir-tab-active a, .geodir-tabs dl.geodir-tab-head dd a, #reviewsTab .geodir-comments-area .commentlist .children li, #reviewsTab .geodir-comments-area .commentlist .comment-respond, .geodir-categories-container ul li, form#geodirectory-add-post, .bsui .card {';
				echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo 'nav.geodir-pagination span.page-numbers.current, .bsui .page-link:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.geodir-tabs dl.geodir-tab-head dd:after, .geodir-tabs dl.geodir-tab-head dd:hover:after {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.geodir-tabs dl.geodir-tab-head dd.geodir-tab-active a {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';
			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.bsui .btn-primary,
					.bsui .btn-outline-primary {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.bsui .btn-primary:hover,
					.bsui .btn-outline-primary:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.bsui .btn-primary,
					.bsui .btn-outline-primary {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.bsui .btn-primary:hover,
					.bsui .btn-outline-primary:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.geodir-pagination ul.page-numbers li, .geodir-pagination ul.page-numbers li:last-child {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}

			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '.bsui .btn-primary, .bsui .btn-outline-primary {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // GeoDirectory Colors End.

		// WP_Job_Manager.
		if ( class_exists( 'WP_Job_Manager' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.job_filters .job_types, .job_listings .rp4wp-related-job_listing > ul li.job_listing, .job_listings .rp4wp-related-job_listing > ul li.no_job_listings_found, .job_listings .rp4wp-related-job_listing > ul li.job_listing, .job_listings .rp4wp-related-job_listing > ul li.no_job_listings_found, .job_listings .rp4wp-related-job_listing > ul li.job_listing, .job_listings .rp4wp-related-job_listing > ul li.no_job_listings_found, .job_listings .rp4wp-related-job_listing > ul li.job_listing, .job_listings .rp4wp-related-job_listing > ul li.no_job_listings_found, .job_listings ul.job_listings li.job_listing, .job_listings ul.job_listings li.no_job_listings_found, .job_listings ul.job_listings li.job_listing, .job_listings ul.job_listings li.no_job_listings_found, .job_listings ul.job_listings li.job_listing, .job_listings ul.job_listings li.no_job_listings_found, .job_listings ul.job_listings li.job_listing, .job_listings ul.job_listings li.no_job_listings_found, .widget-area .widget ul.job_listings li.job_listing, form#submit-job-form, form#submit-resume-form, .job-manager-form:not(.wp-job-manager-bookmarks-form), form#submit-job-form .field.account-sign-in, form#submit-resume-form .field.account-sign-in, .job-manager-form:not(.wp-job-manager-bookmarks-form) .field.account-sign-in, .select2-container--default .select2-selection--multiple .select2-selection__choice, ul.resumes.resumes li.no_resumes_found, ul.resumes.resumes li.resume, .widget-area .widget ul.resumes li.resume, div.job_listings ul.job_listings.job-list-grid-view li.job_listing, .job_listings ul.job_listings.job-list-card-view li.job_listing, .resumes ul.resumes.resume-list-grid-view li.resume, .resumes ul.resumes.resume-list-card-view li.resume, table.job-manager-jobs tbody, table.resume-manager-resumes tbody, table.job-manager-bookmarks tbody, table.job-manager-past-applications tbody, #resume-manager-candidate-dashboard table.resume-manager-resumes tfoot td, #resume-manager-candidate-dashboard p, #job-manager-job-dashboard p, #job-manager-alerts p, .company-letters a, ul.companies-overview li.company-group, #job-manager-alerts table.job-manager-alerts tfoot td, table.job-manager-alerts tbody {';
				echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '.rda-store-switch-layout a.switch-active, .single-job-listing-overview__detail--icon {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo 'form.job_filters .search_jobs, div.job_listings .load_more_jobs, div.job_listings .load_more_jobs:hover, div.job_listings .load_more_jobs:focus, table.job-manager-jobs thead, form.resume_filters .search_resumes, div.resumes .load_more_resumes, div.resumes .load_more_resumes:hover, div.resumes .load_more_resumes:focus, #resume-manager-candidate-dashboard table.resume-manager-resumes thead, #resume-manager-candidate-dashboard table.resume-manager-resumes tfoot td a, body.single-resume .resume-manager-education h3:before, body.single-resume .resume-manager-experience h3:before, #job-manager-alerts table.job-manager-alerts thead, #job-manager-alerts table.job-manager-alerts tfoot td a, ul.companies-overview .company-letter, table.job-manager-past-applications tbody tr:first-child, table.job-manager-past-applications tbody tr:hover:first-child, .job_filters .job_types li label.jobmate-checkbox-container input:checked ~ span.jobmate-checkmark, .jm-listing-tabs.elementor-tabs-view-horizontal.elementor-widget-tabs .elementor-tabs-wrapper .elementor-tab-desktop-title.elementor-active, #job-manager-bookmarks table.job-manager-bookmarks thead {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.single-job_listing .single_job_listing .company a:hover:before, .single-resume .single-resume-content .resume-aside.resume-aside .resume-links a:hover:before, .company-letters a:hover {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';
			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.job_filters .job_types, .job_filters .job_types li, .job_listings .rp4wp-related-job_listing > ul li.job_listing, .job_listings .rp4wp-related-job_listing > ul li.no_job_listings_found, .job_listings .rp4wp-related-job_listing > ul li.job_listing, .job_listings .rp4wp-related-job_listing > ul li.no_job_listings_found, .job_listings .rp4wp-related-job_listing > ul li.job_listing, .job_listings .rp4wp-related-job_listing > ul li.no_job_listings_found, .job_listings .rp4wp-related-job_listing > ul li.job_listing, .job_listings .rp4wp-related-job_listing > ul li.no_job_listings_found, .job_listings ul.job_listings li.job_listing, .job_listings ul.job_listings li.no_job_listings_found, .job_listings ul.job_listings li.job_listing, .job_listings ul.job_listings li.no_job_listings_found, .job_listings ul.job_listings li.job_listing, .job_listings ul.job_listings li.no_job_listings_found, .job_listings ul.job_listings li.job_listing, .job_listings ul.job_listings li.no_job_listings_found, .widget-area .widget ul.job_listings li.job_listing, .widget-area .widget ul.resumes li.resume, .job-manager-application-wrapper .application .application_details, .single_job_listing .application .application_details, .job-manager-form fieldset, .single_job_listing .company .company_video, form#submit-job-form .field.account-sign-in, form#submit-resume-form .field.account-sign-in, .job-manager-form:not(.wp-job-manager-bookmarks-form) .field.account-sign-in, .select2-container--default .select2-selection--multiple .select2-selection__choice, ul.resumes.resumes li.no_resumes_found, ul.resumes.resumes li.resume, div.job_listings ul.job_listings.job-list-grid-view li.job_listing, .job_listings ul.job_listings.job-list-card-view li.job_listing, .resumes ul.resumes.resume-list-grid-view li.resume, .resumes ul.resumes.resume-list-card-view li.resume, .single-resume .resume-aside .candidate-video, body.single-resume .resume-manager-education dd, body.single-resume .resume-manager-education dt, body.single-resume .resume-manager-experience dd, body.single-resume .resume-manager-experience dt, body.single-resume .resume-manager-education, body.single-resume .resume-manager-experience, .site .wp-job-manager-bookmarks-form, #job-manager-job-dashboard table.job-manager-jobs, #job-manager-job-dashboard p, #resume-manager-candidate-dashboard p, #resume-manager-candidate-dashboard table.resume-manager-resumes, #resume-manager-candidate-dashboard table.resume-manager-resumes tfoot td, .company-letters a, ul.companies-overview li.company-group, ul.companies-overview li.company-name:first-child, ul.companies-overview li.company-name, #job-manager-bookmarks table.job-manager-bookmarks, table.job-manager-past-applications, #job-manager-alerts table.job-manager-alerts, #job-manager-alerts table.job-manager-alerts tfoot td {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
		} // WP_Job_Manager Colors End.

		// Sensei LMS.
		if ( class_exists( 'Sensei_Main' ) ) {

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '#user-course-status-toggle a.active, .sensei-course-filters li a.active, .widget.widget_sensei_course_categories ul li::before, .widget.widget_sensei_course_component ul li::before, .widget.widget_sensei_category_courses ul li::before, .widget.widget_sensei_lesson_component ul li::before, .widget_sensei_course_progress ul.course-progress-navigation li a:hover, .widget_sensei_course_progress .course-progress-lessons .course-progress-lesson.current span {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.course #commentform #submit, .course-container #commentform #submit, .course-container .submit, .course-container a.button, .course-container a.button:visited, .course-container a.comment-reply-link, .course-container button.button, .course-container input.button, .course-container input[type=submit], .course .submit, .course a.button, .course a.button:visited, .course a.comment-reply-link, .course button.button, .course input.button, .course input[type=submit], .lesson #commentform #submit, .lesson .submit, .lesson a.button, .lesson a.button:visited, .lesson a.comment-reply-link, .lesson button.button, .lesson input.button, .lesson input[type=submit], .quiz #commentform #submit, .quiz .submit, .quiz a.button, .quiz a.button:visited, .quiz a.comment-reply-link, .quiz button.button, .quiz input.button, .quiz input[type=submit], .sensei-pagination .page-numbers li span.current, #my-courses.ui-tabs .ui-tabs-nav li.ui-state-active a {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.sensei-course-filters li a.active, a.my-messages-link:hover, .sensei-pagination .page-numbers li span.current {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';
			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.course-container li.course, #user-course-status-toggle a, section.lesson-container article.lesson, .single-lesson article article.lesson, .course-results article.blog article.course-results, .course-results article article.course-results, .course-results-lessons h3, .single-quiz section.entry.quiz-questions, .quiz .question-title span.grade, .single-course .entry-content article.course, .course .module header, .course .module .module-lessons ul li a, .course .module .module-lessons ul li a:hover. #learner-info form.certificates_user_meta. div#learner-info {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
		} // Sensei LMS Colors End.

		// PeepSo Multivendor.
		if ( is_plugin_active( 'peepso-multivendor/peepso-multivendor.php' ) ) {

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.peepso .wbpm-peepo-multivendor-wrapper .woocommerce .products .button {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) . '!important' );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.peepso .wbpm-peepo-multivendor-wrapper .woocommerce .products .button:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) . '!important' );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.peepso .wbpm-peepo-multivendor-wrapper .woocommerce .products .button {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) . '!important' );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.peepso .wbpm-peepo-multivendor-wrapper .woocommerce .products .button:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) . '!important' );
				echo '}';

			}

			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '.peepso .wbpm-peepo-multivendor-wrapper .woocommerce .products .button {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // PeepSo Multivendor Colors End.

		// The Events Calendar.
		if ( class_exists( 'Tribe__Events__Main' ) ) {

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '.tribe-common.tribe-common .tribe-common-c-svgicon,
					.tribe-common--breakpoint-medium.tribe-events.tribe-events .tribe-events-calendar-list__event-datetime-featured-text,
					.tribe-events-pro.tribe-events-pro .tribe-events-pro-photo__event-datetime-featured-text,
					.tribe-common--breakpoint-medium.tribe-events-pro.tribe-events-pro .tribe-events-pro-map__event-datetime-featured-text,
					.tribe-common--breakpoint-medium.tribe-events.tribe-events .tribe-events-calendar-day__event-datetime-featured-text,
					.tribe-common.tribe-events.tribe-events .tribe-events-calendar-list__event-date-tag-daynum,
					.tribe-common.tribe-events.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
					.tribe-common.tribe-events span.tribe-events-pro-photo__event-date-tag-month,
					.tribe-common.tribe-events .tribe-events-pro-photo__event-date-tag-daynum,
					.site-content .tribe-events .tribe-events-c-nav__next:focus,
					.site-content .tribe-events .tribe-events-c-nav__next:hover,
					.site-content .tribe-events .tribe-events-c-nav__prev:focus,
					.site-content .tribe-events .tribe-events-c-nav__prev:hover,
					.site-content .tribe-events .tribe-events-c-ical__link,
					.tribe-events.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date,
					.tribe-events.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link,
					.tribe-events.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date,
					.tribe-events.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link, .tribe-events.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link:focus, .tribe-events.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link:hover, .tribe-events.tribe-events .tribe-events-calendar-month__day-date-link:focus, .tribe-events.tribe-events .tribe-events-calendar-month__day-date-link:hover,
					#tribe_events_filters_wrapper.tribe-events-filters-horizontal .tribe_events_filter_control button:hover,
					.tribe-events-pro.tribe-events-pro .tribe-events-pro-week-grid__header-column--current .tribe-events-pro-week-grid__header-column-daynum,
					.tribe-events-pro.tribe-events-pro .tribe-events-pro-week-grid__header-column--current .tribe-events-pro-week-grid__header-column-daynum-link,
					.tribe-events-pro.tribe-events-pro .tribe-events-pro-week-grid__header-column--current .tribe-events-pro-week-grid__header-column-daynum-link:focus,
					.tribe-events-pro.tribe-events-pro .tribe-events-pro-week-grid__header-column--current .tribe-events-pro-week-grid__header-column-daynum-link:hover,
					.tribe-events.tribe-events .tribe-events-c-nav__today:focus,
					.tribe-events.tribe-events .tribe-events-c-nav__today:hover,
					.tribe-common.tribe-common .tribe-common-cta--thin-alt:active,
					.tribe-common.tribe-common .tribe-common-cta--thin-alt:focus,
					.tribe-common.tribe-common .tribe-common-cta--thin-alt:hover,
					.single-tribe_events .rg-event-heading .tribe-event-schedule-short .rg-schedule-short-m,
					.single-tribe_events .rg-event-heading .tribe-event-schedule-short .rg-schedule-short-d {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.tribe-events .datepicker .day.active, .tribe-events .datepicker .day.active.focused, .site-content .tribe-events .datepicker .day.active, .site-content .tribe-events .datepicker .month.active, .site-content .tribe-events .datepicker .year.active, .tribe-events .datepicker .month.active.focused, .tribe-events .datepicker .month.active:focus, .tribe-events .datepicker .month.active:hover, .tribe-events .datepicker .year.active, .tribe-events .datepicker .year.active.focused, .tribe-events .datepicker .year.active:focus, .tribe-events .datepicker .year.active:hover,
					.site-content .tribe-events .tribe-events-c-ical__link:active, .site-content .tribe-events .tribe-events-c-ical__link:focus, .site-content .tribe-events .tribe-events-c-ical__link:hover,
					.tribe-events.tribe-events .tribe-events-calendar-month__mobile-events-icon--event {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.tribe-common.tribe-events.tribe-events .tribe-events-calendar-list__event-date-tag, .site-content .tribe-common .tribe-common-anchor-thin:active, .site-content .tribe-common .tribe-common-anchor-thin:focus, .site-content .tribe-common .tribe-common-anchor-thin:hover, .site-content .tribe-events .tribe-events-c-ical__link, .tribe-events-pro .tribe-events-pro-week-day-selector__day--active,
					.tribe-common.tribe-common .tribe-common-cta--thin-alt:active,
					.tribe-common.tribe-common .tribe-common-cta--thin-alt:focus,
					.tribe-common.tribe-common .tribe-common-cta--thin-alt:hover,
					.tribe-common.tribe-common .tribe-common-cta--thin-alt,
					.tribe-events-pro.tribe-events-pro .tribe-events-pro-photo__event-date-tag-datetime,
					.tribe-events-pro.tribe-events-pro .tribe-events-pro-map__event-card-wrapper--active .tribe-events-pro-map__event-card-button, .single-tribe_events .rg-event-heading .tribe-event-schedule-short .rg-schedule-short-date {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_site_link_hover_color ) {

				// Links Hover Color.
				echo '.site-content .tribe-common a:active,
					.site-content .tribe-common a:focus,
					.site-content .tribe-common a:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.site-content .tribe-common .tribe-common-c-btn,
					.site-content .tribe-common a.tribe-common-c-btn,
					body #tribe-events .tribe-events-button.tribe-events-button,
					body .tribe-events-button.tribe-events-button {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.site-content .tribe-common .tribe-common-c-btn:hover,
					.site-content .tribe-common a.tribe-common-c-btn:hover,
					body #tribe-events .tribe-events-button.tribe-events-button:hover,
					body .tribe-events-button.tribe-events-button:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.site-content .tribe-common .tribe-common-c-btn,
					.site-content .tribe-common a.tribe-common-c-btn,
					body #tribe-events .tribe-events-button.tribe-events-button,
					body .tribe-events-button.tribe-events-button {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.site-content .tribe-common .tribe-common-c-btn:hover, 
					.site-content .tribe-common a.tribe-common-c-btn:hover,
					body #tribe-events .tribe-events-button.tribe-events-button:hover,
					body .tribe-events-button.tribe-events-button:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '.site-content .tribe-common .tribe-common-c-btn, .site-content .tribe-common a.tribe-common-c-btn, body #tribe-events .tribe-events-button.tribe-events-button, body .tribe-events-button.tribe-events-button {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // The Events Calendar Colors End.

		// WP Event Manager.
		if ( class_exists( 'WP_Event_Manager' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.wpem-main-vmenu-dashboard-nav .wpem-main-vmenu-dashboard-ul .wpem-main-vmenu-dashboard-li .wpem-main-vmenu-dashboard-link, table.wpem-responsive-table-wrapper tbody tr, table.wpem-responsive-table-wrapper tbody tr:nth-child(even), .wpem-main-vmenu-dashboard-content-wrap .wpem-dashboard-main-content .wpem-dashboard-main-header .wpem-events-filter, .chosen-container .chosen-drop, .wpem-event-listings .wpem-event-layout-wrapper, .wpem-event-listings.wpem-event-listing-box-view .wpem-event-layout-wrapper:hover, .wpem-form-wrapper .showing_applied_filters, .wpem-event-listings .wpem-event-layout-wrapper:hover, .organizer-counter-number-icon, .venue-counter-number-icon, .wpem-available-events-number-icon, .organizer-letters .organizer-letters-list a, .venue-letters .venue-letters-list a, .organizer-related-data-wrapper .show-organizer-info .wpem-list-group .organizer-group-header, .venue-related-data-wrapper .show-venue-info .wpem-list-group .venue-group-header, .organizer-related-data-wrapper .show-organizer-info .wpem-list-group .organizer-name-list .organizer-list-items:nth-child(odd), .venue-related-data-wrapper .show-venue-info .wpem-list-group .venue-name-list .venue-list-items:nth-child(odd), .organizer-related-data-wrapper .show-organizer-info .wpem-list-group, .venue-related-data-wrapper .show-venue-info .wpem-list-group, .wpem-event-listings .wpem-event-layout-wrapper .event_featured, .wpem-event-listings .wpem-event-layout-wrapper .event_featured:hover, .wpem-single-organizer-profile-wrapper, .wpem-single-venue-profile-wrapper, .wpem-tabs-wrapper .wpem-tabs-wrap .wpem-tab-link, .comiseo-daterangepicker.ui-widget-content, .comiseo-daterangepicker .ui-widget-content, .wpem-single-event-widget, .organizer-related-data-wrapper .show-organizer-info .wpem-list-group:hover, .venue-related-data-wrapper .show-venue-info .wpem-list-group:hover, .wpem-single-event-page .wpem-single-event-footer div.wpem-listing-accordion {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

				echo '.wpem-modal .wpem-modal-content-wrapper {';
				echo sprintf( 'background: %s;', esc_attr( $reign_site_sections_bg_color ) . '!important' );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo '.wpem-main-vmenu-dashboard-nav .wpem-main-vmenu-dashboard-ul .wpem-main-vmenu-dashboard-li a.wpem-main-vmenu-dashboard-link.wpem-main-vmenu-dashboard-link-active, .wpem-main-vmenu-dashboard-nav .wpem-main-vmenu-dashboard-ul .wpem-main-vmenu-dashboard-li a.wpem-main-vmenu-dashboard-link.wpem-main-vmenu-dashboard-link-active i, .wpem-main-vmenu-dashboard-nav .wpem-main-vmenu-dashboard-ul .wpem-main-vmenu-dashboard-li .wpem-main-vmenu-dashboard-link:hover, .wpem-main-vmenu-dashboard-nav .wpem-main-vmenu-dashboard-ul .wpem-main-vmenu-dashboard-li .wpem-main-vmenu-dashboard-link:hover i, table.wpem-responsive-table-wrapper tbody tr td a, .wpem-dashboard-main-title.wpem-dashboard-main-filter a.wpem-dashboard-header-btn i[class^=wpem-icon-], .wpem-main-vmenu-dashboard-wrapper .wpem-main-vmenu-dashboard-content-wrap .wpem-dashboard-events-block-wrap .wpem-dashboard-event-list-wrapper .wpem-dashboard-event-list .wpem-dboard-event-action .wpem-dboard-event-act-btn a, .organizer-letters .organizer-letters-list a:hover, .venue-letters .venue-letters-list a:hover, .wpem-single-event-page .wpem-single-event-wrapper .wpem-single-event-body .wpem-single-event-body-sidebar .wpem-single-event-sidebar-info a, .wpem-event-organizer-tabs .wpem-tabs-wrapper .wpem-tabs-wrap .wpem-tab-link.active, .wpem-event-venue-tabs .wpem-tabs-wrapper .wpem-tabs-wrap .wpem-tab-link.active {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.organizer-related-data-wrapper .show-organizer-info .wpem-list-group .organizer-name-list .organizer-list-items a:hover .wpem-event-organizer-conunt-number, .venue-related-data-wrapper .show-venue-info .wpem-list-group .venue-name-list .venue-list-items a:hover .wpem-event-venue-conunt-number {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.wpem-main-vmenu-dashboard-wrapper .wpem-dashboard-events-block-wrap .wpem-dashboard-event-list-wrapper .wpem-dashboard-event-list-body .wpem-dashboard-event-placeholder strong, .organizer-related-data-wrapper .show-organizer-info .wpem-list-group .organizer-group-header, .venue-related-data-wrapper .show-venue-info .wpem-list-group .venue-group-header, .organizer-letters .organizer-letters-list a:hover, .venue-letters .venue-letters-list a:hover {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_site_headings_color ) {

				echo '.wpem-single-event-page .wpem-heading-text, .wpem-event-listings .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details .wpem-event-title .wpem-heading-text, .wpem-event-listings .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details .wpem-event-title .wpem-heading-text, .wpem-form-wrapper .wpem-form-title, .wpem-single-event-page .wpem-single-event-footer .wpem-venue-wrapper .wpem-venue-profile .wpem-venue-name.wpem-heading-text a, .wpem-single-event-widget .wpem-event-infomation .wpem-event-details .wpem-event-title .wpem-heading-text, .wpem-event-listings.wpem-event-listing-box-view .wpem-event-layout-wrapper .wpem-event-infomation .wpem-event-details .wpem-event-title .wpem-heading-text {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_headings_color ) );
				echo '}';

			}

			if ( $reign_site_link_color ) {

				// Links Color.
				echo '.wpem-main-vmenu-dashboard-wrapper .wpem-main-vmenu-dashboard-content-wrap .wpem-dashboard-events-block-wrap .wpem-dashboard-event-list-wrapper .wpem-dashboard-event-list .wpem-dashboard-event-name a,
					.organizer-related-data-wrapper .show-organizer-info .wpem-list-group .organizer-name-list .organizer-list-items a,
					.venue-related-data-wrapper .show-venue-info .wpem-list-group .venue-name-list .venue-list-items a {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_color ) );
				echo '}';

			}

			if ( $reign_site_link_hover_color ) {

				// Links Hover Color.
				echo '.wpem-main a:active,
					.wpem-main a:focus,
					.wpem-main a:hover,
					table.wpem-responsive-table-wrapper tbody tr td a:hover,
					.wpem-dashboard-main-title.wpem-dashboard-main-filter a.wpem-dashboard-header-btn:hover i[class^=wpem-icon-],
					.wpem-main-vmenu-dashboard-wrapper .wpem-main-vmenu-dashboard-content-wrap .wpem-dashboard-events-block-wrap .wpem-dashboard-event-list-wrapper .wpem-dashboard-event-list .wpem-dashboard-event-name a:hover,
					.organizer-related-data-wrapper .show-organizer-info .wpem-list-group .organizer-name-list .organizer-list-items a:hover,
					.venue-related-data-wrapper .show-venue-info .wpem-list-group .venue-name-list .venue-list-items a:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_link_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '.wpem-theme-button,
					a.wpem-theme-button,
					button.wpem-theme-button,
					input.wpem-theme-button, 
					.wpem-form-wrapper .wpem-form-group .account-sign-in a,
					.wpem-form-wrapper .wpem-form-group a.wpem_add_organizer_popup.wpem-modal-button,
					.wpem-form-wrapper .wpem-form-group a.wpem_add_venue_popup.wpem-modal-button,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar .wpem-theme-button, 
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar a.wpem-theme-button,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar button.wpem-theme-button, 
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar input.wpem-theme-button {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '.wpem-theme-button:hover,
					a.wpem-theme-button:hover,
					button.wpem-theme-button:hover,
					input.wpem-theme-button:hover,
					.wpem-form-wrapper .wpem-form-group .account-sign-in a:hover,
					.wpem-form-wrapper .wpem-form-group a.wpem_add_organizer_popup.wpem-modal-button:hover,
					.wpem-form-wrapper .wpem-form-group a.wpem_add_venue_popup.wpem-modal-button:hover,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar .wpem-theme-button:hover,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar a.wpem-theme-button:hover,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar button.wpem-theme-button:hover,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar input.wpem-theme-button:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '.wpem-theme-button,
					a.wpem-theme-button,
					button.wpem-theme-button,
					input.wpem-theme-button,
					.wpem-form-wrapper .wpem-form-group .account-sign-in a, 
					.wpem-form-wrapper .wpem-form-group a.wpem_add_organizer_popup.wpem-modal-button,
					.wpem-form-wrapper .wpem-form-group a.wpem_add_venue_popup.wpem-modal-button,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar .wpem-theme-button,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar a.wpem-theme-button, 
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar button.wpem-theme-button,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar input.wpem-theme-button {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '.wpem-theme-button:hover,
					a.wpem-theme-button:hover,
					button.wpem-theme-button:hover,
					input.wpem-theme-button:hover,
					.wpem-form-wrapper .wpem-form-group .account-sign-in a:hover,
					.wpem-form-wrapper .wpem-form-group a.wpem_add_organizer_popup.wpem-modal-button:hover,
					.wpem-form-wrapper .wpem-form-group a.wpem_add_venue_popup.wpem-modal-button:hover,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar .wpem-theme-button:hover,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar a.wpem-theme-button:hover,
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar button.wpem-theme-button:hover, 
					.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar input.wpem-theme-button:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.wpem-main-vmenu-dashboard-nav .wpem-main-vmenu-dashboard-ul .wpem-main-vmenu-dashboard-li .wpem-main-vmenu-dashboard-link,
					.wpem-main-vmenu-dashboard-wrapper .wpem-main-vmenu-dashboard-nav ul.wpem-main-vmenu-dashboard-ul,
					.wpem-responsive-table-block,
					.wpem-dashboard-main-title.wpem-dashboard-main-filter a.wpem-dashboard-header-btn,
					.wpem-main-vmenu-dashboard-wrapper .wpem-main-vmenu-dashboard-content-wrap .wpem-dashboard-events-block-wrap .wpem-dashboard-event-list-wrapper .wpem-dashboard-event-list .wpem-dashboard-event-datetime-location,
					.wpem-main-vmenu-dashboard-wrapper .wpem-main-vmenu-dashboard-content-wrap .wpem-dashboard-events-block-wrap .wpem-dashboard-event-list-wrapper .wpem-dashboard-event-list, 
					.wpem-form-wrapper .chosen-container .chosen-drop,
					.wpem-event-listings.wpem-event-listing-box-view .wpem-event-layout-wrapper,
					.wpem-single-event-page .wpem-single-event-wrapper, 
					.wpem-event-listings .wpem-event-layout-wrapper, 
					.wpem-event-listing-list-view .wpem-event-box-col:first-child .wpem-event-layout-wrapper, 
					.wpem-event-listing-list-view.wpem-event-listings .wpem-event-layout-wrapper .event_listing,
					.organizer-related-data-wrapper .show-organizer-info .wpem-list-group,
					.venue-related-data-wrapper .show-venue-info .wpem-list-group, 
					.organizer-related-data-wrapper .show-organizer-info .wpem-list-group .organizer-name-list .organizer-list-items .wpem-organizer-logo,
					.venue-related-data-wrapper .show-venue-info .wpem-list-group .venue-name-list .venue-list-items .wpem-venue-logo,
					.wpem-single-organizer-profile-wrapper .wpem-organizer-profile .wpem-organizer-logo-wrapper .wpem-organizer-logo img,
					.wpem-single-venue-profile-wrapper .wpem-venue-profile .wpem-venue-logo-wrapper .wpem-venue-logo img,
					.wpem-event-organizer-tabs .event-organizer-tab-contents.wpem-tab-content.current,
					.wpem-event-venue-tabs .event-venue-tab-contents.wpem-tab-content.current,
					.wpem-event-organizer-tabs .wpem-tabs-wrapper .wpem-tabs-wrap .wpem-tab-link.active, 
					.wpem-event-venue-tabs .wpem-tabs-wrapper .wpem-tabs-wrap .wpem-tab-link.active,
					.wpem-single-event-widget,
					.wpem-main-vmenu-dashboard-nav .wpem-main-vmenu-dashboard-ul .wpem-main-vmenu-dashboard-li:first-child .wpem-main-vmenu-dashboard-link,
					.organizer-related-data-wrapper .show-organizer-info .wpem-list-group:hover,
					.venue-related-data-wrapper .show-venue-info .wpem-list-group:hover,
					.wpem-single-event-page .wpem-single-event-footer div.wpem-listing-accordion {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

				// Border Background Color.
				echo '.wpem-single-event-page .wpem-single-event-wrapper .wpem-single-event-body .wpem-single-event-left-content::after {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}

			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '.wpem-theme-button, a.wpem-theme-button, button.wpem-theme-button, input.wpem-theme-button, .wpem-form-wrapper .wpem-form-group .account-sign-in a, .wpem-form-wrapper .wpem-form-group a.wpem_add_organizer_popup.wpem-modal-button, .wpem-form-wrapper .wpem-form-group a.wpem_add_venue_popup.wpem-modal-button, .wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar .wpem-theme-button, .wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar a.wpem-theme-button, .wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar button.wpem-theme-button, .wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar input.wpem-theme-button {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // WP Event Manager Colors End.

		// Paid Membership Pro.
		if ( defined( 'PMPRO_VERSION' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_pmpro_levels_section, .pmpro_logged_in_welcome_wrap, .pmpro_login_wrap, .pmpro_lost_password_wrap, .pmpro_reset_password_wrap, #pmpro_account .pmpro_box, .pmpro-invoice .pmpro-has-access>.entry-content, .pmpro_member_profile_edit_wrap, .pmpro_change_password_wrap, #pmpro_form .pmpro_checkout {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_colors_theme ) {

				// Theme Color.
				echo 'ul.pmpro_billing_info_list li:before {';
				echo sprintf( 'color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme BG Color.
				echo '.rtm_pmpro_levels_plan .rtm_pmpro_featured .rtm_pmpro_price_top,
					.rtm_pmpro_levels_plan .rtm_pmpro_featured .rtm_levels_table_button .pmpro_btn,
					#pmpro_account-membership .pmpro_actionlinks a,
					#pmpro_account-profile .pmpro_actionlinks a,
					#pmpro_cancel .pmpro_actionlinks a,
					#pmpro_form .pmpro_btn {';
				echo sprintf( 'background: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

				// Theme Border Color.
				echo '.rtm_pmpro_levels_plan .rtm_pmpro_featured .rtm_pmpro_price_top,
					.rtm_pmpro_levels_plan .rtm_pmpro_featured .rtm_levels_table_button .pmpro_btn,
					#pmpro_account-membership .pmpro_actionlinks a,
					#pmpro_account-profile .pmpro_actionlinks a,
					#pmpro_cancel .pmpro_actionlinks a,
					#pmpro_form .pmpro_btn {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_colors_theme ) );
				echo '}';

			}

			if ( $reign_site_button_text_color ) {

				// Button Text Color.
				echo '#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_levels_table_button .pmpro_btn {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_color ) );
				echo '}';

			}

			if ( $reign_site_button_text_hover_color ) {

				// Button Text Hover Color.
				echo '#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_levels_table_button .pmpro_btn:hover {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_button_text_hover_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_color ) {

				// Button BG Color.
				echo '#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_levels_table_button .pmpro_btn {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_color ) );
				echo '}';

			}

			if ( $reign_site_button_bg_hover_color ) {

				// Button BG Hover Color.
				echo '#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_levels_table_button .pmpro_btn:hover {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_button_bg_hover_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_pmpro_levels_section,
					#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_pmpro_price_top h2,
					#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_levels_table_button,
					.pmpro_logged_in_welcome_wrap,
					.pmpro_login_wrap,
					.pmpro_lost_password_wrap,
					.pmpro_reset_password_wrap,
					#pmpro_account .pmpro_box,
					#pmpro_account .pmpro_box table td,
					#pmpro_account .pmpro_box table th,
					#pmpro_account .pmpro_box h3, 
					.pmpro-invoice .pmpro-has-access>.entry-content,
					.pmpro_invoice_details>div,
					.pmpro_invoice_details>div>strong,
					#pmpro_invoices_table td,
					#pmpro_invoices_table th,
					#pmpro_account-profile .pmpro_actionlinks,
					.pmpro_member_profile_edit_wrap,
					.pmpro_change_password_wrap,
					ul.pmpro_billing_info_list,
					#pmpro_form .pmpro_checkout,
					#pmpro_form .pmpro_checkout h3 {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}

			if ( $reign_global_button_radius ) {

				// Button Radius.
				echo '#pmpro_levels_table .rtm_pmpro_levels_plan .rtm_levels_table_button .pmpro_btn {';
				echo sprintf( 'border-radius: %s;', esc_attr( $reign_global_button_radius ) . 'px' );
				echo '}';

			}
		} // Paid Membership Pro Colors End.

		// Buddypress Status.
		if ( class_exists( 'Buddypress_Status' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.bpsts-icon-dialog-container,
				#buddypress .bpsts-reaction-box,
				.youzify .bpsts-reaction-box {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.bpstatus-option-panel, .bp-status-feeling-activities-list li.bp-status-feeling-activities-list-item {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
		} // Buddypress Status Colors End.

		// Buddypress Polls.
		if ( class_exists( 'Buddypress_Polls' ) ) {

			if ( $reign_site_body_bg_color ) {

				// Body BG Color.
				echo '.bpolls-check-radio-div {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';

			}

			if ( $reign_site_body_text_color ) {

				// Body Color.
				echo '.bpolls-check-radio-wrap .bpolls-option-lbl,
				.bpolls-percent {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_body_text_color ) );
				echo '}';

			}
		} // Buddypress Polls Colors End.

		// Buddypress GIPHY.
		if ( class_exists( 'BuddyPress_GIPHY' ) ) {

			if ( $reign_site_body_bg_color ) {

				// Body BG Color.
				echo '.bp-giphy-media-search-dropdown,
				.gif-search-query {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';

			}

			if ( $reign_site_body_bg_color ) {

				// Border Color.
				echo '.bp-giphy-media-search-dropdown:before {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.gif-search-query {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
		} // Buddypress GIPHY Colors End.

		// Buddypress Moderation Pro.
		if ( class_exists( 'Buddypress_Moderation_Pro' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '#bmpro-modal .bmpro-modal {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_site_body_text_color ) {

				// Body Color.
				echo '#bmpro-modal .bmpro-modal-content-wrap {';
				echo sprintf( 'color: %s;', esc_attr( $reign_site_body_text_color ) );
				echo '}';

			}
		} // Buddypress Moderation Pro Colors End.

		// Buddypress Profile Pro.
		if ( class_exists( 'Buddypress_Profile_Pro' ) ) {

			if ( $reign_site_border_color ) {

				// Border Color.
				echo 'body.dark-scheme .profile.extended-fields .bprm_resume_form fieldset {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) . '!important' );
				echo '}';

			}
		} // Buddypress Profile Pro Colors End.

		// Buddypress Resume Manager.
		if ( class_exists( 'Bp_Resume_Manager' ) ) {

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.dark-scheme .bprm_resume_form fieldset, .dark-scheme .upload_bprm_profile_image {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.dark-scheme .bprm_resume_form fieldset, .upload_bprm_profile_image {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) . '!important' );
				echo '}';

			}
		} // Buddypress Resume Manager Colors End.

		// Buddypress Bptodo List.
		if ( class_exists( 'Bptodo_List' ) ) {

			if ( $reign_site_body_bg_color ) {

				// Body BG Color.
				echo '.dark-scheme .bptodo-progress-section,
				.dark-scheme .todo-header {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_body_bg_color ) );
				echo '}';

			}

			if ( $reign_site_sections_bg_color ) {

				// Sections BG Color.
				echo '.dark-scheme #bptodo-task-tabs .bptodo-task-tabs-btn li,
				.dark-scheme .todo-header-list .todo-header-list-row,
				.dark-scheme .bptodo-modal.modal .content-wrapper {';
				echo sprintf( 'background-color: %s;', esc_attr( $reign_site_sections_bg_color ) );
				echo '}';

			}

			if ( $reign_site_border_color ) {

				// Border Color.
				echo '.dark-scheme .todo-header-list .todo-header-list-row {';
				echo sprintf( 'border-color: %s;', esc_attr( $reign_site_border_color ) );
				echo '}';

			}
		} // Buddypress Bptodo List Colors End.

	}
}
